<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * DefaultConfigurations Controller
 *
 * @property \App\Model\Table\DefaultConfigurationsTable $DefaultConfigurations
 *
 * @method \App\Model\Entity\DefaultConfiguration[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class DefaultConfigurationsController extends AppController
{

    /**
     * initialize method
     */
    public function initialize()
    {
	#initialization
		parent::initialize();

	#CRUD operations
		$this->loadComponent('Crud.Crud', [
            'actions' => [
                'Crud.Index',
                'add' => ['className' => 'Crud.Add'],
                'Crud.Edit',
                'Crud.View',
                'Crud.Delete',
            ],
        ]);

    #Datatable configuration
		$this->DataTables->createConfig('DefaultConfigurations')
			->column('Sno.'					                , ['label' => 'Sno.', 'class' => 'text-center', 'database' => false])
			->column('DefaultConfigurations.field_name'	    , ['label' => 'Field Name'])
			->column('DefaultConfigurations.field_value'	, ['label' => 'Value'])
			->column('DefaultConfigurations.is_active'		, ['label' => 'Status', 'class' => 'text-center'])
			->column('DefaultConfigurations.id'				, ['label' => 'Actions', 'class' => 'text-center']);
    }

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->DataTables->setViewVars('DefaultConfigurations');
    }

    /**
     * View method
     *
     * @param string|null $id Default Configuration id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
	#before find
		$this->Crud->on('beforeFind', function(\Cake\Event\Event $event) {
			$event->subject()->query->contain([
				
			]);
		});

	#return
		return $this->Crud->execute();
    }
    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
    #return
		return $this->Crud->execute();
    }

    /**
     * Edit method
     *
     * @param string|null $id Default Configuration id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
    #return
		return $this->Crud->execute();
    }

    /**
     * Delete method
     *
     * @param string|null $id Default Configuration id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
    #return
		return $this->Crud->execute();
    }
}
