<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * GroupUsers Controller
 *
 * @property \App\Model\Table\GroupUsersTable $GroupUsers
 *
 * @method \App\Model\Entity\GroupUser[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class GroupUsersController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['Groups', 'Users']
        ];
        $groupUsers = $this->paginate($this->GroupUsers);

        $this->set(compact('groupUsers'));
    }

    /**
     * View method
     *
     * @param string|null $id Group User id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
	//before find
		$this->Crud->on('beforeFind', function(\Cake\Event\Event $event) {
			$event->subject()->query->contain([
				'Groups', 'Users'
			]);
		});

	//return
		return $this->Crud->execute();
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $groups = $this->GroupUsers->Groups->find('list', ['limit' => 200]);
        $users = $this->GroupUsers->Users->find('list', ['limit' => 200]);
	//set result values
		$this->set(compact('groups', 'users'));
    //return
		return $this->Crud->execute();
    }

    /**
     * Edit method
     *
     * @param string|null $id Group User id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $groups = $this->GroupUsers->Groups->find('list', ['limit' => 200]);
        $users = $this->GroupUsers->Users->find('list', ['limit' => 200]);
	//set result values
		$this->set(compact('groups', 'users'));
    //return
		return $this->Crud->execute();
    }

    /**
     * Delete method
     *
     * @param string|null $id Group User id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
    //return
		return $this->Crud->execute();
    }
}
