<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * UserRolePrivileges Controller
 *
 * @property \App\Model\Table\UserRolePrivilegesTable $UserRolePrivileges
 *
 * @method \App\Model\Entity\UserRolePrivilege[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class UserRolePrivilegesController extends AppController
{

    /**
     * initialize method
     */
    public function initialize()
    {
	//initialization
		parent::initialize();

	//CRUD operations
		$this->loadComponent('Crud.Crud', [
            'actions' => [
                'Crud.Index',
                'add' => ['className' => 'Crud.Add'],
                'Crud.Edit',
                'Crud.View',
                'Crud.Delete',
            ],
        ]);
    }

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['UserRoles', 'Modules']
        ];
        $userRolePrivileges = $this->paginate($this->UserRolePrivileges);

        $this->set(compact('userRolePrivileges'));
    }

    /**
     * View method
     *
     * @param string|null $id User Role Privilege id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
	#before find
		$this->Crud->on('beforeFind', function(\Cake\Event\Event $event) {
			$event->subject()->query->contain([
				'UserRoles', 'Modules'
			]);
		});

	#return
		return $this->Crud->execute();
    }
    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $userRoles = $this->UserRolePrivileges->UserRoles->find('list', ['limit' => 200]);
        $modules = $this->UserRolePrivileges->Modules->find('list', ['limit' => 200]);
	//set result values
		$this->set(compact('userRoles', 'modules'));
    //return
		return $this->Crud->execute();
    }

    /**
     * Edit method
     *
     * @param string|null $id User Role Privilege id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $userRoles = $this->UserRolePrivileges->UserRoles->find('list', ['limit' => 200]);
        $modules = $this->UserRolePrivileges->Modules->find('list', ['limit' => 200]);
	//set result values
		$this->set(compact('userRoles', 'modules'));
    //return
		return $this->Crud->execute();
    }

    /**
     * Delete method
     *
     * @param string|null $id User Role Privilege id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
    //return
		return $this->Crud->execute();
    }
}
