<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualComponentStatusTracking Entity
 *
 * @property int $id
 * @property int $annual_component_tracking_id
 * @property int $total_components
 * @property int $total_completed_components
 * @property int $total_rejected_components
 * @property int $status
 * @property \Cake\I18n\FrozenTime|null $status_created_on
 * @property string|null $description
 * @property int $is_last_updated
 * @property int $is_undo
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualComponentTracking $annual_component_tracking
 */
class AnnualComponentStatusTracking extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_component_tracking_id' => true,
        'total_components' => true,
        'total_completed_components' => true,
        'total_rejected_components' => true,
        'status' => true,
        'status_created_on' => true,
        'description' => true,
        'is_last_updated' => true,
        'is_undo' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_component_tracking' => true
    ];
}
