<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualPlannedCapacity Entity
 *
 * @property int $id
 * @property int $annual_plan_id
 * @property int $product_id
 * @property int $component_id
 * @property int $machine_id
 * @property int $process_id
 * @property int|null $total_components
 * @property float|null $total_process_time
 * @property float|null $total_batches
 * @property float $total_batch_set_time
 * @property float|null $total_time
 * @property int $in_components
 * @property int $out_components
 * @property int|null $tag
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualPlan $annual_plan
 * @property \App\Model\Entity\Product $product
 * @property \App\Model\Entity\Component $component
 * @property \App\Model\Entity\Process $process
 * @property \App\Model\Entity\Machine $machine
 */
class AnnualPlannedCapacity extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_plan_id' => true,
        'product_id' => true,
        'component_id' => true,
        'machine_id' => true,
        'process_id' => true,
        'total_components' => true,
        'total_process_time' => true,
        'total_batches' => true,
        'total_batch_set_time' => true,
        'total_time' => true,
        'in_components' => true,
        'out_components' => true,
        'tag' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_plan' => true,
        'product' => true,
        'component' => true,
        'process' => true,
        'machine' => true
    ];
}
