<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualPlannedMachine Entity
 *
 * @property int $id
 * @property int $annual_plan_id
 * @property int $machine_id
 * @property int $hours_per_shift
 * @property int $shifts_per_day
 * @property int $down_time_per_month
 * @property int $annual_working_hour
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualPlan $annual_plan
 * @property \App\Model\Entity\Machine $machine
 */
class AnnualPlannedMachine extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_plan_id' => true,
        'machine_id' => true,
        'hours_per_shift' => true,
        'shifts_per_day' => true,
        'down_time_per_month' => true,
        'annual_working_hour' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_plan' => true,
        'machine' => true
    ];
}
