<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualPlannedProduct Entity
 *
 * @property int $id
 * @property int $annual_plan_id
 * @property int $product_id
 * @property int $product_quantity
 * @property int $product_buffer_quantity
 * @property int $product_requested_quantity
 * @property int $product_total_quantity
 * @property int $last_product_no
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualPlan $annual_plan
 * @property \App\Model\Entity\Product $product
 */
class AnnualPlannedProduct extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_plan_id' => true,
        'product_id' => true,
        'product_quantity' => true,
        'product_buffer_quantity' => true,
        'product_requested_quantity' => true,
        'product_total_quantity' => true,
        'last_product_no' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_plan' => true,
        'product' => true
    ];
}
