<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualProductTracking Entity
 *
 * @property int $id
 * @property int|null $annual_quarter_plan_id
 * @property int $product_id
 * @property int|null $product_number
 * @property int $status
 * @property \Cake\I18n\FrozenTime|null $status_updated_on
 * @property string|null $description
 * @property \Cake\I18n\FrozenTime|null $expected_delivery_date
 * @property int $total_assembly
 * @property int $completed_assembly
 * @property int $is_eventual_product
 * @property int $is_eventual_mapped
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualQuarterPlan $annual_quarter_plan
 * @property \App\Model\Entity\Product $product
 * @property \App\Model\Entity\AnnualAssemblyTracking[] $annual_assembly_trackings
 */
class AnnualProductTracking extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_quarter_plan_id' => true,
        'product_id' => true,
        'product_number' => true,
        'status' => true,
        'status_updated_on' => true,
        'description' => true,
        'expected_delivery_date' => true,
        'total_assembly' => true,
        'completed_assembly' => true,
        'is_eventual_product' => true,
        'is_eventual_mapped' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_quarter_plan' => true,
        'product' => true,
        'annual_assembly_trackings' => true
    ];
}
