<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * ComponentProcess Entity
 *
 * @property int $id
 * @property int|null $component_id
 * @property int|null $machine_id
 * @property int|null $process_id
 * @property float|null $average_time_taken
 * @property float|null $set_time_for_batch
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Component $component
 * @property \App\Model\Entity\Machine $machine
 * @property \App\Model\Entity\Process $process
 */
class ComponentProcess extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'component_id' => true,
        'machine_id' => true,
        'process_id' => true,
        'average_time_taken' => true,
        'set_time_for_batch' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'component' => true,
        'machine' => true,
        'process' => true
    ];

}