<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * ComponentProduct Entity
 *
 * @property int $id
 * @property int|null $component_id
 * @property int|null $product_id
 * @property int $number_of_component
 * @property int $spare_count
 * @property int $spare_required
 * @property int $spares_taken
 * @property int $spare_remaning
 * @property int $start_product_no
 * @property int $end_product_no
 * @property int $total_completed_components
 * @property int $total_rejected_components
 * @property int $status
 * @property \Cake\I18n\FrozenTime|null $status_on
 * @property string|null $description
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Component $component
 * @property \App\Model\Entity\Product $product
 * @property \App\Model\Entity\AnnualComponentTracking[] $annual_component_trackings
 * @property \App\Model\Entity\ComponentProductStatusTracking[] $component_product_status_trackings
 */
class ComponentProduct extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'component_id' => true,
        'product_id' => true,
        'number_of_component' => true,
        'spare_count' => true,
        'spare_required' => true,
        'spares_taken' => true,
        'spare_remaning' => true,
        'start_product_no' => true,
        'end_product_no' => true,
        'total_completed_components' => true,
        'total_rejected_components' => true,
        'status' => true,
        'status_on' => true,
        'description' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'component' => true,
        'product' => true,
        'annual_component_trackings' => true,
        'component_product_status_trackings' => true
    ];
}