<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * ComponentRawMaterial Entity
 *
 * @property int $id
 * @property int $component_id
 * @property int $raw_material_id
 * @property string $raw_material_shape
 * @property float $min_cut_length
 * @property float $outer_dia
 * @property float $inner_dia
 * @property float $raw_material_thickness
 * @property float $raw_material_width
 * @property float $raw_material_length
 * @property string $unit_of_measurement
 * @property float $gst
 * @property float $buy_frequency
 * @property float $quantity_per_component
 * @property int|null $default_vendor_id
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Component $component
 * @property \App\Model\Entity\RawMaterial $raw_material
 */
class ComponentRawMaterial extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'component_id' => true,
        'raw_material_id' => true,
        'raw_material_shape' => true,
        'min_cut_length' => true,
        'outer_dia' => true,
        'inner_dia' => true,
        'raw_material_thickness' => true,
        'raw_material_width' => true,
        'raw_material_length' => true,
        'unit_of_measurement' => true,
        'gst' => true,
        'buy_frequency' => true,
        'quantity_per_component' => true,
        'default_vendor_id' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'component' => true,
        'raw_material' => true
    ];
}
