<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;
use Cake\I18n\Time;
/**
 * GoodsReceivedNote Entity
 *
 * @property int $id
 * @property int $purchase_order_id
 * @property int $vendor_id
 * @property string|null $grn_no
 * @property \Cake\I18n\FrozenTime|null $grn_received_date
 * @property int $status
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\PurchaseOrder $purchase_order
 * @property \App\Model\Entity\Vendor $vendor
 * @property \App\Model\Entity\GoodsReceivedComponent[] $goods_received_components
 */
class GoodsReceivedNote extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'purchase_order_id' => true,
        'vendor_id' => true,
        'grn_no' => true,
        'grn_received_date' => true,
        'status' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'purchase_order' => true,
        'vendor' => true,
        'goods_received_components' => true
    ];

    protected function _setGrnReceivedDate($grn_received_date)
     {
        //  echo date("Y-m-d", strtotime($grn_received_date));
        // pr($grn_received_date); exit;
        $date= Time::parse($grn_received_date);
        $date->i18nFormat('yyyy-MM-dd h:i:s');
        // echo $date; exit;
        return $date;
    }
     protected function _getGrnReceivedDate($grn_received_date)
     {
         $date = date("Y-m-d h:i:s", strtotime($grn_received_date));
         return $date;
        // $date= Time::parse($grn_received_date);
        // $date->i18nFormat('dd-MM-yyyy');
        // // echo $date; exit;
        // return $date;
    }

}