<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * JobOrder Entity
 *
 * @property int $id
 * @property string $job_order_no
 * @property int $product_id
 * @property int $vendor_id
 * @property int $status
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenDate $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenDate $modified
 *
 * @property \App\Model\Entity\Product $product
 * @property \App\Model\Entity\Vendor $vendor
 * @property \App\Model\Entity\JobOrderComponent[] $job_order_components
 */
class JobOrder extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'job_order_no' => true,
        'group_id' => true,
        'product_id' => true,
        'vendor_id' => true,
        'status' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'product' => true,
        'vendor' => true,
        'job_order_components' => true
    ];

    protected function _getCreated($created)
    {
        $date=date("Y-m-d h:i:s", strtotime($created));
        return $date;
    }
}
