<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;
use Cake\I18n\Time;
/**
 * JobOrderComponent Entity
 *
 * @property int $id
 * @property int $job_order_id
 * @property int $component_id
 * @property int $process_id
 * @property float $component_qty
 * @property \Cake\I18n\FrozenDate $expected_date_delivery
 * @property int $is_active
 * @property \Cake\I18n\FrozenDate $created
 * @property \Cake\I18n\FrozenDate $modified
 *
 * @property \App\Model\Entity\JobOrder $job_order
 * @property \App\Model\Entity\Component $component
 * @property \App\Model\Entity\Process $process
 */
class JobOrderComponent extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'job_order_id' => true,
        'component_id' => true,
        'process_id' => true,
        'component_qty' => true,
        'expected_date_delivery' => true,
        'is_active' => true,
        'created' => true,
        'modified' => true,
        'job_order' => true,
        'component' => true,
        'process' => true
    ];


    protected function _setExpectedDateDelivery($expected_date_delivery)
    {
        $date= Time::parse($expected_date_delivery);
        $date->i18nFormat('yyyy-MM-dd');
        return $date;
    }

    protected function _getExpectedDateDelivery($expected_date_delivery)
    {
        $date=date("Y-m-d h:i:s", strtotime($expected_date_delivery));
        return $date;
    }
}
