<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Product Entity
 *
 * @property int $id
 * @property string $product_name
 * @property string|null $description
 * @property string|null $photo
 * @property string|null $dir
 * @property int|null $parent_id
 * @property int|null $is_eventual_product
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Product $parent_product
 * @property \App\Model\Entity\AnnualAssemblyTracking[] $annual_assembly_trackings
 * @property \App\Model\Entity\AnnualPlannedCapacity[] $annual_planned_capacities
 * @property \App\Model\Entity\AnnualPlannedProduct[] $annual_planned_products
 * @property \App\Model\Entity\AnnualProductTracking[] $annual_product_trackings
 * @property \App\Model\Entity\AnnualQuarterPlannedProduct[] $annual_quarter_planned_products
 * @property \App\Model\Entity\ComponentProduct[] $component_products
 * @property \App\Model\Entity\Product[] $child_products
 * @property \App\Model\Entity\PurchaseIndent[] $purchase_indents
 * @property \App\Model\Entity\SubAssemblyProduct[] $sub_assembly_products
 */
class Product extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'product_name' => true,
        'description' => true,
        'photo' => true,
        'dir' => true,
        'parent_id' => true,
        'is_eventual_product' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'parent_product' => true,
        'annual_assembly_trackings' => true,
        'annual_planned_capacities' => true,
        'annual_planned_products' => true,
        'annual_product_trackings' => true,
        'annual_quarter_planned_products' => true,
        'component_products' => true,
        'child_products' => true,
        'purchase_indents' => true,
        'sub_assembly_products' => true
    ];
}
