<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * SpareInventoryComponent Entity
 *
 * @property int $id
 * @property int $component_spare_inventory_id
 * @property int $component_id
 * @property int $quantity
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\ComponentSpareInventory $component_spare_inventory
 * @property \App\Model\Entity\Component $component
 */
class SpareInventoryComponent extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'component_spare_inventory_id' => true,
        'component_id' => true,
        'quantity' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'component_spare_inventory' => true,
        'component' => true
    ];
}
