<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * SubAssembly Entity
 *
 * @property int $id
 * @property string $sub_assembly_name
 * @property string $sub_assembly_code
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualAssemblyTracking[] $annual_assembly_trackings
 * @property \App\Model\Entity\ComponentAssembly[] $component_assemblies
 * @property \App\Model\Entity\SubAssemblyProduct[] $sub_assembly_products
 */
class SubAssembly extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'sub_assembly_name' => true,
        'sub_assembly_code' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_assembly_trackings' => true,
        'component_assemblies' => true,
        'sub_assembly_products' => true,
        'products' => true,
    ];
}
