<?php
namespace App\Model\Entity;

use Cake\Auth\DefaultPasswordHasher;
use Cake\ORM\Entity;

/**
 * User Entity
 *
 * @property int $id
 * @property int $user_role_id
 * @property string $user_full_name
 * @property string $username
 * @property string $user_email
 * @property string $user_mobile_no
 * @property string|null $photo
 * @property string|null $dir
 * @property string $password
 * @property string|null $password_reset_token
 * @property string|null $hashval
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\UserRole $user_role
 * @property \App\Model\Entity\AnnualAssemblyTracking[] $annual_assembly_trackings
 * @property \App\Model\Entity\ComponentTrackingComment[] $component_tracking_comments
 * @property \App\Model\Entity\GroupUser[] $group_users
 */
class User extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'user_role_id' => true,
        'user_full_name' => true,
        'username' => true,
        'user_email' => true,
        'user_mobile_no' => true,
        'photo' => true,
        'dir' => true,
        'password' => true,
        'is_password_reset' => true,
        'password_reset_token' => true,
        'hashval' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'user_role' => true,
        'annual_assembly_trackings' => true,
        'component_tracking_comments' => true,
        'group_users' => true
    ];

    /**
     * Fields that are excluded from JSON versions of the entity.
     *
     * @var array
     */
    protected $_hidden = [
        'password'
    ];

	protected function _setPassword($password)
    {
        if (strlen($password) > 0) {
            return (new DefaultPasswordHasher)->hash($password);
        }
    }
}
