<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * UserRolePrivilege Entity
 *
 * @property int $id
 * @property int $user_role_id
 * @property int $module_master_id
 * @property int|null $module_id
 * @property int|null $module_action_id
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\UserRole $user_role
 * @property \App\Model\Entity\ModuleMaster $module_master
 * @property \App\Model\Entity\Module $module
 * @property \App\Model\Entity\ModuleAction $module_action
 */
class UserRolePrivilege extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'user_role_id' => true,
        'module_master_id' => true,
        'module_id' => true,
        'module_action_id' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'user_role' => true,
        'module_master' => true,
        'module' => true,
        'module_action' => true
    ];
}
