<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * VendorProcess Entity
 *
 * @property int $id
 * @property int|null $vendor_id
 * @property int|null $process_id
 * @property float $price
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Vendor $vendor
 * @property \App\Model\Entity\Process $process
 */
class VendorProcess extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'vendor_id' => true,
        'component_id' => true,
        'process_id' => true,
        'price' => true,
        'gst' => true,        
        'is_active' => true,
        'is_default' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'vendors' => true,
        'processes' => true
    ];
}
