<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * VendorStoreComponent Entity
 *
 * @property int $id
 * @property int $vendor_id
 * @property int $store_component_id
 * @property int|null $component_part_no
 * @property float $price
 * @property float $gst
 * @property int $is_active
 * @property int $created_by
 * @property \Cake\I18n\FrozenTime $created
 * @property int $modified_by
 * @property \Cake\I18n\FrozenTime $modified
 *
 * @property \App\Model\Entity\Vendor $vendor
 * @property \App\Model\Entity\StoreComponent $store_component
 */
class VendorStoreComponent extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'vendor_id' => true,
        'store_component_id' => true,
        'component_part_no' => true,
        'price' => true,
        'gst' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'vendor' => true,
        'store_component' => true
    ];
}
