<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * AuditLogs Model
 *
 * @method \App\Model\Entity\AuditLog get($primaryKey, $options = [])
 * @method \App\Model\Entity\AuditLog newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\AuditLog[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\AuditLog|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\AuditLog|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\AuditLog patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\AuditLog[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\AuditLog findOrCreate($search, callable $callback = null, $options = [])
 *
 * @mixin \Cake\ORM\Behavior\TimestampBehavior
 */
class AuditLogsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('audit_logs');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        $this->addBehavior('Timestamp');

	//foot print
		$this->addBehavior('Muffin/Footprint.Footprint');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->nonNegativeInteger('id')
            ->allowEmptyString('id', 'create');

        $validator
            ->scalar('ip_address')
            ->maxLength('ip_address', 35)
            ->allowEmptyString('ip_address');

        $validator
            ->scalar('prefix')
            ->allowEmptyString('prefix');

        $validator
            ->scalar('transactioned_by')
            ->maxLength('transactioned_by', 150)
            ->allowEmptyString('transactioned_by');

        $validator
            ->scalar('controller')
            ->maxLength('controller', 35)
            ->allowEmptyString('controller');

        $validator
            ->scalar('action')
            ->maxLength('action', 35)
            ->allowEmptyString('action');

        $validator
            ->uuid('transaction')
            ->allowEmptyString('transaction');

        $validator
            ->scalar('type')
            ->maxLength('type', 7)
            ->allowEmptyString('type');

        $validator
            ->nonNegativeInteger('primary_key')
            ->allowEmptyString('primary_key');

        $validator
            ->scalar('source')
            ->maxLength('source', 255)
            ->allowEmptyString('source');

        $validator
            ->scalar('parent_source')
            ->maxLength('parent_source', 255)
            ->allowEmptyString('parent_source');

        $validator
            ->scalar('original')
            ->maxLength('original', 16777215)
            ->allowEmptyString('original');

        $validator
            ->scalar('changed')
            ->maxLength('changed', 16777215)
            ->allowEmptyString('changed');

        $validator
            ->scalar('meta')
            ->maxLength('meta', 16777215)
            ->allowEmptyString('meta');

        return $validator;
    }
}
