<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * PurchaseIndentComments Model
 *
 * @property \App\Model\Table\PurchaseIndentsTable|\Cake\ORM\Association\BelongsTo $PurchaseIndents
 *
 * @method \App\Model\Entity\PurchaseIndentComment get($primaryKey, $options = [])
 * @method \App\Model\Entity\PurchaseIndentComment newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\PurchaseIndentComment[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\PurchaseIndentComment|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\PurchaseIndentComment|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\PurchaseIndentComment patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\PurchaseIndentComment[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\PurchaseIndentComment findOrCreate($search, callable $callback = null, $options = [])
 *
 * @mixin \Cake\ORM\Behavior\TimestampBehavior
 */
class PurchaseIndentCommentsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('purchase_indent_comments');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        $this->addBehavior('Timestamp');

        $this->belongsTo('PurchaseIndents', [
            'foreignKey' => 'purchase_indent_id',
            'joinType' => 'INNER'
        ]);

	#foot print
		$this->addBehavior('Muffin/Footprint.Footprint');

	#audit log
		$this->addBehavior('AuditStash.AuditLog');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmptyString('id', 'create');

        // $validator
        //     ->requirePresence('status', 'create')
        //     ->allowEmptyString('status', false);

        $validator
            ->scalar('comments')
            ->allowEmptyString('comments');

        // $validator
        //     ->allowEmptyString('is_active');

        // $validator
        //     ->integer('created_by')
        //     ->allowEmptyString('created_by');

        // $validator
        //     ->integer('modified_by')
        //     ->requirePresence('modified_by', 'create')
        //     ->allowEmptyString('modified_by', false);

        return $validator;
    }

    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['purchase_indent_id'], 'PurchaseIndents'));

        return $rules;
    }
}