<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\AnnualPlannedCapacity $annualPlannedCapacity
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Annual Capacity Plan
		<small><?php echo __('Capacity Plan'); ?></small>
	</h1>
	<ol class="breadcrumb">
		<li><a href="<?php echo $this->Url->build(['action' => 'index']); ?>"><i class="fa fa-dashboard"></i> <?php echo __('Home'); ?></a></li>
	</ol>
</section>
<!-- Main content -->
<section class="content annual-machine-capacity-plan">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
                <!-- box header -->
                <div class="box-header with-border">
                    <div class="row">
                    <!-- form start -->
                    <?php echo $this->Form->create(null, ['role' => 'form', 'id' => 'capacity-form-filter', 'method' => 'GET']); ?>
                        <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4">
                            <?php echo $this->Form->input('products.id', array('type'=>'select', 'name'=> 'product_id', 'options'=>$products, 'label'=>false, 'id' => 'product-id', 'default' => $productId, 'class' => 'form-control')); ?>
                        </div>
                        <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4"></div>
                        <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4">
                            <?php echo $this->Form->input('groups.id', array('type'=>'select', 'name'=> 'group_id', 'options'=>$groups, 'label'=>false, 'id' => 'group-id', 'empty' => 'All', 'default' => $groupId, 'class' => 'form-control')); ?>
                        </div>
                    <?php echo $this->Form->end(); ?>
                    <!-- ./form start -->
                    </div>
                </div>
                <!-- /box header -->
                <!-- box body -->
				<div class="box-body">
					<!-- START CUSTOM TABS -->
					<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                            <!-- vertical tab -->
                            <div class="vertical-tab" role="tabpanel">
                                <!-- Nav tabs -->
                                <ul class="nav nav-tabs" role="tablist">
                                    <?php 
                                        $isActive = 0;
                                    #loop machines
                                        foreach( $machines AS $key => $machine ){
                                        #check component process empty
                                            if(count($machine["annual_planned_capacities"]) > 0)
                                            {
                                    ?>
										<li role="presentation" class="<?= (($isActive==0) ? 'active' : '') ?>">
											<a href="#machine_<?= $machine['id'] ?>" role="tab" data-toggle="tab" aria-controls="<?= $machine['machine_name'] ?>">
                                                <?= $machine['machine_name'] ?>
                                            </a>
										</li>
									<?php
                                                $isActive = $isActive+1;
                                            }
                                        }
                                    ?>
                                </ul>
                                <!-- Tab panes -->
                                <div class="tab-content tabs">
                                <?php 
                                    $isActive = 0;
                                #loop machines
                                    foreach($machines AS $mKey => $machine)
                                    {
                                        if(count($machine["annual_planned_capacities"]) > 0)
                                        {
                                            $machineRunningHour = ($machine['machine_hours_per_shift'] * $machine['machine_shift_per_day']);
                                            $machineRunningHour = $machineRunningHour*25;
                                            $machineRunningHour = $machineRunningHour*12;
								?>
									<div class="tab-pane fade <?= ($isActive==0 ? 'in active' : '') ?>" id="machine_<?= $machine['id'] ?>">
                                        <!-- machine total run time per year -->
										<h4 class="pull-right"><span class="label label-warning">Machine Hours Per Annum : <?= $machineRunningHour ?></span></h4>
                                        <!-- 
                                            - machine process time 
                                            - machine process are grouped and total time displayed against component
                                        -->
                                        <?php echo $this->Form->create(null, ['role' => 'form']); ?>
										<table class="table table-bordered table:border:2px freeze-table-header">
											<thead>
												<tr class="bg-gray-active">
													<th class="col-lg-3 text-center">Component Name</th>
                                                    <th class="col-lg-1 text-center">Batch Quantity</th>
													<th class="col-lg-1 text-center">NPM</th>
													<th class="col-lg-1 text-center">Total Components</th>
													<th class="col-lg-1 text-center">Machine Hours Annum</th>
													<th class="col-lg-1 text-center">Remaining Hours Annum</th>
													<th class="col-lg-2 text-center">In</th>
													<th class="col-lg-2 text-center">Out</th>
												</tr>
											</thead>
											<tbody>
												<?php 
                                                # component capcite plan
													foreach($machine["annual_planned_capacities"] AS $cKey=>$capacites){ 
													#remanining machine hour
														$machineRunningHour = $machineRunningHour - $capacites['average_process_time'];
												?>
												<tr style="background-color:<?= ($machineRunningHour<0 ? '#dd4b39;' : '#dff0d8') ?>">
													<td class="td-component-name" data-annual-plan-id="<?= $capacites['annual_plan_id'] ?>" data-machine-id="<?= $capacites['machine_id'] ?>" data-component-id="<?= $capacites['component_id'] ?>">
                                                        <?= '<strong>'.$capacites['component']['component_name'].'</strong>'; ?>
                                                    </td>
                                                    <td class="text-center">
                                                        <?php 
                                                            echo $capacites['batch_quantity']
                                                        ?>
                                                    </td>
													<td class="text-center">
                                                        <?php 
                                                            echo $capacites['number_of_component']
                                                        ?>
                                                    </td>
													<td class="text-center">
                                                        <?php 
                                                            echo $capacites['total_components']
                                                        ?>
                                                    </td>
													<td class="text-center">
                                                        <label class="lblMachineProcessHours"><?= $capacites['average_process_time'] ?></label>
                                                    </td>
													<td class="text-center remainingHours">
                                                        <?= $machineRunningHour ?>
                                                    </td>
													<td class="text-center inComponents">
                                                        <?= $capacites['in_components'] ?>
													</td>
													<td class="text-center outComponents">
                                                        <?= $capacites['out_components'] ?>
													</td>
												</tr>
												<?php 
                                                    }
                                                ?>
											</tbody>
										</table>
                                        <?php echo $this->Form->end(); ?>
									</div>
									<!-- /.tab-pane -->
								<?php 
                                            $isActive = $isActive+1;
                                        }
                                    }
                                ?>
                                </div>
                            </div>
                            <!-- ./vertical tab -->
                            <?php
                                if($isActive==0){
                            ?>
                            <div class="alert alert-warning alert-dismissible">
                                <h4><i class="icon fa fa-warning"></i> Alert!</h4>
                                Records not found.
                            </div>
                            <?php
                                }
                            ?>
						</div>
						<!-- /.col -->
					</div>
					<!-- /.row -->
					<!-- END CUSTOM TABS -->
				</div>
				<!-- /.box-body -->
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>

<!-- component process information modal -->
<div class="modal fade" id="processInfoModal--empty" tabindex="-1">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
            <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">Component Process Information</h4>
			</div>
            <div class="modal-body">
                <!-- table start -->
                <table class="table table-bordered table-hover table:border:2px" id="process-info-table">
                    <thead>
                        <tr class="bg-gray-active">
                            <th class="text-center">Process Name</th>
                            <th class="text-center">Batch Quantity</th>
                            <th class="text-center">Set Time</th>
                            <th class="text-center">Actual Time Taken</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>
                <!-- ./table start -->
            </div>
            <div class="modal-footer with-border text-center">
                <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Close</button>
			</div>
		</div>
	</div>
</div>
<!-- ./component process information modal -->
