<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\AnnualPlannedProduct $annualPlannedProduct
 */
?>
<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Annual Planned Product
      <small><?php echo __('Add'); ?></small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="<?php echo $this->Url->build(['action' => 'index']); ?>"><i class="fa fa-dashboard"></i> <?php echo __('Home'); ?></a></li>
    </ol>
  </section>

  <!-- Main content -->
  <section class="content">
    <div class="row">
      <div class="col-md-12">
        <!-- general form elements -->
        <div class="box box-primary">
          <div class="box-header with-border">
            <h3 class="box-title"><?php echo __('Form'); ?></h3>
          </div>
          <!-- /.box-header -->
          <!-- form start -->
          <?php echo $this->Form->create($annualPlannedProduct, ['role' => 'form']); ?>
            <div class="box-body">
              <?php
                echo $this->Form->control('annual_plan_id', ['options' => $annualPlans, 'empty' => true]);
                echo $this->Form->control('product_id', ['options' => $products, 'empty' => true]);
                echo $this->Form->control('product_quantity');
                echo $this->Form->control('product_buffer_quantity');
                echo $this->Form->control('product_requested_quantity');
                echo $this->Form->control('product_total_quantity');
                echo $this->Form->control('is_active');
                echo $this->Form->control('created_by');
                echo $this->Form->control('modified_by');
              ?>
            </div>
            <!-- /.box-body -->

          <?php echo $this->Form->submit(__('Submit')); ?>

          <?php echo $this->Form->end(); ?>
        </div>
        <!-- /.box -->
      </div>
  </div>
  <!-- /.row -->
</section>
