<section class="content-header">
  <h1>
    Annual Planned Product
    <small><?php echo __('View'); ?></small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="<?php echo $this->Url->build(['action' => 'index']); ?>"><i class="fa fa-dashboard"></i> <?php echo __('Home'); ?></a></li>
  </ol>
</section>

<!-- Main content -->
<section class="content">
  <div class="row">
    <div class="col-md-12">
      <div class="box box-solid">
        <div class="box-header with-border">
          <i class="fa fa-info"></i>
          <h3 class="box-title"><?php echo __('Information'); ?></h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
          <dl class="dl-horizontal">
            <dt scope="row"><?= __('Annual Plan') ?></dt>
            <dd><?= $annualPlannedProduct->has('annual_plan') ? $this->Html->link($annualPlannedProduct->annual_plan->id, ['controller' => 'AnnualPlans', 'action' => 'view', $annualPlannedProduct->annual_plan->id]) : '' ?></dd>
            <dt scope="row"><?= __('Product') ?></dt>
            <dd><?= $annualPlannedProduct->has('product') ? $this->Html->link($annualPlannedProduct->product->id, ['controller' => 'Products', 'action' => 'view', $annualPlannedProduct->product->id]) : '' ?></dd>
            <dt scope="row"><?= __('Id') ?></dt>
            <dd><?= $this->Number->format($annualPlannedProduct->id) ?></dd>
            <dt scope="row"><?= __('Product Quantity') ?></dt>
            <dd><?= $this->Number->format($annualPlannedProduct->product_quantity) ?></dd>
            <dt scope="row"><?= __('Product Buffer Quantity') ?></dt>
            <dd><?= $this->Number->format($annualPlannedProduct->product_buffer_quantity) ?></dd>
            <dt scope="row"><?= __('Product Requested Quantity') ?></dt>
            <dd><?= $this->Number->format($annualPlannedProduct->product_requested_quantity) ?></dd>
            <dt scope="row"><?= __('Product Total Quantity') ?></dt>
            <dd><?= $this->Number->format($annualPlannedProduct->product_total_quantity) ?></dd>
            <dt scope="row"><?= __('Is Active') ?></dt>
            <dd><?= $this->Number->format($annualPlannedProduct->is_active) ?></dd>
            <dt scope="row"><?= __('Created By') ?></dt>
            <dd><?= $this->Number->format($annualPlannedProduct->created_by) ?></dd>
            <dt scope="row"><?= __('Modified By') ?></dt>
            <dd><?= $this->Number->format($annualPlannedProduct->modified_by) ?></dd>
            <dt scope="row"><?= __('Created') ?></dt>
            <dd><?= h($annualPlannedProduct->created) ?></dd>
            <dt scope="row"><?= __('Modified') ?></dt>
            <dd><?= h($annualPlannedProduct->modified) ?></dd>
          </dl>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <div class="box box-solid">
        <div class="box-header with-border">
          <i class="fa fa-share-alt"></i>
          <h3 class="box-title"><?= __('Annual Quarter Plans') ?></h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
          <?php if (!empty($annualPlannedProduct->annual_quarter_plans)): ?>
          <table class="table table-hover">
              <tr>
                    <th scope="col"><?= __('Id') ?></th>
                    <th scope="col"><?= __('Annual Planned Product Id') ?></th>
                    <th scope="col"><?= __('Duration') ?></th>
                    <th scope="col"><?= __('Product Quantity') ?></th>
                    <th scope="col"><?= __('Product Buffer Quantity') ?></th>
                    <th scope="col"><?= __('Product Requested Quantity') ?></th>
                    <th scope="col"><?= __('Product Total Quantity') ?></th>
                    <th scope="col"><?= __('Product Start No') ?></th>
                    <th scope="col"><?= __('Product End No') ?></th>
                    <th scope="col"><?= __('Status') ?></th>
                    <th scope="col"><?= __('Is Active') ?></th>
                    <th scope="col"><?= __('Created By') ?></th>
                    <th scope="col"><?= __('Created') ?></th>
                    <th scope="col"><?= __('Modified By') ?></th>
                    <th scope="col"><?= __('Modified') ?></th>
                    <th scope="col" class="actions text-center"><?= __('Actions') ?></th>
              </tr>
              <?php foreach ($annualPlannedProduct->annual_quarter_plans as $annualQuarterPlans): ?>
              <tr>
                    <td><?= h($annualQuarterPlans->id) ?></td>
                    <td><?= h($annualQuarterPlans->annual_planned_product_id) ?></td>
                    <td><?= h($annualQuarterPlans->duration) ?></td>
                    <td><?= h($annualQuarterPlans->product_quantity) ?></td>
                    <td><?= h($annualQuarterPlans->product_buffer_quantity) ?></td>
                    <td><?= h($annualQuarterPlans->product_requested_quantity) ?></td>
                    <td><?= h($annualQuarterPlans->product_total_quantity) ?></td>
                    <td><?= h($annualQuarterPlans->product_start_no) ?></td>
                    <td><?= h($annualQuarterPlans->product_end_no) ?></td>
                    <td><?= h($annualQuarterPlans->status) ?></td>
                    <td><?= h($annualQuarterPlans->is_active) ?></td>
                    <td><?= h($annualQuarterPlans->created_by) ?></td>
                    <td><?= h($annualQuarterPlans->created) ?></td>
                    <td><?= h($annualQuarterPlans->modified_by) ?></td>
                    <td><?= h($annualQuarterPlans->modified) ?></td>
                      <td class="actions text-right">
                      <?= $this->Html->link(__('View'), ['controller' => 'AnnualQuarterPlans', 'action' => 'view', $annualQuarterPlans->id], ['class'=>'btn btn-info btn-xs']) ?>
                      <?= $this->Html->link(__('Edit'), ['controller' => 'AnnualQuarterPlans', 'action' => 'edit', $annualQuarterPlans->id], ['class'=>'btn btn-warning btn-xs']) ?>
                      <?= $this->Form->postLink(__('Delete'), ['controller' => 'AnnualQuarterPlans', 'action' => 'delete', $annualQuarterPlans->id], ['confirm' => __('Are you sure you want to delete # {0}?', $annualQuarterPlans->id), 'class'=>'btn btn-danger btn-xs']) ?>
                  </td>
              </tr>
              <?php endforeach; ?>
          </table>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>
</section>
