<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\AnnualPlan $annualPlan
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Annual Plan
		<small><?php echo __('Add'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
                <?php echo $this->Form->create($annualPlan, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-header with-border">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Financial Year</label>
                        <div class="col-lg-4">
                            <?php
                                echo $this->Form->control('financial_year', ['type' =>'select', 'options' => $FinancialYears, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'form-control select-2']);
                            ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-header -->
				<!-- form start -->
				<div class="box-body">
                    <div class="col-lg-1"></div>
					<?php
						echo $this->Form->control('month_from', ['type' =>'hidden', 'value' => 'March']);
						echo $this->Form->control('month_to', ['type' =>'hidden', 'value' => 'April']);
					?>
                    <div class="col-lg-10">
                        <table class="table table-bordered table-striped table-hover dtBordered">
                            <thead>
                                <tr class="bg-gray-active">
                                    <th class="col-lg-3 text-center">Product Name</th>
                                    <th class="col-lg-3 text-center">Quantity</th>
                                    <th class="col-lg-3 text-center">Completed Serial Number</th>
                                    <th class="col-lg-3 text-center">Starting Serial Number</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    foreach($Products AS $key=>$Product):
                                ?>
                                <tr>
                                    <td>
                                        <?= 
                                            $Product->product_name; 
                                            echo $this->Form->control('annual_planned_products['.$key.'].product_id', ['type' => 'hidden', 'value' => $Product->id]);
                                        ?>
                                    </td>
                                    <td>
                                        <?php echo $this->Form->control('annual_planned_products['.$key.'].product_quantity', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                                        <?php echo $this->Form->control('annual_planned_products['.$key.'].product_buffer_quantity', ['type' => 'hidden', 'value' => 0]); ?>
                                    </td>
                                    <td>
                                        <?php
                                            $completedSerailNo  = 0;
                                            $startingSerailNo   = 0;
                                        #check data
                                            if(!empty($annualQuarterPlannedProducts)){
                                            #loop products
                                                foreach($annualQuarterPlannedProducts AS $fKey => $rows){
                                                #check condition
                                                    if( $Product->id == $rows['product_id'] ){
                                                        $completedSerailNo  = $rows['last_product_no'];
                                                        $startingSerailNo   = ($rows['last_product_no']+1);
                                                    }
                                                }
                                            }
                                        ?>
                                        <?php 
                                            echo $this->Form->control('annual_planned_products['.$key.'].last_product_no', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => $completedSerailNo]);
                                            echo $this->Form->control('annual_planned_products['.$key.'].product_requested_quantity', ['type' => 'hidden', 'value'=> 0]);
                                            echo $this->Form->control('annual_planned_products['.$key.'].product_total_quantity', ['type' => 'hidden', 'value'=> 0]);
                                        ?>
                                    </td>
                                    <td>
                                        <?php 
                                            echo $this->Form->control('temp', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => $startingSerailNo]);
                                        ?>
                                    </td>
                                </tr>
                                <?php
                                    endforeach;
                                ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-lg-1"></div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
                <?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
