<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\AnnualPlannedCapacity $annualPlannedCapacity
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Annual Capacity Plan
		<small><?php echo __('Capacity Plan'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content annual-machine-capacity-plan">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
                <!-- box header -->
                <div class="box-header with-border">
                    <div class="row">
                    <!-- form start -->
                    <?php echo $this->Form->create(null, ['role' => 'form', 'id' => 'capacity-form-filter', 'method' => 'POST', 'class' => 'form-horizontal get-capacity-plan']); ?>
                        <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4">
                            <div class="form-group">
                                <label class="control-label col-lg-4">Product Name</label>
                                <div class="col-lg-8">
                                    <?php echo $this->Form->input('products.id', array('type' => 'select', 'name' => 'product_id', 'options' => $products, 'label' => false, 'id' => 'product-id', 'default' => $productId, 'class' => 'form-control', 'templates' => ['inputContainer' => '{{content}}'])); ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4"></div>
                        <div class="col-xs-12 col-sm-4 col-md-4 col-lg-4">
                            <div class="form-group">
                                <label class="control-label col-lg-4">Group Name</label>
                                <div class="col-lg-8">
                                    <?php echo $this->Form->input('groups.id', array('type' => 'select', 'name' => 'group_id', 'options' => $groups, 'label' => false, 'id' => 'group-id', 'default' => $groupId, 'empty' => 'All', 'class' => 'form-control', 'templates' => ['inputContainer' => '{{content}}'])); ?>
                                </div>
                            </div>
                        </div>
                    <?php echo $this->Form->end(); ?>
                    <!-- ./form start -->
                    </div>
                </div>
                <!-- /box header -->
                <!-- box body -->
                <?php echo $this->Form->create(null, ['role' => 'form', 'url'=>['controller' => 'AnnualPlans', 'action' => 'freezCapacityPlan', $id]]); ?>
				<div class="box-body">
					<!-- START CUSTOM TABS -->
					<div class="row">
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                            <!-- vertical tab -->
                            <div class="vertical-tab" role="tabpanel">
                                <!-- Nav tabs -->
                                <ul class="nav nav-tabs" role="tablist">
                                <!-- machines available -->
                                    <?php 
                                        $isActive = 0;
                                    #loop machines
                                        foreach( $machines AS $key => $machine ){
                                        #check component process empty
                                            if(count($machine["annual_planned_capacities"]) > 0)
                                            {
                                    ?>
										<li role="presentation" class="<?= (($isActive==0) ? 'active' : '') ?>">
											<a href="#machine_<?= $machine['id'] ?>" role="tab" data-toggle="tab" aria-controls="<?= $machine['machine_name'] ?>">
                                                <?= $machine['machine_name'] ?>
                                            </a>
										</li>
									<?php
                                                $isActive = $isActive+1;
                                            }
                                        }
                                    ?>
                                <!-- ./machines available -->
                                <!-- machines not available -->
                                    <?php
                                        if($isActive==0){
                                    ?>
                                    <li role="presentation" class="active">
                                        <a href="#machine" role="tab" data-toggle="tab" aria-controls="Machine Not Available">
                                            <i class="fa fa-exclamation-circle"></i> Machines Not Available
                                        </a>
                                    </li>
                                    <?php
                                        }
                                    ?>
                                <!-- ./machines not available -->
                                </ul>
                                <!-- Tab panes -->
                                <div class="tab-content tabs">
                                <!-- ./tab content machine available -->
                                <?php 
                                    $isActive = 0;
                                #loop machines
                                    foreach($machines AS $mKey => $machine)
                                    {
                                    #check annual planned capacities not empty
                                        if(count($machine["annual_planned_capacities"]) > 0)
                                        {
                                        #machine down time per year
                                            $machineDownTime    = ($machine['machine_downtime_per_month'] * 12);
                                        #mchine running hours per year
                                            $machineRunningHour = ($machine['machine_hours_per_shift'] * $machine['machine_shift_per_day']);
                                            $machineRunningHour = $machineRunningHour*$machineRunningDays;
                                        #machine overall running hours
                                            $machineRunningHour = ($machineRunningHour*$machineRunningMonths)-$machineDownTime;
								?>
									<div class="tab-pane fade <?= ($isActive==0 ? 'in active' : '') ?>" id="machine_<?= $machine['id'] ?>">
                                        <input type="hidden" class="totalMachineRunningHour" value="<?= $machineRunningHour ?>" />
                                        <!-- machine total run time per year -->
                                        <div class="col-lg-6">
                                            <h4><span class="label label-warning">Machine Down Time Per Annum : <?= $machineDownTime ?> hours</span></h4>
                                        </div>
                                        <div class="col-lg-6">
                                            <h4 class="pull-right"><span class="label label-warning">Machine Hours Per Annum : <?= $machineRunningHour ?> hours</span></h4>
                                        </div>
                                        <!-- 
                                            - machine process time 
                                            - machine process are grouped and total time displayed against component
                                        -->
										<table class="table table-bordered table-hover dtBordered freeze-table-header">
											<thead>
												<tr class="bg-gray-active">
													<th class="col-lg-3 text-center">Component Name</th>
                                                    <th class="col-lg-1 text-center">Batch Quantity</th>
													<th class="col-lg-1 text-center">NPM</th>
													<th class="col-lg-1 text-center">Total Components</th>
													<th class="col-lg-1 text-center">Machine Hours Annum</th>
													<th class="col-lg-1 text-center">Remaining Hours Annum</th>
													<th class="col-lg-2 text-center">In</th>
													<th class="col-lg-2 text-center">Out</th>
												</tr>
											</thead>
											<tbody>
												<?php 
                                                # component capcite plan
													foreach($machine["annual_planned_capacities"] AS $cKey=>$capacites){ 
													#remanining machine hour
														$machineRunningHour = $machineRunningHour - $capacites['average_process_time'];
												?>
												<tr class="<?= ($machineRunningHour<0 ? 'bg-red-active' : 'bg-machine-active') ?>">
													<td class="td-component-name" data-annual-plan-id="<?= $capacites['annual_plan_id'] ?>" data-machine-id="<?= $capacites['machine_id'] ?>" data-component-id="<?= $capacites['component_id'] ?>">
                                                        <?php
                                                            echo $this->Form->control('annual_planned_capacities['.$capacites['id'].'].id', ['type' => 'hidden', 'value' => $capacites['id'] ]);
                                                            echo '<strong>'.$capacites['component']['component_name'].'</strong>';
                                                        ?>
                                                    </td>
                                                    <td class="text-center">
                                                        <?php
                                                            echo $this->Form->control('batch_quantity',['type' => 'hidden','label' => false, 'value' => $capacites['batch_quantity'], 'class' => 'batch-quantity']);
                                                            echo $capacites['batch_quantity'];
                                                        ?>
                                                    </td>
													<td class="text-center">
                                                        <?php
                                                            echo $this->Form->control('number_of_component',['type' => 'hidden','label' => false, 'value' => $capacites['number_of_component'], 'class' => 'component-npm']);
                                                            echo $capacites['number_of_component'];
                                                        ?>
                                                    </td>
													<td class="text-center">
                                                        <?php
                                                            echo $this->Form->control('total_components',['type' => 'hidden','label' => false, 'value' => $capacites['total_components'], 'class' => 'total-components']);
                                                            echo $capacites['total_components']
                                                        ?>
                                                    </td>
													<td class="text-center">
                                                        <label class="lblMachineProcessHours">
                                                            <?php 
                                                            #average time taken
                                                                echo $this->Form->control('average_time_taken',['type' => 'hidden', 'value' => $capacites['average_time_taken'], 'class' => 'average-time-taken']);
                                                            #set time for bacth
                                                                echo $this->Form->control('set_time_for_batch',['type' => 'hidden', 'value' => $capacites['set_time_for_batch'], 'class' => 'set-time-for-batch']);
                                                            #average process time
                                                                echo $this->Form->control('average_process_time',['type' => 'hidden', 'value' => $capacites['average_process_time'], 'class' => 'average-process-time']);
                                                            #print avarage process time
                                                                echo $capacites['average_process_time'];
                                                            ?>
                                                        </label>
                                                    </td>
													<td class="text-center remainingHours">
                                                        <?= $machineRunningHour ?>
                                                    </td>
													<td class="text-center inComponents">
                                                        <?php
                                                        #checks is inout component
                                                            if( ($capacites['tag']==2) && ($annualPlans->status==0) ){
                                                                echo $this->Form->control('annual_planned_capacities['.$capacites['id'].'].in_components',['type' => 'text', 'label' => false, 'value' => $capacites['total_components'], 'class' => 'form-control in-components']);
                                                            }
                                                            else{
                                                                $inComponents = ( ($capacites['tag']==2) ? $capacites['in_components'] : $capacites['total_components']);
                                                                echo $this->Form->control('annual_planned_capacities['.$capacites['id'].'].in_components',['type' => 'hidden', 'value' => $inComponents, 'class' => 'in-components']);
                                                                echo $inComponents;
                                                            }
                                                        ?>
													</td>
													<td class="text-center outComponents">
                                                        <?php
                                                        #checks is inout component
                                                             if( ($capacites['tag']==2) && ($annualPlans->status==0) ){
                                                                echo $this->Form->control('annual_planned_capacities['.$capacites['id'].'].out_components',['type' => 'text','label' => false, 'value' => 0, 'class' => 'form-control out-components']);
                                                            }
                                                            else{
                                                                $outComponents = ( ($capacites['tag']==2) ? $capacites['out_components'] : 0);
                                                                echo $this->Form->control('annual_planned_capacities['.$capacites['id'].'].out_components',['type' => 'hidden', 'value' => $outComponents, 'class' => 'out-components']);
                                                                echo $outComponents;
                                                            }
                                                        ?>
													</td>
												</tr>
												<?php 
                                                    }
                                                ?>
											</tbody>
										</table>
									</div>
									<!-- /.tab-pane -->
								<?php 
                                            $isActive = $isActive+1;
                                        }
                                    }
                                ?>
                            <!-- ./tab content machine available -->
                            <!-- tab content machine not available -->
                                <?php
                                    if($isActive==0){
                                ?>
                                <div class="tab-pane fade in active" id="machine">
                                    <div class="row">
                                        <div class="col-lg-12 text-center">
                                            <table class="table table-hover">
                                                <tr>
                                                    <td><h4>Machine running hour not available</h4></td>
                                                <tr>
                                                <tr>
                                                    <td><img src="<?php echo $this->Url->image('clock-sleep.png'); ?>" class="pull-center" /></td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                    }
                                ?>
                                </div>
                            <!-- ./tab content machine not available -->
                            </div>
                            <!-- ./vertical tab -->
						</div>
						<!-- /.col -->
					</div>
					<!-- /.row -->
					<!-- END CUSTOM TABS -->
				</div>
				<!-- /.box-body -->
                <div class="box-footer text-center">
                    <?php 
                        if($annualPlans->status==0){
                            echo $this->Form->button(__('Lock Year Plan'), ['type' => 'submit', 'id' => 'btnFreezYearPlan', 'class' => 'btn btn-sm btn-success'])." ";
                        }
                        echo $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']); 
                    ?>
                </div>
                <!-- ./box footer -->
                <?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>

<!-- component process information modal -->
<div class="modal fade" id="processInfoModal--empty" tabindex="-1">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
            <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">Component Process Information</h4>
			</div>
            <div class="modal-body">
                <!-- table start -->
                <table class="table table-bordered table-hover table:border:2px" id="process-info-table">
                    <thead>
                        <tr>
                            <th class="text-center">Process Name</th>
                            <th class="text-center">Batch Quantity</th>
                            <th class="text-center">Set Time</th>
                            <th class="text-center">Actual Time Taken</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>
                <!-- ./table start -->
            </div>
            <div class="modal-footer with-border text-center">
                <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Close</button>
			</div>
		</div>
	</div>
</div>
<!-- ./component process information modal -->
