<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>Component Raw Material Inventory</h1>
</section>
<!-- Main content -->
<section class="content">
<!-- filter section -->
    <div class="row filter">
        <div class="col-xs-12">
            <div class="box box-default ">
                <?php
                    echo $this->Form->create(null, ['valueSources' => 'query', 'method' => 'get']);
                ?>
                <div class="box-body">
                    <?php
                        # You'll need to populate $authors in the template from your controller
                        echo '<div class="row">';

                            echo '<div class="col-sm-12 col-lg-12">';
                                echo '<div class="col-sm-4 col-lg-4">';
                                    echo '<label class="col-lg-4">Annual Plan</label>';
                                    echo '<div class="col-sm-8">';
                                        echo $this->Form->control('annual_plan_id', ['class' => 'form-control select-2', 'options' => $annualPlanOptions, 'label' => false]);
                                    echo '</div>';
                                echo '</div>';

                                echo '<div class="col-sm-4 col-lg-4">';
                                    echo '<label class="col-lg-4">Component Name</label>';
                                    echo '<div class="col-sm-8">';
                                        echo $this->Form->control('component_name', ['label' => false, 'class' => 'form-control', 'placeholder' => 'Component Name']);
                                    echo '</div>';
                                echo '</div>';

                                echo '<div class="col-sm-4 col-lg-4">';
                                    echo '<label class="col-lg-4">Material Name</label>';
                                    echo '<div class="col-sm-8">';
                                        echo $this->Form->control('raw_material_id', ['class' => 'form-control select-2', 'options' => $rawMaterials, 'label' => false, 'empty' => 'All']);
                                    echo '</div>';
                                echo '</div>';
                            echo '</div>';
                            
                            echo '<div class="col-sm-12 col-lg-12">';
                                echo '<div class="col-sm-4 col-lg-4">';
                                    echo '<label class="col-lg-4">Group Name</label>';
                                    echo '<div class="col-sm-8">';
                                        echo $this->Form->control('group_id', ['class' => 'form-control select-2', 'options' => $groups, 'label' => false, 'empty' => 'All']);
                                    echo '</div>';
                                echo '</div>';
                            echo '</div>';

                        echo '</div>';
                    ?>
                </div>
                <!-- ./box-body -->
                <div class="box-footer text-right">
                    <?php echo $this->Form->button('<i class="fa fa-filter"></i> Filter', ['type' => 'submit', 'class' => 'btn btn-xs btn-info', 'escape'=>false]); ?>
                    <?php echo $this->Html->link('<i class="fa fa-undo"></i> Reset', ['action' => 'componentRawMaterialReport'], ['class' => 'btn btn-xs btn-danger', 'escape'=>false]); ?>
                </div>
                <!-- ./box-footer -->
                <?php
                    echo $this->Form->end();
                ?>
            </div>
        </div>
    </div>
    <!-- ./filter section -->

    <!-- main content -->
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-body table-responsive">
                    <table class="table table-bordered table-hover table-striped dtBordered">
                        <thead>
                            <tr class="bg-gray-active">
                                <th class="col-lg-1 text-center">Sno.</th>
                                <th class="col-lg-2">Component Name</th>
                                <th class="col-lg-1">Raw Material Name</th>
                                <th class="col-lg-2 text-center">No of Components Manufactured</th>
                                <th class="col-lg-2 text-center">Total Purchase Qty</th>
                                <th class="col-lg-2 text-center">Raw Material Consumed Qty</th>
                                <th class="col-lg-2 text-center">Remaining Raw Material Stock</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            #checks data empty
                                if(count($annualPlans)>0){
                                #prepare serial numbers
                                    $currentPage = ( ($this->Paginator->current()==1) ? 0 : (($this->Paginator->current()-1)*20));
                                #loop data
                                    foreach($annualPlans AS $key => $rows){
                                        $currentPage = $currentPage+1;
                                        $consumedQuantity = rawMaterialCalculation($rows);
                            ?>
                            <tr>
                                <td class="text-center"><?= h($currentPage) ?></td>
                                <td><?= h($rows->component_name) ?></td>
                                <td><?= h($rows->material_name) ?></td>
                                <td class="text-center"><?= h($rows->total_completed_component) ?></td>
                                <td class="text-center"><?= h($rows->total_purchase_received_quantity) ?></td>
                                <td class="text-center"><?php echo $consumedQuantity; ?></td>
                                <td class="text-center">
                                    <?php 
                                        if($rows->total_purchase_received_quantity!=0){
                                            echo ($rows->total_purchase_received_quantity-$consumedQuantity); 
                                        }
                                        else{
                                            echo '0';
                                        }
                                    ?>
                                </td>
                            </tr>
                            <?php
									}
                                }
								else{
                            ?>
								<tr>
									<td colspan="9" class="text-center">No records Found!</td>
								</tr>
							<?php
								}
							?>
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                    <div class="paginator">
                        <div class="row">
                            <div class="col-sm-6">
                                <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
                            </div>
                            <div class="col-sm-6 text-right">
                                <ul class="pagination no-margin">
                                    <?= $this->Paginator->first('<< ' . __('first')) ?>
                                    <?= $this->Paginator->prev('< ' . __('previous')) ?>
                                    <?= $this->Paginator->numbers() ?>
                                    <?= $this->Paginator->next(__('next') . ' >') ?>
                                    <?= $this->Paginator->last(__('last') . ' >>') ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./box-footer -->
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
<?php 

function rawMaterialCalculation($componentRawMaterialData)
{
	$quantity               = 0;
	$shape                  = $componentRawMaterialData->raw_material_shape;
	$min_cut_length         = $componentRawMaterialData->min_cut_length;
	$outer_dia              = $componentRawMaterialData->outer_dia;
	$inner_dia              = $componentRawMaterialData->inner_dia;
	$raw_material_thickness = $componentRawMaterialData->raw_material_thickness;
	$raw_material_width     = $componentRawMaterialData->raw_material_width;
	$raw_material_length    = $componentRawMaterialData->raw_material_length;
	$order_quantity         = $componentRawMaterialData->total_completed_component;
	$raw_material_name      = $componentRawMaterialData->material_name;
    
	$sw=0;
	if ($raw_material_name == 'Mild steel' || $raw_material_name == 'M.S' || $raw_material_name == 'Cast Iron' || $raw_material_name == 'EN 8' || $raw_material_name == 'EN 9' || $raw_material_name == 'EN30 or 31' || $raw_material_name == 'EN30or31' || $raw_material_name == 'EN47' || $raw_material_name == 'EN24' || $raw_material_name == 'EN 31') {
		$sw=0.786;
	}else if($raw_material_name == 'Aluminium' || $raw_material_name == 'ALU'){
		$sw=0.270;
	}else if($raw_material_name == 'Stainless Steel' || $raw_material_name == 'S.S'){
		$sw=0.786;
	}else if($raw_material_name == 'Mild steel' || $raw_material_name == 'M.S'){
		$sw=0.786;
	}
	if($shape == 'Round' || $shape == 'Pipe' || $shape == 'ROUND'){

		$round_total=0;
		$round_pipe_total=0;
		
		$round_total=((
			(pi()*(($outer_dia)*($outer_dia))/4)*$sw*$min_cut_length)/100000)*$order_quantity;

		if($shape == 'Pipe'){
				$round_pipe_total=(((pi()*(($inner_dia)*($inner_dia))/4)*$sw*$min_cut_length)/100000)*$order_quantity;
		}
		$quantity=$round_total-$round_pipe_total;
	}else if($shape == 'FLAT'){
		$square=($sw*$raw_material_length*$raw_material_width*$raw_material_thickness)/100000;
		$quantity=$square*$order_quantity;
	}

	return  number_format((float)$quantity, 2, '.', '');
}

?>
