<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\AnnualPlan $annualPlan
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Annual Plan
		<small><?php echo __('Edit'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<div class="box-header with-border">
					<div class="col-lg-3"></div>
					<div class="col-lg-6">
						<div class="form-group">
							<label class="control-label col-lg-4">Financial Year</label>
							<div class="col-lg-8">
								<b><?= $annualPlan->financial_year ?></b>
							</div>
						</div>
                    </div>
					<div class="col-lg-3"></div>
				</div>
				<!-- /.box-header -->
				<!-- form start -->
				<div class="box-body">
                    <div class="col-lg-1"></div>
					<?php
						echo $this->Form->control('month_from', ['type' =>'hidden', 'value' => 'March']);
						echo $this->Form->control('month_to', ['type' =>'hidden', 'value' => 'April']);
					?>
                    <div class="col-lg-10">
                        <table class="table table-bordered table-hover table-striped dtBordered">
                            <thead>
                                <tr class="bg-gray-active">
                                    <th class="col-lg-3 text-center">Product Name</th>
                                    <th class="col-lg-3 text-center">Quantity</th>
                                    <th class="col-lg-3 text-center">Completed Serial Number</th>
                                    <th class="col-lg-3 text-center">Starting Serial Number</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    foreach($Products AS $key=>$rows):
                                ?>
                                <tr>
                                    <td><?= $rows->product_name; ?></td>
                                    <td class="text-center"><?= $rows->product_quantity ?></td>
                                    <td class="text-center"><?= $rows->last_product_no ?></td>
                                    <td class="text-center"><?= ($rows->last_product_no+1) ?></td>
                                </tr>
                                <?php
                                    endforeach;
                                ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-lg-1"></div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-right">
                    <?= $this->Html->link(__('Back'), ['action' => 'index'], ['class'=>'btn btn-sm btn-default']) ?>
                </div>
                <!-- /.box-footer -->
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
