<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Component Assemblies</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-header">
					<h3 class="box-title"><!-- feature content --></h3>
					<div class="box-tools">
						<div class="pull-right">
							<?php echo $this->Html->link(__('Add New Component Assemblies'), ['action' => 'add'], ['class'=>'btn btn-primary']) ?>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover">
						<thead>
							<tr>
																<th scope="col"><?= $this->Paginator->sort('id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('component_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('sub_assembly_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('is_active') ?></th>
																<th scope="col"><?= $this->Paginator->sort('created_by') ?></th>
																<th scope="col"><?= $this->Paginator->sort('created') ?></th>
																<th scope="col"><?= $this->Paginator->sort('modified_by') ?></th>
																<th scope="col"><?= $this->Paginator->sort('modified') ?></th>
																<th scope="col" class="actions text-center"><?= __('Actions') ?></th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($componentAssemblies as $componentAssembly): ?>
							<tr>
																																																																								<td><?= $this->Number->format($componentAssembly->id) ?></td>
																																																																<td><?= $componentAssembly->has('component') ? $this->Html->link($componentAssembly->component->id, ['controller' => 'Components', 'action' => 'view', $componentAssembly->component->id]) : '' ?></td>
																																																																								<td><?= $componentAssembly->has('sub_assembly') ? $this->Html->link($componentAssembly->sub_assembly->id, ['controller' => 'SubAssemblies', 'action' => 'view', $componentAssembly->sub_assembly->id]) : '' ?></td>
																																																																																																<td><?= $this->Number->format($componentAssembly->is_active) ?></td>
																																																																																								<td><?= $this->Number->format($componentAssembly->created_by) ?></td>
																																																																																								<td><?= h($componentAssembly->created) ?></td>
																																																																																								<td><?= $this->Number->format($componentAssembly->modified_by) ?></td>
																																																																																								<td><?= h($componentAssembly->modified) ?></td>
																																								<td class="actions text-right">
									<?= $this->Html->link(__('View'), ['action' => 'view', $componentAssembly->id], ['class'=>'btn btn-info btn-xs']) ?>
									<?= $this->Html->link(__('Edit'), ['action' => 'edit', $componentAssembly->id], ['class'=>'btn btn-warning btn-xs']) ?>
									<?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $componentAssembly->id], ['confirm' => __('Are you sure you want to delete # {0}?', $componentAssembly->id), 'class'=>'btn btn-danger btn-xs']) ?>
								</td>
							</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>
