<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Component Processes</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-header">
					<h3 class="box-title"><!-- feature content --></h3>
					<div class="box-tools">
						<div class="pull-right">
							<?php echo $this->Html->link(__('Add New Component Processes'), ['action' => 'add'], ['class'=>'btn btn-primary']) ?>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover">
						<thead>
							<tr>
																<th scope="col"><?= $this->Paginator->sort('id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('component_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('machine_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('processe_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('batch_quantity') ?></th>
																<th scope="col"><?= $this->Paginator->sort('is_active') ?></th>
																<th scope="col"><?= $this->Paginator->sort('created_by') ?></th>
																<th scope="col"><?= $this->Paginator->sort('created') ?></th>
																<th scope="col"><?= $this->Paginator->sort('modified_by') ?></th>
																<th scope="col"><?= $this->Paginator->sort('modified') ?></th>
																<th scope="col" class="actions text-center"><?= __('Actions') ?></th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($componentProcesses as $componentProcess): ?>
							<tr>
																																																																								<td><?= $this->Number->format($componentProcess->id) ?></td>
																																																																<td><?= $componentProcess->has('component') ? $this->Html->link($componentProcess->component->id, ['controller' => 'Components', 'action' => 'view', $componentProcess->component->id]) : '' ?></td>
																																																																								<td><?= $componentProcess->has('machine') ? $this->Html->link($componentProcess->machine->id, ['controller' => 'Machines', 'action' => 'view', $componentProcess->machine->id]) : '' ?></td>
																																																																								<td><?= $componentProcess->has('process') ? $this->Html->link($componentProcess->process->id, ['controller' => 'Processes', 'action' => 'view', $componentProcess->process->id]) : '' ?></td>
																																																																																																<td><?= $this->Number->format($componentProcess->batch_quantity) ?></td>
																																																																																								<td><?= $this->Number->format($componentProcess->is_active) ?></td>
																																																																																								<td><?= $this->Number->format($componentProcess->created_by) ?></td>
																																																																																								<td><?= h($componentProcess->created) ?></td>
																																																																																								<td><?= $this->Number->format($componentProcess->modified_by) ?></td>
																																																																																								<td><?= h($componentProcess->modified) ?></td>
																																								<td class="actions text-right">
									<?= $this->Html->link(__('View'), ['action' => 'view', $componentProcess->id], ['class'=>'btn btn-info btn-xs']) ?>
									<?= $this->Html->link(__('Edit'), ['action' => 'edit', $componentProcess->id], ['class'=>'btn btn-warning btn-xs']) ?>
									<?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $componentProcess->id], ['confirm' => __('Are you sure you want to delete # {0}?', $componentProcess->id), 'class'=>'btn btn-danger btn-xs']) ?>
								</td>
							</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>