<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\ComponentSpareInventory $componentSpareInventory
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Component Spare Inventory
		<small><?php echo __('Edit'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($componentSpareInventory, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
                    <div class="row">
                        <div class="col-lg-9">
                            <div class="form-group required">
                                <label class="control-label col-lg-5">Issued To</label>
                                <div class="col-lg-7">
                                    <?php echo $this->Form->control('issued_to', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="control-label col-lg-5">Product Name</label>
                                <div class="col-lg-7">
                                    <?php echo $this->Form->control('product_id', ['options' => $products, 'empty' => 'Select', 'id' => 'spare_product_id', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                                </div>
                            </div>
                            <div class="form-group required">
                                <label class="control-label col-lg-5">Product Number</label>
                                <div class="col-lg-7">
                                    <?php echo $this->Form->control('product_number', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-lg-5">Description</label>
                                <div class="col-lg-7">
                                    <?php echo $this->Form->control('description', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-lg-5"><!-- dynamic content --></div>
                                <div class="col-lg-7 components-list"><!-- dynamic content --></div>
                            </div>
                        </div>
                        <div class="col-lg-3 spare-stock"><!-- dynamic content --></div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success btnSpareInventorySubmit']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
