<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\Component $component
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Component Management<small><?php echo __('Edit'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($component, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Component Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('component_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Drawing Reference No.</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('drawing_reference_no', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Tag</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('tag', ['type' => 'select', 'options' => $in_out_tags, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'id' => 'componentTag', 'required' => true]); ?>
                        </div>
                    </div>
                    <!-- component product -->
                    <?php if(!empty($component->products)){ ?>
                    <div class="form-group">
                        <div class="col-lg-2"></div>
                        <div class="col-lg-8">
                            <table class="table table-bordered table:border:1px" id="componentProductTable" data-rows="<?php echo count($component->products); ?>">
                                <thead>
                                    <tr class="bg-gray-active">
                                        <th class="col-lg-3">Associated Product</th>
                                        <th class="col-lg-2">NPM</th>
                                        <th class="col-lg-2">Minimum Spare Count</th>
                                        <th class="col-lg-2">Start product number</th>
                                        <th class="col-lg-2">End product number</th>
                                        <th class="col-lg-1 text-center">
                                            <button type="button" name="btnAddProductRow" class="btn btn-default btn-xs btnAddProductRow">Add</button>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach($component->products AS $key=> $rows){ ?>
                                    <tr>
                                        <td>
                                            <?php echo $this->Form->control('products['.$key.'][id]',['type' => 'select', 'label' => false, 'empty' => 'Select', 'options' => $products, 'class' => 'form-control select-2 componentProduct', 'templates' => ['inputContainer' => '{{content}}'], 'default' => $rows->id]); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('products['.$key.'][_joinData][number_of_component]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control numberOfComponents', 'value' => $rows->_joinData->number_of_component]); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('products['.$key.'][_joinData][spare_count]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control spareCount', 'value' => $rows->_joinData->spare_count]); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('products['.$key.'][_joinData][start_product_no]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control startProductNo', 'value' => $rows->_joinData->start_product_no]); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('products['.$key.'][_joinData][end_product_no]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control endProductNo', 'value' => $rows->_joinData->end_product_no]); ?>
                                        </td>
                                        <td class="text-center">
                                            <button type="button" class="btn btn-default btn-circle btnComponentProcessRemove"><i class="fa fa-remove"></i></button>
                                        </td>
                                    </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                        <div class="col-lg-2"></div>
                    </div>
                    <?php } ?>
                    <!-- ./component product -->
                    <!-- component process -->
                    <?php $customProcessHide = ($component->tag!=1 ? '' : 'custom-hide') ?>
                    <div class="form-group <?= $customProcessHide ?>" id="componentProcess">
                        <div class="col-lg-2"></div>
                        <div class="col-lg-8">
                            <table class="table table-bordered table:border:1px" id="componentProcessTable" data-rows="<?php echo count($component->processes); ?>">
                                <thead>
                                    <tr>
                                        <th class="col-lg-4">Associated Process/Operation</th>
                                        <th class="col-lg-3">Associated Machine</th>
                                        <th class="col-lg-2">Set Time For Batch</th>
                                        <th class="col-lg-2">Actual Time Taken</th>
                                        <th class="col-lg-1 text-center">
                                            <button type="button" name="btnAddProcessRow" class="btn btn-default btn-xs btnAddProcessRow">Add</button>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                        if(!empty($component->processes)){
                                            foreach ($component->processes as $key => $rows) { 
                                    ?>
                                    <tr>
                                        <td>
                                            <?php echo $this->Form->control('processes['.$key.'][id]', ['type' => 'select', 'label' => false , 'empty' => 'Select', 'options' => $process, 'class' => 'form-control select-2 componentProcess', 'templates' => ['inputContainer' => '{{content}}'], 'default' => $rows->id]); ?>
                                        </td>
                                        <td>
                                            <select name="processes[<?= $key ?>][_joinData][machine_id]" class="form-control select-2 machineId">
                                                <?php
                                                    $isSelected = "";
                                                    foreach ($rows->machine_processes AS $mpkey=>$mpRows){
                                                        $isSelected = ($rows->_joinData->machine_id==$mpRows->machine->id ? "selected" : "");
                                                        echo '<option value="'.$mpRows->machine->id.'" '.$isSelected.' >'.$mpRows->machine->machine_name.'</option>';
                                                    } 
                                                ?>
                                            </select>
                                        </td>
                                        <td>
                                            <?php  echo $this->Form->control('processes['.$key.'][_joinData][set_time_for_batch]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control setTimeForBatch', 'value' => $rows->_joinData->set_time_for_batch]);?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('processes['.$key.'][_joinData][average_time_taken]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control averageTimeTaken', 'value' => $rows->_joinData->average_time_taken]); ?>
                                        </td>
                                        <td class="text-center">
                                            <button type="button" class="btn btn-default btn-circle btnComponentProcessRemove"><i class="fa fa-remove"></i></button>
                                        </td>
                                    </tr>
                                    <?php 
                                            } 
                                        }
                                        else{
                                    ?>
                                    <tr>
                                        <td>
                                            <?php echo $this->Form->control('processes[0][id]',['type' => 'select', 'label' => false , 'empty' => 'Select', 'options' => $process, 'class' => 'form-control select-2 componentProcess', 'templates' => ['inputContainer' => '{{content}}']]); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('processes[0][_joinData][machine_id]',['type' => 'select', 'label' => false , 'empty' => 'Select', 'class' => 'form-control select-2 machineId', 'templates' => ['inputContainer' => '{{content}}']]); ?>
                                        </td>
                                        <td>
                                            <?php  echo $this->Form->control('processes[0][_joinData][set_time_for_batch]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control setTimeForBatch']);?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('processes[0][_joinData][average_time_taken]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control averageTimeTaken']); ?>
                                        </td>
                                        <td class="text-center"></td>
                                    </tr>
                                    <?php
                                        }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                        <div class="col-lg-2"></div>
                    </div>
                    <!-- ./ component process -->
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Group Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('groups[0][id]', ['empty' => 'Select', 'options' => $groups, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'default' => $component->component_groups[0]->group_id, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Sub Assembly Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('sub_assemblies[0][id]', ['empty' => 'Select', 'options' => $sub_assemblies, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'default' => $component->sub_assemblies[0]->id, 'required' => true]); ?>
                        </div>
                    </div>
                    <?php
                        $defaultVendorHide = ($component->tag!=1 ? 'custom-hide' : '');
                    ?>
                    <div class="form-group <?= $defaultVendorHide ?>" id="defaultVendorName">
                        <label class="control-label col-lg-4">Default Vendor Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('default_vendor_id', ['empty' => 'Select', 'options' => $vendors, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'value' => $component->default_vendor_id]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Batch Quantity</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('batch_quantity', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'default' => '1', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">PO Turnaround Time</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('po_turnaround_time',['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Buying Frequency</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('buying_frequency', ['empty' => 'Select', 'options' => $buyer_frequency, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Status</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('is_active', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, "data-toggle" => "toggle", "data-style" => "ios", "data-onstyle" => "success", "data-offstyle" => "warning", "data-size" => "small"]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success btnComponentSubmit']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
