<?php
	/**
	* @var \App\View\AppView $this
	* @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
	*/
?> 
<table class="table table-hover table-bordered table-striped dtBordered">
    <thead>
        <tr class="bg-gray-active">
			<th class="text-center">Sno.</th>
			<th>Component Name</th>
			<th>Quantity (NO'S)</th>
			<th>Unit Price (₹)</th>
			<th>GST %</th>
			<th>GST Amount (₹)</th>
			<th>Amount (₹)</th>
		</tr>
    </thead>
	<tbody>
		<?php 
			$s_no = 1;
			$total = $total_gst_amount = $total_amount = 0;
        #loop data
			foreach ($purchaseOrder->purchase_order_components as $components_key => $components_value): 
			   $id                  = $components_value->id;
			   $component_cost      = $components_value->price;
			   $component_gst       = $components_value->gst;
			   $component_amount    = $component_cost*$components_value->order_quantity;
			   $component_gst_amount= $component_amount*($component_gst/100);
			   $total_gst_amount    = $total_gst_amount+$component_gst_amount;
			   $total_amount        = $total_amount+$component_amount;
        ?>
		<tr>
			<td class="text-center"><?= $s_no ?></td>
			<td><?= $components_value->component->component_name ?></td>
			<td>
				<span class="col-xs-8 no-padding-left">
                    <?= $this->Form->control('purchase_order_components['.$components_key.'].id', ['label'=>false, 'value'=>$id, 'type'=>'hidden']); ?>
                    <?= $this->Form->control('purchase_order_components['.$components_key.'].gst_amount', ['class'=>'edit-po-gst-value', 'label'=>false, 'value'=>$component_gst_amount, 'type'=>'hidden']); ?>
                    <?= $this->Form->control('purchase_order_components['.$components_key.'].order_quantity', ['type'=>'text', 'value'=>$components_value->order_quantity,'required'=>false, 'escape'=>false, 'class' => 'form-control edit_order_quantity', 'label'=>false, 'templates'=>['inputContainer'=>'{{content}}']]);?>
				</span>
			</td>
			<td>
				<?= $this->Form->control('purchase_order_components['.$components_key.'].price', ['value'=>$component_cost,'required'=>false,'readonly','disabled'=>false,'class'=>'form-control edit_component_price','label'=>false,'templates' => ['inputContainer' => '{{content}}']]); ?>
			</td>
			<td>
				<?= $this->Form->control('purchase_order_components['.$components_key.'].gst', ['value'=>$component_gst,'readonly','required'=>false,'class'=>'form-control edit_component_gst','label'=>false,'templates' => ['inputContainer' => '{{content}}']]); ?>
			</td>
			<td class='edit-component-gst-value'>
				<?= $components_value->gst_amount ?>
			</td>
			<td>
				<span class="col-xs-8">
                    <?= $this->Form->control('purchase_order_components['.$components_key.'].amount', ['type' => 'text','value'=>$component_amount,'required'=>false ,'escape' => false,'readonly','class'=>'form-control edit_order_price','label'=>false]);?>
				</span>
			</td>
		</tr>
		<?php  
                $s_no++;
            endforeach;
        ?>
		<tr>
			<td colspan="6" class="text-right"> <strong> Amount (₹) </strong></td>
			<td class="edit-po-amount"> <?= number_format($total_amount,2)?></td>
		</tr>
		<tr>
			<td colspan="6" class="text-right"> <strong> CGST Amount (₹) </strong></td>
			<td class="sedit-po-gst-amount"> <?= number_format($total_gst_amount/2,2)?></td>
		</tr>
		<tr>
			<td colspan="6" class="text-right"> <strong> SGST Amount (₹) </strong></td>
			<td class="cedit-po-gst-amount"> <?= number_format($total_gst_amount/2,2)?></td>
		</tr>
		<tr>
			<td colspan="6" class="text-right"> <strong> Total (₹) </strong></td>
			<td class="edit-po-total"> <?= number_format($total_gst_amount+$total_amount,2) ?></td>
		</tr>
	</tbody>
</table>
