<?php
	/**
	* @var \App\View\AppView $this
	* @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
	*/
	?> 
<?php if(!empty($purchaseIndents)){ ?> 
<?= $this->Form->create(null, ['url' => ['action' => 'savePurchaseOrders'],'class'=>'purchaseOrderForms']) ?>
<div class="box-body ">
	<!-- Purchase Order fields -->
	<?= $this->Form->control('purchase_indent_id', ['type' => 'hidden', 'escape' => false,'value'=>$purchaseIndents->id]);?>
	<?= $this->Form->control('tag', ['type' => 'hidden', 'escape' => false,'value'=>$purchaseIndents->tag]);?>
	<?= $this->Form->control('is_adhoc', ['type' => 'hidden', 'escape' => false,'value'=>$purchaseIndents->is_adhoc]);?>
	<table class="table table-hover table-responsive table-bordered dtBordered" id="purchase-indents" >
		<thead>
			<tr class="bg-gray-active">
				<th class="text-center">Sno.</th>
				<th>Component Name</th>
				<th class="col-xs-2">Vendor</th>
				<th class="col-xs-1">Unit Price (₹)</th>
				<th class="col-xs-1">Gst (%)</th>
				<th>Req. Qty NO'S</th>
				<th>Remaining Qty NO'S</th>
				<th>PO Qty NO'S</th>
				<th>Amount (₹)</th>
				<th>EDD</th>
			</tr>
		</thead>
		<tbody>
			<?php 
				$s_no                   = 1;
				$po_created_count       = 0;
				$po_to_be_created_count = 0;
            #loop data
				foreach ($purchaseIndents->purchase_indent_components as $components_key => $components_value){
				#check po quantity exceeds indent quantity
                    $po_to_be_created_count = $po_to_be_created_count+1;
                    $remaining_qty        = $components_value->actual_quantity - $components_value->po_quantity;
                    $po_created_class     = '';
                    $po_created_disabled  = '';
                #checks quantity
                    if($remaining_qty <= 0 && $components_value->actual_quantity != 0){
				        $po_created_count   = $po_created_count+1;
				        $po_created_class   = '#5ce516';
				        $po_created_disabled= "readonly";
				    }
                    $vendor_array=[];
                #loop data
                    foreach ($components_value->component->vendor_components as $key1 => $value1) {
                        $vendor_array[$value1->vendor_id]=$value1->vendor->vendor_name;
                    }
				
                    $vendor_array   = array_intersect($vendor_array,$vendors);
                    $default_vendor = 0;
                    if(!empty($components_value->component->default_vendor_id)){
                        $default_vendor=$components_value->component->default_vendor_id;
                    }
            ?>
			<!-- Add Po turn around time -->
			<?php 
				$expected_date_delivery_date=date('Y-m-d');
				if(!empty($components_value->component->po_turnaround_time)){
                    $expected_date_delivery_date=date('Y-m-d', strtotime($expected_date_delivery_date. ' + '.$components_value->component->po_turnaround_time.' days'));
				}
            ?>
			<tr>
				<td>
                    <?= $s_no ?>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].component_id', ['type' => 'hidden', 'escape' => false,'value'=>$components_value->component->id]);?>
				</td>
				<td><?= $components_value->component->component_name ?></td>
				<td>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].vendor_id', ['default'=>'', 'empty'=>'Select Vendor', 'options'=>$vendor_array, 'value'=>$default_vendor, 'required'=>false, 'class'=>'form-control select-2 vendor_components', 'label'=>false]); ?>
					<!-- po values -->
					<?= $this->Form->control('purchase_order_components['.$s_no.'].purchase_indent_id', ['type'=>'hidden', 'value'=>$purchaseIndents->id, 'class'=>'form-control ', 'label'=>false]); ?>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].tag', ['type'=>'hidden','value'=>$purchaseIndents->tag,'class'=>'form-control','label'=>false]); ?>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].component_id', ['type'=>'hidden','value'=>$components_value->component->id,'class'=>'form-control vendor_component_id','label'=>false]); ?>
				</td>
				<td>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].vendor_component_price', ['required'=>false,'disabled'=>false,'class'=>'form-control vendor_component_price','label'=>false]); ?>
				</td>
				<td >
					<?= $this->Form->control('purchase_order_components['.$s_no.'].vendor_component_gst', ['required'=>false,'class'=>'form-control vendor_component_gst','label'=>false]); ?>
				</td>
				<td><?= $components_value->actual_quantity ?></td>
				<td bgcolor="<?= $po_created_class ?>">
					<span class="">
                        <?= $remaining_qty ?>
					</span>
				</td>
				<td>
					<span class="col-xs-8 no-padding-left">
					<?= $this->Form->control('purchase_order_components['.$s_no.'].order_quantity', ['type' => 'text', $po_created_disabled, 'value'=>$remaining_qty
						,'required'=>false, 'escape' => false, 'class'=>'form-control create_order_quantity', 'label'=>false,]);?>
					</span>
				</td>
				<td>
					<span class="col-xs-10">
					<?= $this->Form->control('purchase_order_components['.$s_no.'].amount', ['type' => 'text', 'value'=>'', 'required'=>false, 'escape' => false, 'class'=>'form-control order_price', 'label'=>false]);?>
					</span>
				</td>
				<td><?= $expected_date_delivery_date ?></td>
			</tr>
			<?php 
                    $s_no++; 
                }
            ?>
		</tbody>
	</table>
</div>
<!-- ./box-body -->
<div class="box-footer text-center">
    <button class="btn btn-sm btn-success create_po_button" data-toggle="modal" data-target="#cpo-modal1"> Create Purchase Order</button>
    <?= $this->Html->link(__('Cancel'), ['action' => 'outComponents'], ['class'=>'btn btn-sm btn-danger']) ?>
</div>
<!-- ./box-footer -->
<?= $this->Form->end() ?>
<?php } ?>
