<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\GoodsReceivedComponent[]|\Cake\Collection\CollectionInterface $goodsReceivedComponents
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Goods Received Component'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Goods Received Notes'), ['controller' => 'GoodsReceivedNotes', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Goods Received Note'), ['controller' => 'GoodsReceivedNotes', 'action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Purchase Order Components'), ['controller' => 'PurchaseOrderComponents', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Purchase Order Component'), ['controller' => 'PurchaseOrderComponents', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="goodsReceivedComponents index large-9 medium-8 columns content">
    <h3><?= __('Goods Received Components') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('goods_received_note_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('purchase_order_component_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('received_quantity') ?></th>
                <th scope="col"><?= $this->Paginator->sort('is_active') ?></th>
                <th scope="col"><?= $this->Paginator->sort('created_by') ?></th>
                <th scope="col"><?= $this->Paginator->sort('created') ?></th>
                <th scope="col"><?= $this->Paginator->sort('modified_by') ?></th>
                <th scope="col"><?= $this->Paginator->sort('modified') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($goodsReceivedComponents as $goodsReceivedComponent): ?>
            <tr>
                <td><?= $this->Number->format($goodsReceivedComponent->id) ?></td>
                <td><?= $goodsReceivedComponent->has('goods_received_note') ? $this->Html->link($goodsReceivedComponent->goods_received_note->id, ['controller' => 'GoodsReceivedNotes', 'action' => 'view', $goodsReceivedComponent->goods_received_note->id]) : '' ?></td>
                <td><?= $goodsReceivedComponent->has('purchase_order_component') ? $this->Html->link($goodsReceivedComponent->purchase_order_component->id, ['controller' => 'PurchaseOrderComponents', 'action' => 'view', $goodsReceivedComponent->purchase_order_component->id]) : '' ?></td>
                <td><?= $this->Number->format($goodsReceivedComponent->received_quantity) ?></td>
                <td><?= $this->Number->format($goodsReceivedComponent->is_active) ?></td>
                <td><?= $this->Number->format($goodsReceivedComponent->created_by) ?></td>
                <td><?= h($goodsReceivedComponent->created) ?></td>
                <td><?= $this->Number->format($goodsReceivedComponent->modified_by) ?></td>
                <td><?= h($goodsReceivedComponent->modified) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $goodsReceivedComponent->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $goodsReceivedComponent->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $goodsReceivedComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $goodsReceivedComponent->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
