<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\GoodsReceivedComponent $goodsReceivedComponent
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('Edit Goods Received Component'), ['action' => 'edit', $goodsReceivedComponent->id]) ?> </li>
        <li><?= $this->Form->postLink(__('Delete Goods Received Component'), ['action' => 'delete', $goodsReceivedComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $goodsReceivedComponent->id)]) ?> </li>
        <li><?= $this->Html->link(__('List Goods Received Components'), ['action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Goods Received Component'), ['action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Goods Received Notes'), ['controller' => 'GoodsReceivedNotes', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Goods Received Note'), ['controller' => 'GoodsReceivedNotes', 'action' => 'add']) ?> </li>
        <li><?= $this->Html->link(__('List Purchase Order Components'), ['controller' => 'PurchaseOrderComponents', 'action' => 'index']) ?> </li>
        <li><?= $this->Html->link(__('New Purchase Order Component'), ['controller' => 'PurchaseOrderComponents', 'action' => 'add']) ?> </li>
    </ul>
</nav>
<div class="goodsReceivedComponents view large-9 medium-8 columns content">
    <h3><?= h($goodsReceivedComponent->id) ?></h3>
    <table class="vertical-table">
        <tr>
            <th scope="row"><?= __('Goods Received Note') ?></th>
            <td><?= $goodsReceivedComponent->has('goods_received_note') ? $this->Html->link($goodsReceivedComponent->goods_received_note->id, ['controller' => 'GoodsReceivedNotes', 'action' => 'view', $goodsReceivedComponent->goods_received_note->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Purchase Order Component') ?></th>
            <td><?= $goodsReceivedComponent->has('purchase_order_component') ? $this->Html->link($goodsReceivedComponent->purchase_order_component->id, ['controller' => 'PurchaseOrderComponents', 'action' => 'view', $goodsReceivedComponent->purchase_order_component->id]) : '' ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Id') ?></th>
            <td><?= $this->Number->format($goodsReceivedComponent->id) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Received Quantity') ?></th>
            <td><?= $this->Number->format($goodsReceivedComponent->received_quantity) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Is Active') ?></th>
            <td><?= $this->Number->format($goodsReceivedComponent->is_active) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Created By') ?></th>
            <td><?= $this->Number->format($goodsReceivedComponent->created_by) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Modified By') ?></th>
            <td><?= $this->Number->format($goodsReceivedComponent->modified_by) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Created') ?></th>
            <td><?= h($goodsReceivedComponent->created) ?></td>
        </tr>
        <tr>
            <th scope="row"><?= __('Modified') ?></th>
            <td><?= h($goodsReceivedComponent->modified) ?></td>
        </tr>
    </table>
</div>
