<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\IntergroupDispatchNote $intergroupDispatchNote
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Intergroup Dispatch Note
		<small><?php echo __('Edit'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($intergroupDispatchNote, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Product Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('product_id', ['options' => $products, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'Select', 'id' => 'intergroup-product-id', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Component Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('component_id', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'Select', 'id' => 'intergroup-component-id', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Process Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('process_id', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'Select', 'id' => 'intergroup-process-id', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Group Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('group_id', ['options' => $groups, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'Select', 'id' => 'intergroup-group-id', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Number of Components</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('number_of_components', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Expected Completion Date</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('expected_completion_date', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'form-control intergroup-date-picker', 'required' => true]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->control('from_group', ['type' => 'hidden', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => $groupUsers['group_id']]); ?>
                    <?php echo $this->Form->control('status', ['type' => 'hidden', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => 0]); ?>
                    <?php echo $this->Form->control('is_active', ['type' => 'hidden', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' =>1]); ?>
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
