<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>Machine Processes Management</h1>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">
                        <!-- feature content -->
                    </h3>
                    <div class="box-tools">
                        <div class="pull-right">
                            <?php echo $this->Html->link(__('Add'), ['action' => 'add'], ['class'=>'btn btn-primary']) ?>
                        </div>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body table-responsive">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('machine_id') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('process_id') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('average_time_taken') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('set_time_for_batch') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('tag') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('is_active') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('created_by') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('created') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('modified') ?></th>
                                <th scope="col"><?= $this->Paginator->sort('modified_by') ?></th>
                                <th scope="col" class="actions text-center"><?= __('Actions') ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($machineProcesses as $machineProcess): ?>
                            <tr>
                                <td><?= $this->Number->format($machineProcess->id) ?></td>
                                <td><?= $machineProcess->has('machine') ? $this->Html->link($machineProcess->machine->id, ['controller' => 'Machines', 'action' => 'view', $machineProcess->machine->id]) : '' ?>
                                </td>
                                <td><?= $machineProcess->has('process') ? $this->Html->link($machineProcess->process->id, ['controller' => 'Processes', 'action' => 'view', $machineProcess->process->id]) : '' ?>
                                </td>
                                <td><?= h($machineProcess->average_time_taken) ?></td>
                                <td><?= h($machineProcess->set_time_for_batch) ?></td>
                                <td><?= $this->Number->format($machineProcess->tag) ?></td>
                                <td><?= $this->Number->format($machineProcess->is_active) ?></td>
                                <td><?= $this->Number->format($machineProcess->created_by) ?></td>
                                <td><?= h($machineProcess->created) ?></td>
                                <td><?= h($machineProcess->modified) ?></td>
                                <td><?= $this->Number->format($machineProcess->modified_by) ?></td>
                                <td class="actions text-right">
                                    <?= $this->Html->link(__('View'), ['action' => 'view', $machineProcess->id], ['class'=>'btn btn-info btn-xs']) ?>
                                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $machineProcess->id], ['class'=>'btn btn-warning btn-xs']) ?>
                                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $machineProcess->id], ['confirm' => __('Are you sure you want to delete # {0}?', $machineProcess->id), 'class'=>'btn btn-danger btn-xs']) ?>
                                </td>
                            </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
