<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\Machine $machine
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Machine Management<small><?php echo __('Add'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($machine, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Machine Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('machine_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Machine Code</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('machine_code', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Machine Type</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('machine_type_id', ['empty' => 'Select', 'options' => $machineTypes, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Group Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('group_id', ['empty' => 'Select', 'options' => $groups, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Number of Shift</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('machine_shift_per_day', ['empty' => 'Select', 'options' => $shiftPerDay, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Downtime per month</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('machine_downtime_per_month', ['label' => 'Downtime per month *', 'default' => 1, 'min'=>'1' ,'required' => true, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->control('machine_hours_per_shift', ['type' => 'hidden', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => 8]); ?>
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
