<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\Processes $process
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Operation Management<small><?php echo __('Add'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($process, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Operation Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('process_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <!--<div class="form-group required">
                        <label class="control-label col-lg-4">Group Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('groups', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'options' => $groups, 'empty' => 'Select', 'required' => true]); ?>
                        </div>
                    </div>> -->
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Associated Machine</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('machine_processes.0.machine_id', ['empty' => 'Select', 'options' => $machines, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Operation Tag</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('process_tag', ['type' => 'select', 'options' => $processTags, 'required' => true, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Default Vendor</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('default_vendor_id', ['empty' => 'Select', 'options' => $vendors, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2']); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
