<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseIndentComponent[]|\Cake\Collection\CollectionInterface $purchaseIndentComponents
	 */
	?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
	<ul class="side-nav">
		<li class="heading"><?= __('Actions') ?></li>
		<li><?= $this->Html->link(__('New Purchase Indent Component'), ['action' => 'add']) ?></li>
		<li><?= $this->Html->link(__('List Purchase Indents'), ['controller' => 'PurchaseIndents', 'action' => 'index']) ?></li>
		<li><?= $this->Html->link(__('New Purchase Indent'), ['controller' => 'PurchaseIndents', 'action' => 'add']) ?></li>
		<li><?= $this->Html->link(__('List Components'), ['controller' => 'Components', 'action' => 'index']) ?></li>
		<li><?= $this->Html->link(__('New Component'), ['controller' => 'Components', 'action' => 'add']) ?></li>
		<li><?= $this->Html->link(__('List Raw Materials'), ['controller' => 'RawMaterials', 'action' => 'index']) ?></li>
		<li><?= $this->Html->link(__('New Raw Material'), ['controller' => 'RawMaterials', 'action' => 'add']) ?></li>
	</ul>
</nav>
<div class="purchaseIndentComponents index large-9 medium-8 columns content">
	<h3><?= __('Purchase Indent Components') ?></h3>
	<table cellpadding="0" cellspacing="0">
		<thead>
			<tr>
				<th scope="col"><?= $this->Paginator->sort('id') ?></th>
				<th scope="col"><?= $this->Paginator->sort('purchase_indent_id') ?></th>
				<th scope="col"><?= $this->Paginator->sort('component_id') ?></th>
				<th scope="col"><?= $this->Paginator->sort('raw_material_id') ?></th>
				<th scope="col"><?= $this->Paginator->sort('total_quantity') ?></th>
				<th scope="col"><?= $this->Paginator->sort('actual_quantity') ?></th>
				<th scope="col"><?= $this->Paginator->sort('is_active') ?></th>
				<th scope="col"><?= $this->Paginator->sort('created_by') ?></th>
				<th scope="col"><?= $this->Paginator->sort('created') ?></th>
				<th scope="col"><?= $this->Paginator->sort('modified_by') ?></th>
				<th scope="col"><?= $this->Paginator->sort('modified') ?></th>
				<th scope="col" class="actions"><?= __('Actions') ?></th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($purchaseIndentComponents as $purchaseIndentComponent): ?>
			<tr>
				<td><?= $this->Number->format($purchaseIndentComponent->id) ?></td>
				<td><?= $purchaseIndentComponent->has('purchase_indent') ? $this->Html->link($purchaseIndentComponent->purchase_indent->id, ['controller' => 'PurchaseIndents', 'action' => 'view', $purchaseIndentComponent->purchase_indent->id]) : '' ?></td>
				<td><?= $purchaseIndentComponent->has('component') ? $this->Html->link($purchaseIndentComponent->component->id, ['controller' => 'Components', 'action' => 'view', $purchaseIndentComponent->component->id]) : '' ?></td>
				<td><?= $purchaseIndentComponent->has('raw_material') ? $this->Html->link($purchaseIndentComponent->raw_material->id, ['controller' => 'RawMaterials', 'action' => 'view', $purchaseIndentComponent->raw_material->id]) : '' ?></td>
				<td><?= $this->Number->format($purchaseIndentComponent->total_quantity) ?></td>
				<td><?= $this->Number->format($purchaseIndentComponent->actual_quantity) ?></td>
				<td><?= $this->Number->format($purchaseIndentComponent->is_active) ?></td>
				<td><?= $this->Number->format($purchaseIndentComponent->created_by) ?></td>
				<td><?= h($purchaseIndentComponent->created) ?></td>
				<td><?= $this->Number->format($purchaseIndentComponent->modified_by) ?></td>
				<td><?= h($purchaseIndentComponent->modified) ?></td>
				<td class="actions">
					<?= $this->Html->link(__('View'), ['action' => 'view', $purchaseIndentComponent->id]) ?>
					<?= $this->Html->link(__('Edit'), ['action' => 'edit', $purchaseIndentComponent->id]) ?>
					<?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $purchaseIndentComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $purchaseIndentComponent->id)]) ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<div class="paginator">
		<ul class="pagination">
			<?= $this->Paginator->first('<< ' . __('first')) ?>
			<?= $this->Paginator->prev('< ' . __('previous')) ?>
			<?= $this->Paginator->numbers() ?>
			<?= $this->Paginator->next(__('next') . ' >') ?>
			<?= $this->Paginator->last(__('last') . ' >>') ?>
		</ul>
		<p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
	</div>
</div>
