<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseIndentComponent $purchaseIndentComponent
	 */
	?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
	<ul class="side-nav">
		<li class="heading"><?= __('Actions') ?></li>
		<li><?= $this->Html->link(__('Edit Purchase Indent Component'), ['action' => 'edit', $purchaseIndentComponent->id]) ?> </li>
		<li><?= $this->Form->postLink(__('Delete Purchase Indent Component'), ['action' => 'delete', $purchaseIndentComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $purchaseIndentComponent->id)]) ?> </li>
		<li><?= $this->Html->link(__('List Purchase Indent Components'), ['action' => 'index']) ?> </li>
		<li><?= $this->Html->link(__('New Purchase Indent Component'), ['action' => 'add']) ?> </li>
		<li><?= $this->Html->link(__('List Purchase Indents'), ['controller' => 'PurchaseIndents', 'action' => 'index']) ?> </li>
		<li><?= $this->Html->link(__('New Purchase Indent'), ['controller' => 'PurchaseIndents', 'action' => 'add']) ?> </li>
		<li><?= $this->Html->link(__('List Components'), ['controller' => 'Components', 'action' => 'index']) ?> </li>
		<li><?= $this->Html->link(__('New Component'), ['controller' => 'Components', 'action' => 'add']) ?> </li>
		<li><?= $this->Html->link(__('List Raw Materials'), ['controller' => 'RawMaterials', 'action' => 'index']) ?> </li>
		<li><?= $this->Html->link(__('New Raw Material'), ['controller' => 'RawMaterials', 'action' => 'add']) ?> </li>
	</ul>
</nav>
<div class="purchaseIndentComponents view large-9 medium-8 columns content">
	<h3><?= h($purchaseIndentComponent->id) ?></h3>
	<table class="vertical-table">
		<tr>
			<th scope="row"><?= __('Purchase Indent') ?></th>
			<td><?= $purchaseIndentComponent->has('purchase_indent') ? $this->Html->link($purchaseIndentComponent->purchase_indent->id, ['controller' => 'PurchaseIndents', 'action' => 'view', $purchaseIndentComponent->purchase_indent->id]) : '' ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Component') ?></th>
			<td><?= $purchaseIndentComponent->has('component') ? $this->Html->link($purchaseIndentComponent->component->id, ['controller' => 'Components', 'action' => 'view', $purchaseIndentComponent->component->id]) : '' ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Raw Material') ?></th>
			<td><?= $purchaseIndentComponent->has('raw_material') ? $this->Html->link($purchaseIndentComponent->raw_material->id, ['controller' => 'RawMaterials', 'action' => 'view', $purchaseIndentComponent->raw_material->id]) : '' ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Id') ?></th>
			<td><?= $this->Number->format($purchaseIndentComponent->id) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Total Quantity') ?></th>
			<td><?= $this->Number->format($purchaseIndentComponent->total_quantity) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Actual Quantity') ?></th>
			<td><?= $this->Number->format($purchaseIndentComponent->actual_quantity) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Is Active') ?></th>
			<td><?= $this->Number->format($purchaseIndentComponent->is_active) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Created By') ?></th>
			<td><?= $this->Number->format($purchaseIndentComponent->created_by) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Modified By') ?></th>
			<td><?= $this->Number->format($purchaseIndentComponent->modified_by) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Created') ?></th>
			<td><?= h($purchaseIndentComponent->created) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Modified') ?></th>
			<td><?= h($purchaseIndentComponent->modified) ?></td>
		</tr>
	</table>
</div>
