<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseIndent[]|\Cake\Collection\CollectionInterface $purchaseIndents
	 */
	use Cake\Core\Configure;   
	$auth = $this->Session->read('Auth.User');
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Purchase Indent Out Component</h1>
</section>
<!-- Main content -->
<section class="content">
    <!-- main content -->
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-header">
					<h3 class="box-title"><!--feature content--></h3>
					<div class="box-tools">
						<div class="pull-right">
							<?php
                                if($auth['user_role_id'] == 4){
                                    echo $this->Html->link('<i class="fa fa-plus"></i> Add', ['action' => 'adhocOutComponents',1], ['class' => 'btn btn-sm btn-primary', 'title' => 'Add New Adhoc Purchase', 'escape' => false]) . "\n";
                                }
							?>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover table-bordered table-striped dtBordered">
						<thead>
							<tr class="bg-gray-active">
								<th class="text-center">Sno.</th>
								<th>Purchase Indent Number</th>
								<th>Product Name</th>
								<th>Indent Raised on</th>
								<th class="text-center">Indent Type</th>
								<th class="text-center">Status</th>
								<th class="text-center">Actions</th>
							</tr>
						</thead>
						<tbody>
							<?php
                            #variable declaration
                                $lableStatus = array(0 => 'label label-default', 1 => 'label label-default', 2 => 'label label-info', 3 => 'label label-danger', 4 => 'label label-info', 5 => 'label label-info', 6 => 'label label-warning', 7 => 'label label-success', 8 => 'label label-warning', 9 => 'label label-danger');
                            #check count
								if(count($purchaseIndents) > 0){
                                #loop data
                                    foreach ($purchaseIndents as $key =>  $purchaseIndent){
                            ?>
							<tr>
								<td class="text-center"><?= ($key+1) ?></td>
								<td><?= $purchaseIndent->purchase_intent_no?></td>
								<td><?= $purchaseIndent->product->product_name ?></td>
								<td><?= $purchaseIndent->created ?></td>
								<td class="text-center">
									<?php if($purchaseIndent->is_adhoc == 1){?>
									<span class="text-success">
                                        <b>Adhoc</b>
									</span>
									<?php }else{?>
									<span class="text-blue">
                                        <b>Auto</b>
									</span>
									<?php } ?>
								</td>
								<td class="text-center">
                                    <span class="<?php echo $lableStatus[$purchaseIndent->status]; ?>">
                                        <?= $purchase_indent_status[$purchaseIndent->status]?>
									</span>
								</td>
								<td class="text-center"> 
									<?php
                                    #check status
										if($purchaseIndent->status == 0 && $auth['user_role_id'] == 4){
										  echo $this->Html->link('<i class="fa fa-mail-forward"></i> Forward
											to Purchase Team', ['action' => 'edit', $purchaseIndent->id], ['class' => 'btn btn-xs btn-default', 'title' => 'Forward
										  to Purchase Team', 'escape' => false]) . "\n";
										}
									#check type auto/adhoc  
										if($purchaseIndent->is_adhoc ==  1){
                                        #checks user role
											if($purchaseIndent->status == 3 && $auth['user_role_id'] == 4){
												echo $this->Html->link(__('<i class="fa fa-edit"></i> Edit'), ['action' => 'editAdhoc', $purchaseIndent->id], ['class' => 'btn btn-xs btn-primary', 'title' => 'View Purchase Indent', 'escape' => false]) . "\n";
											}
                                            echo $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'viewAdhocOutComponents', $purchaseIndent->id], ['class' => 'btn btn-xs btn-info', 'title' => 'View Purchase Indent', 'escape' => false]) . "\n";
										}else{
                                            echo $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'view', $purchaseIndent->id], ['class' => 'btn btn-xs btn-info', 'title' => 'View Purchase Indent', 'escape' => false]) . "\n";
										} ?>
								</td>
							</tr>
							<?php 
                                    }
								}
                                else
                                {
                                    echo '<tr><td colspan="7" class="text-center">No records found!</td></tr>';
								}
								?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
                <div class="box-footer">
					<div class="paginator">
						<div class="row">
							<div class="col-sm-6">
								<p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
							</div>
							<div class="col-sm-6 text-right">
								<ul class="pagination no-margin">
									<?= $this->Paginator->first('<< ' . __('first')) ?>
									<?= $this->Paginator->prev('< ' . __('previous')) ?>
									<?= $this->Paginator->numbers() ?>
									<?= $this->Paginator->next(__('next') . ' >') ?>
									<?= $this->Paginator->last(__('last') . ' >>') ?>
								</ul>
							</div>
						</div>
					</div>
				</div>
                <!-- ./box-footer -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>
