<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseIndent $purchaseIndent
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Purchase Indent : <?= $purchaseIndent->purchase_intent_no?></h1>
</section>
<!-- Main content -->
<section class="content">
    <!-- main content -->
	<div class="row">
		<div class="col-xs-9">
			<div class="box">
				<div class="box-header">
                    <div class="col-xs-12 col-sm-6 col-lg-6"> <b> Product Name :</b> <?= $purchaseIndent->purchase_intent_no?> </div>
                    <div class="col-xs-12 col-sm-6 col-lg-6 text-right"> <b> Status :</b> <?= $purchase_indent_status[$purchaseIndent->status] ?> </div>
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover table-bordered table-striped dtBordered">
                        <thead>
                            <tr class="bg-gray-active">
								<th class="text-center">Sno.</th>
								<?php if($purchaseIndent->tag == 1):?>
                                    <th>Component Name</th>
								<?php  else:?>
								<th>Component Name</th>
								<th>Raw Material Name</th>
								<th>Type of raw materila/Grade</th>
								<?php  endif;?>
								<th>No of comp required Qty (NO'S)</th>
								<?php if($purchaseIndent->tag == 0):?>
								<th>Total Raw material Req Qty (kg)</th>
								<th>Total Raw material Qty (kg)</th>
								<?php  else:?>
								<th>Total Qty (NO'S)</th>
								<?php  endif;?>
							</tr>
                        </thead>
						<tbody>
							<?php foreach ($purchaseIndent->purchase_indent_components as $key => $purchaseIndentComponents): ?>
							<tr>
								<td class="text-center"><?= $key+1 ?></td>
								<?php  if($purchaseIndent->tag == 1):?>
								<td><?= $purchaseIndentComponents->component->component_name ?></td>
								<?php  else:?>
								<td><?= $purchaseIndentComponents->component->component_name ?></td>
								<td><?php
									if(!empty($purchaseIndentComponents->component->component_raw_materials[0])){
									   echo $purchaseIndentComponents->component->component_raw_materials[0]->raw_material->material_name;
									}
									?></td>
								<td><?php
									if(!empty($purchaseIndentComponents->component->component_raw_materials[0])){
									   echo $purchaseIndentComponents->component->component_raw_materials[0]->raw_material_shape;
									}
									  ?></td>
								<?php  endif;?>
								<td><?= $purchaseIndentComponents->total_quantity?> </td>
								<?php if($purchaseIndent->tag == 0):?>
								<td><?= $purchaseIndentComponents->raw_material_quantity ?> </td>
								<td><?= $purchaseIndentComponents->actual_quantity ?> </td>
								<?php  else:?>
								<td><?= $purchaseIndentComponents->actual_quantity ?> </td>
								<?php  endif;?>   
							</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
			</div>
			<!-- /.box -->
		</div>
		<div class="col-xs-3">
			<div class="box">
				<div class="box-header">
					Purchase Orders
				</div>
				<div class="box-body">
					<table class="table table-hover table-bordered table-striped">
						<thead>
							<tr>
								<th class="text-center">Sno.</th>
								<th>PO Number</th>
								<th class="text-center">Actions</th>
							</tr>
						</thead>
						<tbody>
                            <?php 
                                if(!empty($purchaseIndent->purchase_orders)){
                                    foreach ($purchaseIndent->purchase_orders as $key => $purchase_order){ 
                            ?>
							<tr>
								<td class="text-center"> <?= $key+1?> </td>
								<td><?= $purchase_order->purchase_order_no?> </td>
								<td class="text-center"><?php
									echo $this->Html->link(('<i class="fa fa-eye"></i> View'), ['controller'=>'PurchaseOrders','action' => 'view', $purchase_order->id], ['class' => 'btn btn-xs btn-info', 'title' => 'view', 'escape' => false]) . "\n";
									?> </td>
							</tr>
							<?php
                                    }
                                }
                                else{
                                    echo '<tr><td colspan="9" class="text-center">Purchase order not found!</td></tr>';
                                }
                            ?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</section>
