<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseIndent $purchaseIndent
	 */
	use Cake\Core\Configure;   
	$auth = $this->Session->read('Auth.User');
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Purchase Indent : <?= $purchaseIndent->purchase_intent_no?>
	</h1>
	<div class="text-right">
		<?php    
			if($auth['user_role_id'] == 1 && $purchaseIndent->status == 2){
		?>
		<?php echo $this->Form->postLink('Approve', ['action' => 'approveAdhoc',$purchaseIndent->id ], ['class' => 'btn btn-sm btn-success', 'confirm' => __('Are you sure you want to Approve the  Adhoc Purchase Indent '.$purchaseIndent->purchase_intent_no) ] ); ?>
		<?php echo $this->Form->postLink('Reject', ['action' => 'rejectAdhoc',$purchaseIndent->id ], ['class' => 'btn btn-sm btn-danger', 'confirm' => __('Are you sure you want to Reject the Adhoc Purchase Indent '.$purchaseIndent->purchase_intent_no) ] ); 
        }
        ?>
	</div>
</section>
<section class="content">
	<div class="row">
		<div class="col-xs-9">
			<div class="box">
				<div class="box-header">
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive no-padding">
					<div class="col-xs-12">
						<div class="col-xs-12 no-padding margin-bottom">
							<div class="col-xs-12 col-sm-6"> <b> Product Name :</b> <?= $purchaseIndent->purchase_intent_no?> </div>
							<div class="col-xs-12 col-sm-6 no-padding-right"> <b> Status :</b> <?= $purchase_indent_status[$purchaseIndent->status] ?> </div>
						</div>
						<table class="table table-hover table-bordered table-striped dtBordered">
                            <thead>
                                <tr class="bg-gray-active">
									<th class="text-center">Sno.</th>
									<th>Component Name</th>
									<th class="text-center">Total Qty No's</th>
								</tr>
                            </thead>
							<tbody>
								<?php foreach ($purchaseIndent->purchase_indent_components as $key => $purchaseIndentComponents){ ?>
								<tr>
									<td class="text-center"><?= $key+1 ?></td>
									<td><?= $purchaseIndentComponents->component->component_name ?></td>
									<td class="text-center"><?= $purchaseIndentComponents->actual_quantity ?></td>
								</tr>
								<?php } ?>
							</tbody>
						</table>
						<!-- </form> -->
					</div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer">
					<dl>
						<dt>Reason / Comments :</dt>
						<?php 
							if(!empty($purchaseIndent->purchase_indent_comments)){
							   foreach ($purchaseIndent->purchase_indent_comments as $keys => $purchase_indent_comments) {
							      echo '<dd>'. $purchase_indent_comments->comments.'</dd>';
							   }
							}
						?>
					</dl>
				</div>
			</div>
			<!-- /.box -->
		</div>
		<?php 
			if(!empty($purchaseIndent->purchase_orders)){
		?>
		<div class="col-xs-3">
			<div class="box">
				<div class="box-header">
					Purchase Orders
				</div>
				<div class="box-body">
					<table class="table table-hover table-striped table-bordered dtBordered">
						<thead>
							<tr class="bg-gray-active">
								<th class="text-center">Sno.</th>
								<th>PO Number</th>
								<th class="text-center">Actions</th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($purchaseIndent->purchase_orders as $key => $purchase_order){ ?>
							<tr>
								<td class="text-center"><?= $key+1?> </td>
								<td><?= $purchase_order->purchase_order_no?> </td>
								<td class="text-center">
                                    <?php
                                        echo $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['controller'=>'PurchaseOrders','action' => 'view', $purchase_order->id], ['class' => 'btn btn-xs btn-info', 'title' => 'view', 'escape' => false]) . "\n";
									?>
                                </td>
							</tr>
							<?php } ?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		<?php
			}
        ?>
	</div>
</section>
