<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
	 */ 
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Create Purchase Order - Job Order</h1>
</section>
<!-- content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-body">
					<?=$this->Form->create(null, ['url' => ['action' => 'createJobOrderPurchaseOrders',$job_order_id], 'class' => 'form-horizontal'])?>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Quotation</label>
								<div class="col-lg-8">
									<?=$this->Form->control('tag', ['type' => 'hidden', 'escape' => false, 'class' => 'form-control', 'value' => 0, 'label' => false]);?>
									<?=$this->Form->control('job_order_id', ['type' => 'hidden', 'escape' => false, 'value' => $jobOrders->id]);?>
									<?=$this->Form->control('status', ['type' => 'hidden', 'escape' => false, 'value' => 1]);?>
									<?=$this->Form->control('vendor_id', ['type' => 'hidden', 'escape' => false, 'value' => $jobOrders->vendor->id]);?>
									<?=$this->Form->control('is_adhoc', ['type' => 'hidden', 'escape' => false, 'value' => 0]);?>
									<?=$this->Form->control('quotation', ['escape' => false, 'class' => 'form-control', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'placeholder' => 'Your Quotation']);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6 '>
							<div class="form-group">
								<label class="control-label col-lg-4 ">Quotation Date</label>
								<div class="col-lg-8">
									<?=$this->Form->control('quotation_date', ['type' => 'text', 'escape' => false, 'class' => 'form-control datepicker', 'label' => 'Quotation Date :', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'placeholder' => 'Quotation Date']);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">GST NO </label>
								<div class="col-lg-8">
									<?=$this->Form->control('gst_no', ['type' => 'text', 'escape' => false, 'class' => 'form-control','disabled'=>true, 'label' => 'GST NO :', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false,'value'=>$jobOrders->vendor->gst_no, 'placeholder' => 'GST NO ']);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Payment Terms</label>
								<div class="col-lg-8">
									<?=$this->Form->control('payment_terms', ['type' => 'textarea', 'escape' => false, 'class' => 'form-control', 'placeholder' => 'Payment Terms', 'label' => false, 'rows'=>'2','templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Address</label>
								<div class="col-lg-8">
									<?=$this->Form->control('address', ['type' => 'textarea', 'escape' => false, 'class' => 'form-control','disabled'=>true,'value'=> $jobOrders->vendor->address, 'placeholder' => 'Address', 'label' => false, 'rows'=>'2','templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group required">
								<label class="control-label col-lg-4">Terms Of Delivery</label>
								<div class="col-lg-8">
									<?=$this->Form->control('terms_of_delivery', ['required'=>true,'options'=>$purchase_order_terms, 'escape' => false, 'class' => 'form-control','empty' => 'Select Terms Of Delivery', 'label' => false, 'rows'=>'2', 'templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class='col-xs-12'>
							<div class="form-group">
								<label class="control-label col-lg-2"></label>
								<div class="col-lg-10">
									<?=$this->Form->control('terms', ['type' => 'textarea', 'escape' => false,
										'value'=>'Mr, '. $jobOrders->vendor->vendor_name .' : - MR. '. $jobOrders->vendor->vendor_name .' we are please to place this order with you as mentioned below as per our company terms.',
										'class' => 'form-control', 'placeholder' => 'Payment Terms', 'label' => false, 'rows'=>'2', 'templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-lg-12">
							<table class="table table-hover table-bordered table-striped dtBordered">
                                <thead>
                                    <tr class="bg-gray-active">
										<th class="text-center">Sno.</th>
										<th>Component Name</th>
										<th>Process </th>
										<th>Suggested Qty</th>
										<th>Purchase Order Qty</th>
										<th>Price (₹)</th>
										<th>GST (%)</th>
										<th>GST amount (₹)</th>
										<th>Amount (₹)</th>
									</tr>
                                </thead>
								<tbody>
									<?php
                                    #variable declaration
										$s_no = 1;
										$overall_gst=$components_total_price = $overall_price=$final_price=0;
                                    #loop data
										foreach ($jobOrders->job_order_components as $vendor_components_key => $vendor_components_value){
                                            $gst                    = $vendor_components_value->vendor_process->gst;
                                            $price                  = $vendor_components_value->vendor_process->price;
                                            $total_order_price      = $price * $vendor_components_value->component_qty;                                 
                                            $total_order_price_gst  = $total_order_price * ($gst / 100);                                 
                                            $total_price            = $total_order_price_gst + $total_order_price;
                                            $components_total_price = $components_total_price+$total_order_price;
                                            $overall_gst            = $overall_gst+$total_order_price_gst;
                                            //$overall_price=$overall_price+$total_price;
									?>
									<tr>
										<?=$this->Form->control('purchase_order_components[' . $s_no . '].expected_date_delivery', ['type' => 'hidden', 'escape' => false, 'value' => $vendor_components_value->expected_date_delivery]);?>
										<?=$this->Form->control('purchase_order_components[' . $s_no . '].component_id', ['type' => 'hidden', 'escape' => false, 'value' => $vendor_components_value->component_id]);?>
										<?=$this->Form->control('purchase_order_components[' . $s_no . '].process_id', ['type' => 'hidden', 'escape' => false, 'value' => $vendor_components_value->process_id]);?>
										<td class="text-center"><?=$s_no?></td>
										<td class='col-md-2'><?=$vendor_components_value->vendor_process->component->component_name?></td>
										<td class='col-md-2'><?=$vendor_components_value->vendor_process->process->process_name?></td>
										<td><?=$vendor_components_value->component_qty?> NO'S</td>
										<td class='col-md-1'>
											<?=$this->Form->control('purchase_order_components[' . $s_no . '].order_quantity', ['class'=>'form-control edit_order_quantity','label' => false,'escape' => false, 'value' => $vendor_components_value->component_qty,'templates' => ['inputContainer' => '{{content}}']]);?>
										</td>
										<td class='col-md-1'>
                                            <?=$this->Form->control('purchase_order_components[' . $s_no . '].price', ['readonly','class'=>'form-control edit_component_price','label' => false,'escape' => false, 'value' => $price?$price:0,'templates' => ['inputContainer' => '{{content}}']]);?>
                                        </td>
										<td class='col-md-1'>
                                            <?=$this->Form->control('purchase_order_components[' . $s_no . '].gst', ['readonly','class'=>'form-control edit_component_gst','label' => false,'escape' => false, 'value' => $gst?$gst:0,'templates' => ['inputContainer' => '{{content}}']]);?>
                                        </td>
										<td class='edit-component-gst-value'><?= number_format($total_order_price_gst,2)  ?></td>
										<td>
											<?=$this->Form->control('purchase_order_components[' . $s_no . '].gst_amount', ['type' => 'hidden', 'class'=>'edit-component-gst-values','escape' => false, 'value' =>$total_order_price_gst ]);?>
											<?= $this->Form->control('purchase_order_components['.$s_no.'].amount', ['readonly','type' => 'text','value'=>$total_order_price,'required'=>false ,'escape' => false,'class'=>'form-control edit_order_price','label'=>false,'templates' => ['inputContainer' => '{{content}}']]);?>
										</td>
									</tr>
									<?php 
                                            $s_no++;
                                        }
                                    ?>
									<tr>
										<td colspan="8" class="text-right">Amount (₹)</td>
										<td class="edit-po-amount"><?= number_format($components_total_price,2)  ?></td>
									</tr>
									<tr>
										<td colspan="8" class="text-right">CGST (₹)</td>
										<td class="sedit-po-gst-amount"><?= number_format($overall_gst/2,2)?> </td>
									</tr>
									<tr>
										<td colspan="8" class="text-right">SGST (₹)</td>
										<td class="cedit-po-gst-amount"><?= number_format($overall_gst/2,2)?> </td>
									</tr>
									<tr>
										<td colspan="8" class="text-right"> <strong> Total (₹) </strong></td>
										<td > <strong class="edit-po-total"> <?= number_format($overall_gst+$components_total_price,2)?> </strong> </td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
                <!-- ./box-body -->
                <div class="box-footer text-center">
                    <button class="btn btn-sm btn-success create_po_button">Confirm Purchase Order</button>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'jobOrders'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- ./box-footer -->
                <?=$this->Form->end()?>
                <!-- ./form-end -->
			</div>
		</div>
	</div>
</section>
<!-- /.content -->
