<?php
	/**
	* @var \App\View\AppView $this
	* @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
	*/
?>
<section class="content-header">
	<h1>Create Store Purchase Order</h1>
</section>
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<?php if(!empty($storeComponents)){ ?> 
				<?= $this->Form->create(null, ['url' => ['action' => 'createStoreComponentPurchaseOrders'],'class'=>'purchaseOrderForms']) ?>
				<div class="box-body ">
					<!-- Purchase Order fields -->
					<table class="table table-hover table-responsive table-bordered dtBordered" id="purchase-indents" >
						<thead>
							<tr class="bg-gray-active">
								<th class="text-center">Sno.</th>
								<th>Component Name</th>
								<th>Component Type</th>
								<th class="col-xs-2 bg-gray-active">Vendor</th>
								<th class="col-xs-1 bg-gray-active">Unit Price (₹)</th>
								<th class="col-xs-1 bg-gray-active">Gst (%)</th>
								<th>PO Qty NO'S</th>
								<th>Amount (₹)</th>
							</tr>
						</thead>
						<tbody>
							<?php
                            #loop data
								foreach ($storeComponents as $key => $row){
							?>
							<!-- Add Po turn around time -->
							<?php 
								$expected_date_delivery_date=date('Y-m-d');
								if(!empty($row->component->po_turnaround_time)){
								   $expected_date_delivery_date=date('Y-m-d', strtotime($expected_date_delivery_date. ' + '.$row->component->po_turnaround_time.' days'));
								}
                            ?>
							<!--  -->
							<tr>
								<td class="text-center">
                                    <?= ($key+1) ?>
									<?= $this->Form->control('purchase_order_components['.$key.'].store_component_id', ['type' => 'hidden', 'escape' => false,'value'=>$row->id,'class'=>'store_component_id form-control']);?>
								</td>
								<td><?= $row->component_name ?></td>
								<td><?= $row->component_type ?></td>
								<td>
									<?= $this->Form->control('purchase_order_components['.$key.'].vendor_id', ['default'=>'','empty'=>'Select Vendor','options'=>$vendors,'required'=>false, 'class'=>'form-control select-2 vendor_store_components', 'label'=>false, 'value' => $row->default_vendor_id]); ?>
									<!-- po values -->
								</td>
								<td>
									<?= $this->Form->control('purchase_order_components['.$key.'].vendor_component_price', ['required'=>false,'readonly','disabled'=>false,'class'=>'form-control vendor_component_price','label'=>false]); ?>
								</td>
								<td >
									<?= $this->Form->control('purchase_order_components['.$key.'].vendor_component_gst', ['required'=>false,'readonly','class'=>'form-control vendor_component_gst','label'=>false]); ?>
								</td>
								<td>
									<span class="col-xs-8 no-padding-left">
									<?= $this->Form->control('purchase_order_components['.$key.'].order_quantity', ['type' => 'text', 'required'=>false, 'escape' => false, 'class'=>'form-control create_store_order_quantity', 'value'=>10, 'label'=>false,]);?>
									</span>
								</td>
								<td>
									<span class="col-xs-10">
									<?= $this->Form->control('purchase_order_components['.$key.'].amount', ['type'=>'text', 'value'=>'', 'required'=>false, 'escape' => false, 'class'=>'form-control store_order_price', 'label'=>false]);?>
									</span>
								</td>
							</tr>
							<?php 
                                }
                            ?>
						</tbody>
					</table>
				</div>
                <div class="box-footer text-center">
                    <button class="btn btn-sm btn-success create_po_button" data-toggle="modal" data-target="#cpo-modal1"> Create Purchase Order</button>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'listStoreComponents'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
				<?= $this->Form->end() ?>
				<?php }?>
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>
