<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
	 */
	use Cake\Core\Configure;   
	$auth = $this->Session->read('Auth.User');
	function daysBetween($dt1)
	{
	   $date1 = new DateTime($dt1);
	   $date2 = new DateTime();
	   $date2->format('Y-m-d H:i:s');
	   return $date2->diff($date1)->format('%a');
	} 
	 //pr($purchase_order);
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Manage Purchase Orders - Store Components</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-header">
					<h3 class="box-title">
						<!-- feature content -->
					</h3>
					<div class="box-tools">
						<div class="pull-right">
							<?php 
								if($auth['user_role_id'] == 7){
								   echo $this->Html->link('<i class="fa fa-plus"></i> Add', ['action' => 'createStoreComponentPurchaseOrders'], ['class'=>'btn btn-sm btn-primary', 'escape' => false]);
								}
								 ?>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover table-bordered table-striped dtBordered">
						<thead>
							<tr class="bg-gray-active">
								<th class="text-center">Sno.</th>
								<th>Purchase Order Number</th>
								<th>Vendor Name</th>
								<th>Purchase Order Date</th>
								<th>Total Amount</th>
								<th>Status</th>
								<th class="text-center"><?= __('Actions') ?></th>
							</tr>
						</thead>
						<tbody>
							<?php
                            #check empty
								if(count($purchaseOrders) > 0){
                                 #prepare serial number
									$currentPage = (($this->Paginator->current()==1) ? 0 : (($this->Paginator->current()-1)*20));
                                #prepare data
                                    foreach ($purchaseOrders as $key => $purchase_order){
                                        $currentPage = $currentPage+1;
                            ?>
							<tr>
								<td class="text-center"><?= h($currentPage) ?></td>
								<td><?= h($purchase_order->purchase_order_no) ?></td>
								<td><?= h($purchase_order->vendor->vendor_name) ?></td>
								<td><?= date("d-m-Y", strtotime($purchase_order->created)) ?></td>
								<td>
                                    <?php 
                                        if(!empty($purchase_order->purchase_order_components[0])){
                                           echo number_format($purchase_order->purchase_order_components[0]->total_po_amount+$purchase_order->purchase_order_components[0]->total_gst_amount,2);
                                        }
                                        else{
                                           echo 0;
                                        }
									?>
								</td>
								<td class="text-center">
                                    <?php
                                        $labelStatus = array(1 => 'label label-info', 2 => 'label label-primary', 3 => 'label label-success', 4 => 'label label-warning', 5 => 'label label-danger');
                                    ?>
									<span class="<?php echo $labelStatus[$purchase_order->status] ?>">
                                        <?= $purchase_order_status[$purchase_order->status] ?>
									</span>              
								</td>
								<td class="text-center"> 
									<?php
										if(in_array($purchase_order->status, [1,2,3,4,5])) {
                                        #edit
                                            if(in_array($auth['user_role_id'], [1,7]) && in_array($purchase_order->status, [1,4,5])){
                                                echo $this->Html->link(__('<i class="fa fa-edit"></i> Edit'), ['action' => 'editStoreComponents', $purchase_order->id], ['class' => 'btn btn-xs btn-primary', 'title' => 'Edit Purchase Order', 'escape' => false]) . "\n";
										    }
                                        #view
										    echo $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'viewStoreComponents', $purchase_order->id], ['class' => 'btn btn-xs btn-info', 'title' => 'View Purchase Order', 'escape' => false]) . "\n";
                                        #download
										    if($purchase_order->status == 2){
										       $pdf_file=WWW_ROOT . 'files/purchase_orders' . DS . $purchase_order->purchase_order_no . '.pdf';
										       if(file_exists($pdf_file)){
										            echo '<a href="'.$this->Url->build('/files/purchase_orders/'.$purchase_order->purchase_order_no.'.pdf').'" target="_blank" class="btn btn-xs btn-success" download><i class="fa fa-file-pdf-o"></i> Pdf</a>';
                                                }
										    }                              
										 }
                                    ?>
								</td>
							</tr>
							<?php 
                                    }
								}
                                else{
                                    echo '<tr ><td colspan="7" class="text-center">No records found!</td></tr>';
								}
							?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
                <div class="box-footer">
                    <div class="paginator">
                        <div class="row">
                            <div class="col-sm-6">
                                <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
                            </div>
                            <div class="col-sm-6 text-right">
                                <ul class="pagination no-margin">
                                    <?= $this->Paginator->first('<< ' . __('first')) ?>
                                    <?= $this->Paginator->prev('< ' . __('previous')) ?>
                                    <?= $this->Paginator->numbers() ?>
                                    <?= $this->Paginator->next(__('next') . ' >') ?>
                                    <?= $this->Paginator->last(__('last') . ' >>') ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.box-footer -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>
