<?php
   /**
    * @var \App\View\AppView $this
    * @var \App\Model\Entity\PurchaseOrder $purchaseOrder
    */
   use Cake\Core\Configure;   
   $auth = $this->Session->read('Auth.User');
   //echo "<pre>";print_r($purchaseOrder);exit;
   ?>
<section class="content-header">
   <h1>
      View Purchase Order : <?= $purchaseOrder->purchase_order_no?>
   </h1>
   <div class="text-right">
      <?php    
         if($auth['user_role_id'] == 1 && $purchaseOrder->status == 2){
            echo $this->Form->postLink('Approve',
               [
                  'action' => 'approve',$purchaseOrder->id
               ],
               [  
               'class' => 'btn btn-success',
               'confirm' => __('Are you sure you want to Approve the  Purchase Order '.$purchaseOrder->purchase_order_no)
               ]
            );
         }    
         ?>
   </div>
</section>
<section class="content">
   <div class="row">
      <div class="col-xs-12">
         <div class="box">
            <div class="box-body">
               <div class="modal-body">
                  <div class="col-xs-12 no-padding ">
                     <div class="col-xs-12 col-sm-4 leftConewr">
                        <?= $this->Form->control(null, ['type' => 'textarea','class'=>'form-control' ,'escape' => false,'label'=>'Vendor Location:','disabled'=>true,'value'=>$purchaseOrder->vendor->address]);?>
                     </div>
                     <div class="col-xs-12 col-sm-8 rightConewr">
                        <?= $this->Form->control(null, ['type' => 'text','class'=>'form-control' ,'escape' => false,'label'=>'Status :','disabled'=>true,'value'=>$purchase_order_status[$purchaseOrder->status]]);?>
                        <?= $this->Form->control(null, ['type' => 'text','class'=>'form-control' ,'escape' => false,'label'=>'Production Group:','disabled'=>true,'value'=>$purchaseOrder->purchase_indent->group->group_name]);?>
                        <?= $this->Form->control(null, ['type' => 'text','class'=>'form-control' ,'escape' => false,'label'=>'Raised By:','disabled'=>true,'value'=>$purchaseOrder->Users['user_full_name']]);?>
                        <?= $this->Form->control(null, ['type' => 'text','class'=>'form-control' ,'escape' => false,'label'=>'Delivery Date:','disabled'=>true,'value'=>$purchaseOrder->expected_delivery_date]);?> 
                        <span class="form-group"></span>                   
                     </div>
                  </div>
                  <div class="col-xs-12 no-padding">
                     <textarea class="form-control margin-bottom" name="" id="" cols="30"
                        rows="2">Mr, <?= $purchaseOrder->Users['user_full_name'] ?> : - MR.<?= $purchaseOrder->Users['user_full_name']?> we are please to place this order with you as mentioned below as per our company terms.</textarea>
                  </div>
                  <div class="col-xs-12 no-padding ">
                     <div class="table-responsive">
                        <table class="table table-bordered">
                           <thead>
                              <tr class="bg-gray-active">
                                 <th class="width-3per">Sno.</th>
                                 <?php 
                                    if($purchaseOrder->tag == 0){
                                        ?>
                                 <th>Raw MAterial Code / Name</th>
                                 <?php
                                    }else{
                                        ?>
                                 <th>Component Code / Name</th>
                                 <?php
                                    }
                                    ?>
                                 <th>Quantity</th>
                                 <th>Unit Price</th>
                                 <th>GST %</th>
                                 <th>GST Amount</th>
                                 <th>Amount (* without gst)</th>
                              </tr>
                           </thead>
                           <tbody>
                              <?php
                                 $po_s_no=1;
                                 $total=$total_gst_amount=$total_amount=0;
                                 
                                     foreach ($purchaseOrder->purchase_order_components as $purchase_order_components_key => $purchase_order_components_value) {
                                       $component_cost=$purchase_order_components_value->price;
                                 
                                       $component_gst=$purchase_order_components_value->gst;
                                 
                                       $component_amount=$component_cost*$purchase_order_components_value->order_quantity;
                                 
                                       $component_gst_amount=$component_amount*($component_gst/100);
                                 
                                 
                                       $total_gst_amount=$total_gst_amount+$component_gst_amount;
                                       $total_amount=$total_amount+$component_amount;
                                          //pr($purchase_order_components_value);
                                         ?>
                              <tr>
                                 <td><?= $po_s_no?>.</td>
                                 <td>
                                    <?php 
                                       if($purchaseOrder->tag == 0){
                                           ?>
                                    <?= $purchase_order_components_value->RawMaterials['material_name']?> 
                                    <?php
                                       }else{
                                           ?>
                                    <?= $purchase_order_components_value->Components['component_name']?>
                                    <?php
                                       }
                                       ?>                                         
                                 </td>
                                 <td><?= $purchase_order_components_value->order_quantity?></td>
                                 <td> <?= $component_cost?> ₹</td>
                                 <td><?= $component_gst?> % </td>
                                 <td> <?= $component_gst_amount?> ₹</td>
                                 <td> <?= $component_amount?>₹</td>
                              </tr>
                              <?php
                                 $po_s_no ++;
                                 }
                                 ?>                       
                              <tr>
                                 <td colspan="6" class="text-right"> <strong> Amount (₹) </strong></td>
                                 <td> <strong>  <?= $total_amount?> </strong></td>
                              </tr>
                              <tr>
                                 <td colspan="6" class="text-right"> <strong> GST Amount (₹) </strong></td>
                                 <td> <strong> <?= $total_gst_amount?> </strong></td>
                              </tr>
                              <tr>
                                 <td colspan="6" class="text-right"> <strong> Total (₹) </strong></td>
                                 <td> <strong>  <?= $total_gst_amount+$total_amount ?> </strong></td>
                              </tr>
                           </tbody>
                        </table>
                     </div>
                  </div>
                  <?php 
                     if(!empty($purchaseOrder->goods_received_notes)){
                         ?>
                  <div class="col-xs-12 no-padding">
                     <div class="box-header with-border">
                        <h4>Goods Received Notes</h4>
                     </div>
                     <table class="table table-border table-hover">
                        <thead>
                           <tr>
                              <th>GRN No.</th>
                              <th>GRN Date</th>
                              <th>Received By</th>
                              <th></th>
                           </tr>
                        </thead>
                        <tbody>
                           <?php  foreach ($purchaseOrder->goods_received_notes as $goods_received_notes_key => $goods_received_notes_value): ?>
                           <tr>
                              <td><?= $goods_received_notes_value->id ?></td>
                              <td><?= $goods_received_notes_value->grn_received_date ?></td>
                              <td> <?= $goods_received_notes_value->Users['user_full_name'] ?> </td>
                              <td> 
                                 <?= $this->Html->link(__('<i class="fa fa-eye"></i>'), ['controller'=>'goods-received-notes','action' => 'view', $goods_received_notes_value->id], ['class' => 'btn btn-info', 'title' => 'View GRn', 'escape' => false]) . "\n";
                                    ?>
                              </td>
                           </tr>
                           <?php endforeach; ?>
                        </tbody>
                     </table>
                  </div>
                  <?php
                     }else{
                         ?>
                  <div class="col-xs-12 no-padding">
                     <div class="box-header with-border">
                        <h4>No Goods Received yet for this Purchase Order</h4>
                     </div>
                  </div>
                  <?php
                     }
                     
                     ?>
               </div>
            </div>
         </div>
      </div>
   </div>
</section> 
