<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrder $purchaseOrder
	 */
	use Cake\Core\Configure;   
	$auth = $this->Session->read('Auth.User');
	//echo "<pre>";print_r($purchaseOrder);exit;
	?>
<section class="content-header">
	<h1>
		View Purchase Order : <?= $purchaseOrder->purchase_order_no?>
	</h1>
	<div class="text-right">
		<?php    
			if($auth['user_role_id'] == 1 && $purchaseOrder->status == 1){
        ?>
            <?php echo $this->Form->postLink('Approve', ['action' => 'approve',$purchaseOrder->id ], ['class' => 'btn btn-sm btn-success', 'confirm' => __('Are you sure you want to Approve the  Purchase Order '.$purchaseOrder->purchase_order_no) ] ); ?>
            <?php echo $this->Form->postLink('Hold', ['action' => 'hold',$purchaseOrder->id ], ['class' => 'btn btn-sm btn-warning', 'confirm' => __('Are you sure you want to Hold the  Purchase Order '.$purchaseOrder->purchase_order_no) ] ); ?>
            <?php echo $this->Form->postLink('Reject', ['action' => 'reject',$purchaseOrder->id ], ['class' => 'btn btn-sm btn-danger', 'confirm' => __('Are you sure you want to Reject the  Purchase Order '.$purchaseOrder->purchase_order_no) ] );?>
        <?php
        } 
        ?>
	</div>
</section>
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-body">
					<div class="col-lg-3"></div>
					<div class="col-lg-6">
						<table class="table table-bordered table-striped table-hover dtBordered">
							<tr>
								<td class="bg-gray-active"><b><?= __('Job Order Number') ?></b></td>
								<td><?= $purchaseOrder->job_order->job_order_no ?></td>
							</tr>
							<tr>
								<td class="bg-gray-active"><b><?= __('Status') ?></b></td>
								<td><?= $purchase_order_status[$purchaseOrder->status]?></td>
							</tr>
							<tr>
								<td class="bg-gray-active"><b><?= __('Group') ?></b></td>
								<td><?= $purchaseOrder->job_order->group->group_name ?></td>
							</tr>
							<tr>
								<td class="bg-gray-active"><b><?= __('Raised By') ?></b></td>
								<td><?= $purchaseOrder->Users['user_full_name'] ?></td>
							</tr>
							<tr>
								<td class="bg-gray-active"><b><?= __('Vendor') ?></b></td>
								<td><?= $purchaseOrder->vendor->vendor_name ?></td>
							</tr>
							<tr>
								<td class="bg-gray-active"><b><?= __('Vendor Address') ?></b></td>
								<td><?= $purchaseOrder->vendor->address ?></td>
							</tr>
						</table>
					</div>
					<div class="col-lg-3"></div>
					<div class="row">
						<div class="col-xs-12">
							<h4> Purchase Order Components</h4>
						</div>
					</div>
					<div class="col-xs-12 no-padding ">
						<div class="table-responsive">
							<table class="table table-bordered table-striped table-hover dtBordered">
								<thead>
									<tr class="bg-gray-active">
										<th class="width-3per">Sno.</th>
										<th>Component Code / Name</th>
										<th>EDD</th>
										<th>Process Name</th>
										<th>Quantity</th>
										<th>Unit Price (₹)</th>
										<th>GST %</th>
										<th class="text-right">GST Amount (₹)</th>
										<th class="text-right">Amount (₹)</th>
									</tr>
								</thead>
								<tbody>
									<?php
										$po_s_no=1;
										$total=$total_gst_amount=$total_amount=0;                                 
										    foreach ($purchaseOrder->purchase_order_components as $purchase_order_components_key => $purchase_order_components_value) {
										      $component_cost=$purchase_order_components_value->price;
										
										      $component_gst=$purchase_order_components_value->gst;
										
										      $component_amount=$component_cost*$purchase_order_components_value->order_quantity;
										
										      $component_gst_amount=$component_amount*($component_gst/100);                                
										
										      $total_gst_amount=$total_gst_amount+$component_gst_amount;
										      $total_amount=$total_amount+$component_amount;
										         //pr($purchase_order_components_value);
										        ?>
									<tr>
										<td><?= $po_s_no?>.</td>
										<td>
											<?= $purchase_order_components_value->component->component_name?>                                      
										</td>
										<td><?= date('d-m-Y', strtotime($purchase_order_components_value->expected_date_delivery)) ?></td>
										<td>
											<?= $purchase_order_components_value->process->process_name?>                                      
										</td>
										<td><?= $purchase_order_components_value->order_quantity?></td>
										<td> <?= $component_cost?> </td>
										<td><?= $component_gst?> </td>
										<td class="text-right"> <?= number_format($component_gst_amount,2)?> </td>
										<td class="text-right"> <?= number_format($component_amount,2)?></td>
									</tr>
									<?php 
										$po_s_no++;
										} ?>
									<tr>
										<td colspan="8" class="text-right"> <strong> CGST Amount (₹) </strong></td>
										<td class="text-right"> <strong> <?= number_format($total_gst_amount/2,2)?> </strong></td>
									</tr>
									<tr>
										<td colspan="8" class="text-right"> <strong> SGST Amount (₹) </strong></td>
										<td class="text-right"> <strong> <?= number_format($total_gst_amount/2,2)?> </strong></td>
									</tr>
									<tr>
										<td colspan="8" class="text-right"> <strong> Total (₹) </strong></td>
										<td class="text-right"> <strong>  <?= number_format($total_gst_amount+$total_amount,2) ?> </strong></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
					<!-- Job Order Components -->
					<?php 
						if(!empty($purchaseOrder->goods_received_notes))
                        {
                    ?>
					<div class="col-xs-12 no-padding">
						<div class="box-header with-border">
							<h4>Goods Received Notes</h4>
						</div>
						<table class="table table-bordered table-hover table-striped btBordered">
							<thead>
								<tr class="bg-gray-active">
									<th>Sno.</th>
									<th>GRN No</th>
									<th>GRN Date</th>
									<th>Received By</th>
									<th>Actions</th>
								</tr>
							</thead>
							<tbody>
								<?php  foreach ($purchaseOrder->goods_received_notes as $goods_received_notes_key => $goods_received_notes_value): ?>
								<tr>
									<td><?= $goods_received_notes_key+1 ?></td>
									<td><?= $goods_received_notes_value->grn_no ?></td>
									<td><?= $goods_received_notes_value->grn_received_date ?></td>
									<td> <?= $goods_received_notes_value->Users['user_full_name'] ?> </td>
									<td> 
										<?= $this->Html->link(__('<i class="fa fa-eye"></i>'), ['controller'=>'goods-received-notes','action' => 'view', $goods_received_notes_value->id], ['class' => 'btn btn-info', 'title' => 'View GRn', 'escape' => false]) . "\n";
											?>
									</td>
								</tr>
								<?php endforeach; ?>
							</tbody>
						</table>
					</div>
					<?php
						}
                        else{
                    ?>
					<div class="col-xs-12 no-padding">
						<div class="box-header with-border">
							<h4>No Goods Received yet for this Purchase Order</h4>
						</div>
					</div>
					<?php
						}
					?>
				</div>
			</div>
		</div>
	</div>
</section>
