<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\VendorComponent $vendorComponent
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Vendor Components
		<small><?php echo __('Edit'); ?></small>
	</h1>
	<ol class="breadcrumb">
		<li><a href="<?php echo $this->Url->build(['action' => 'index']); ?>"><i class="fa fa-dashboard"></i> <?php echo __('Home'); ?></a></li>
	</ol>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($vendorComponent, ['role' => 'form', 'class' => 'form-horizontal']); ?>
                <div class="box-body">
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Vendor Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('vendor_id', ['type' => 'select', 'options' => $vendors, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'empty' => 'Select']); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Component Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('component_id', ['type' => 'select', 'options' => $components, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'empty' => 'Select']); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Price</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('price', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Gst</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('gst', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Is Default</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('is_default', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, "data-toggle" => "toggle", "data-style" => "ios", "data-onstyle" => "success", "data-offstyle" => "warning", "data-size" => "small"]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Status</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('is_active', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, "data-toggle" => "toggle", "data-style" => "ios", "data-onstyle" => "success", "data-offstyle" => "warning", "data-size" => "small"]); ?>
                        </div>
                    </div>
                </div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
