<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Vendor Store Components</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-header">
					<h3 class="box-title"><!-- feature content --></h3>
					<div class="box-tools">
						<div class="pull-right">
							<?php echo $this->Html->link(__('Add New Vendor Store Components'), ['action' => 'add'], ['class'=>'btn btn-primary']) ?>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover">
						<thead>
							<tr>
																<th scope="col"><?= $this->Paginator->sort('id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('vendor_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('store_component_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('component_part_no') ?></th>
																<th scope="col"><?= $this->Paginator->sort('price') ?></th>
																<th scope="col"><?= $this->Paginator->sort('gst') ?></th>
																<th scope="col"><?= $this->Paginator->sort('is_active') ?></th>
																<th scope="col"><?= $this->Paginator->sort('created_by') ?></th>
																<th scope="col"><?= $this->Paginator->sort('created') ?></th>
																<th scope="col"><?= $this->Paginator->sort('modified_by') ?></th>
																<th scope="col"><?= $this->Paginator->sort('modified') ?></th>
																<th scope="col" class="actions text-center"><?= __('Actions') ?></th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($vendorStoreComponents as $vendorStoreComponent): ?>
							<tr>
																																																																								<td><?= $this->Number->format($vendorStoreComponent->id) ?></td>
																																																																<td><?= $vendorStoreComponent->has('vendor') ? $this->Html->link($vendorStoreComponent->vendor->id, ['controller' => 'Vendors', 'action' => 'view', $vendorStoreComponent->vendor->id]) : '' ?></td>
																																																																								<td><?= $vendorStoreComponent->has('store_component') ? $this->Html->link($vendorStoreComponent->store_component->id, ['controller' => 'StoreComponents', 'action' => 'view', $vendorStoreComponent->store_component->id]) : '' ?></td>
																																																																																																<td><?= $this->Number->format($vendorStoreComponent->component_part_no) ?></td>
																																																																																								<td><?= $this->Number->format($vendorStoreComponent->price) ?></td>
																																																																																								<td><?= $this->Number->format($vendorStoreComponent->gst) ?></td>
																																																																																								<td><?= $this->Number->format($vendorStoreComponent->is_active) ?></td>
																																																																																								<td><?= $this->Number->format($vendorStoreComponent->created_by) ?></td>
																																																																																								<td><?= h($vendorStoreComponent->created) ?></td>
																																																																																								<td><?= $this->Number->format($vendorStoreComponent->modified_by) ?></td>
																																																																																								<td><?= h($vendorStoreComponent->modified) ?></td>
																																								<td class="actions text-right">
									<?= $this->Html->link(__('View'), ['action' => 'view', $vendorStoreComponent->id], ['class'=>'btn btn-info btn-xs']) ?>
									<?= $this->Html->link(__('Edit'), ['action' => 'edit', $vendorStoreComponent->id], ['class'=>'btn btn-warning btn-xs']) ?>
									<?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $vendorStoreComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $vendorStoreComponent->id), 'class'=>'btn btn-danger btn-xs']) ?>
								</td>
							</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>