<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\Vendor $vendor
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Vendor Management<small><?php echo __('Vendor Update Price'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><b>Add/Update Component operation price for Job order</b></h3>
                </div>
                <!-- ./box-header -->
				<!-- form start -->
				<?php echo $this->Form->create($vendor, ['role' => 'form', 'horizontal' => true, 'id' => 'formVendorUpdatePrice']); ?>
				<div class="box-body">
                    <!-- vendor component processes -->
                    <div class="add-updated-out-component-operation">
                        <div class="box-body table-responsive">
                            <div class="col-lg-2"></div>
                            <div class="col-lg-8">
                                <table class="table table-bordered table-striped table-hover dtBordered" id="vendorProcessTable" data-rows="<?= ( !empty($vendor->vendor_processes) ? count($vendor->vendor_processes) : 0 ) ?>">
                                    <thead>
                                        <tr class="bg-gray-active">
                                            <th class="col-lg-3">Components</th>
                                            <th class="col-lg-3">Operation</th>
                                            <th class="col-lg-3">Price</th>
                                            <th class="col-lg-2 text-center">
                                                <button type="button" name="btnAddVendorProcesses" id="btnAddVendorProcesses" class="btn btn-xs btn-default">
                                                    <i class="fa fa-plus"></i> Add
                                                </button>
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php
                                       if(!empty($vendor->vendor_processes)){
                                           foreach ($vendor->vendor_processes as $key => $rows)
                                           {
                                    ?>
                                        <tr>
                                            <td>
                                                <?php echo $this->Form->control('processes['.$key.'][_joinData].component_id',['type' => 'select','label' => false ,'empty' => 'Select', 'options' => $components, 'class' => 'form-control vendorComponents select-2', 'default'=>$rows->component_id]); ?>
                                            </td>
                                            <td>
                                                <?php echo $this->Form->control('processes['.$key.'].id',['type' => 'select', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false ,'empty' => 'Select', 'options' => $processes, 'class' => 'form-control vendorComponentProcesses select-2', 'default' => $rows->process_id]); ?>
                                            </td>
                                            <td>
                                                <?php echo $this->Form->control('processes['.$key.'][_joinData].price',['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'form-control', 'value'=>$rows->price]); ?>
                                            </td>
                                            <td class="text-center">
                                                <?php
                                                    if($key!=0){
                                                ?>
                                                <button type="button" class="btn btn-xs btn-default btn-circle btnRemoveRows">
                                                    <i class="fa fa-remove"></i>
                                                </button>
                                                <?php
                                                    }
                                                ?>
                                            </td>
                                        </tr>
                                    <?php
                                           }
                                       }
                                       else{
                                    ?>
                                        <tr>
                                            <td>
                                                <?php echo $this->Form->control('processes[0][_joinData].component_id', ['type' => 'select','label' => false, 'empty' => 'Select', 'options' => $components, 'class' => 'form-control vendorComponents select-2']); ?>
                                            </td>
                                            <td>
                                                <?php echo $this->Form->control('processes[0].id', ['type' => 'select', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'Select', 'options' => $processes, 'class' => 'form-control vendorComponentProcesses select-2']); ?>
                                            </td>
                                            <td>
                                                <?php echo $this->Form->control('processes[0][_joinData].price', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'form-control']); ?>
                                            </td>
                                            <td class="text-center"></td>
                                        </tr>
                                    <?php
                                       }
                                    ?>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-lg-2"></div>
                        </div>
                    </div>
                    <!-- ./vendor component processes -->
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
