<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * PurchaseOrderComponents Controller
 *
 * @property \App\Model\Table\PurchaseOrderComponentsTable $PurchaseOrderComponents
 *
 * @method \App\Model\Entity\PurchaseOrderComponent[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class PurchaseOrderComponentsController extends AppController
{

    /**
     * initialize method
     */
    public function initialize()
    {
	//initialization
		parent::initialize();

	//CRUD operations
		$this->loadComponent('Crud.Crud', [
            'actions' => [
                'Crud.Index',
                'add' => ['className' => 'Crud.Add'],
                'Crud.Edit',
                'Crud.View',
                'Crud.Delete',
            ],
        ]);
    }

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['PurchaseOrders', 'Components']
        ];
        $purchaseOrderComponents = $this->paginate($this->PurchaseOrderComponents);

        $this->set(compact('purchaseOrderComponents'));
    }

    /**
     * View method
     *
     * @param string|null $id Purchase Order Component id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
	#before find
		$this->Crud->on('beforeFind', function(\Cake\Event\Event $event) {
			$event->subject()->query->contain([
				'PurchaseOrders', 'Components'
			]);
		});

	#return
		return $this->Crud->execute();
    }
    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
    #return
		return $this->Crud->execute();
    }
    /**
     * Edit method
     *
     * @param string|null $id Purchase Order Component id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
    #return
		return $this->Crud->execute();
    }
    /**
     * Delete method
     *
     * @param string|null $id Purchase Order Component id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
	#return
		return $this->Crud->execute();
    }}
