<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\I18n\Time;
use DataTables\Controller\DataTablesAjaxRequestTrait;

/**
 * VendorProcesses Controller
 *
 * @property \App\Model\Table\VendorProcessesTable $VendorProcesses
 *
 * @method \App\Model\Entity\VendorProcess[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class VendorProcessesController extends AppController
{
    /**
     * initialize method
    */
    public function initialize()
    {
	//initialization
		parent::initialize();

	//CRUD operations
		$this->loadComponent('Crud.Crud', [
            'actions' => [
                'Crud.Index',
                'add' => ['className' => 'Crud.Add'],
                'Crud.Edit',
                'Crud.View',
                'Crud.Delete',
            ],
        ]);

        #Datatable configuration
    	$this->DataTables->createConfig('VendorProcesses')
			//->queryOptions(['contain' => ['containModel' => ['fields' => ['fieldmname' => 'field']]]])
			->column('Sno.'	, ['label' => 'Sno.', 'class' => 'text-center', 'database' => false])
            // Add column code here
            ->column('VendorProcesses.is_active'		, ['label' => 'Status', 'class' => 'text-center'])
            ->column('VendorProcesses.id'			, ['label' => 'Actions', 'class' => 'text-center']);

    }

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['Vendors', 'Processes']
        ];
      /*  $vendorProcesses = $this->paginate($this->VendorProcesses);

        $this->set(compact('vendorProcesses')); */
        $this->DataTables->setViewVars('VendorProcesses');
    }

    /**
     * View method
     *
     * @param string|null $id Vendor Process id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
	#before find
		$this->Crud->on('beforeFind', function(\Cake\Event\Event $event) {
			$event->subject()->query->contain([
				'Vendors', 'Processes'
			]);
		});

	#return
		return $this->Crud->execute();
    }
    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
    #return
		return $this->Crud->execute();
    }
    /**
     * Edit method
     *
     * @param string|null $id Vendor Process id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
    #return
		return $this->Crud->execute();
    }
    /**
     * Delete method
     *
     * @param string|null $id Vendor Process id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
      $this->Crud->on('afterDelete', function(\Cake\Event\Event $event) {
        if (!$event->getSubject()->success) {
            $this->log("Delete failed for entity " . $event->getSubject()->id);
            }
            return  $this->redirect($this->referer());
        });
	#return
		return $this->Crud->execute();
    }}
