<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualAssemblyTracking Entity
 *
 * @property int $id
 * @property int $annual_quarter_plan_id
 * @property int|null $annual_product_tracking_id
 * @property int $sub_assembly_id
 * @property int $product_id
 * @property int $product_number
 * @property int $total_component
 * @property int $completed_component
 * @property int $status
 * @property \Cake\I18n\FrozenTime|null $status_updated_on
 * @property string|null $description
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualQuarterPlan $annual_quarter_plan
 * @property \App\Model\Entity\SubAssembly $sub_assembly
 * @property \App\Model\Entity\Product $product
 * @property \App\Model\Entity\AnnualComponentTracking[] $annual_component_trackings
 */
class AnnualAssemblyTracking extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_quarter_plan_id' => true,
        'annual_product_tracking_id' => true,
        'sub_assembly_id' => true,
        'product_id' => true,
        'product_number' => true,
        'total_component' => true,
        'completed_component' => true,
        'status' => true,
        'status_updated_on' => true,
        'description' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_quarter_plan' => true,
        'sub_assembly' => true,
        'product' => true,
        'annual_component_trackings' => true,
        'annual_product_trackings' => true,
    ];
}
