<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualComponentTracking Entity
 *
 * @property int $id
 * @property int|null $annual_quarter_plan_id
 * @property int $component_product_id
 * @property int $annual_assembly_tracking_id
 * @property int|null $product_number
 * @property int $total_components
 * @property int $total_completed_components
 * @property int $total_rejected_components
 * @property int $status
 * @property \Cake\I18n\FrozenTime|null $status_updated_on
 * @property string|null $description
 * @property int $is_eventual_product
 * @property int $is_eventual_mapped
 * @property int|null $is_active
 * @property int|null $is_undo
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualQuarterPlan $annual_quarter_plan
 * @property \App\Model\Entity\ComponentProduct $component_product
 * @property \App\Model\Entity\AnnualAssemblyTracking $annual_assembly_tracking
 * @property \App\Model\Entity\ComponentTrackingComment[] $component_tracking_comments
 */
class AnnualComponentTracking extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_quarter_plan_id' => true,
        'component_product_id' => true,
        'annual_assembly_tracking_id' => true,
        'product_number' => true,
        'total_components' => true,
        'total_completed_components' => true,
        'total_rejected_components' => true,
        'status' => true,
        'status_updated_on' => true,
        'description' => true,
        'is_eventual_product' => true,
        'is_eventual_mapped' => true,
        'is_active' => true,
        'is_undo' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_quarter_plan' => true,
        'component_product' => true,
        'annual_assembly_tracking' => true,
        'component_tracking_comments' => true
    ];
}
