<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualPlan Entity
 *
 * @property int $id
 * @property string $financial_year
 * @property string $month_from
 * @property string $month_to
 * @property int|null $status
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualPlannedCapacity[] $annual_planned_capacities
 * @property \App\Model\Entity\AnnualPlannedMachine[] $annual_planned_machines
 * @property \App\Model\Entity\AnnualPlannedProduct[] $annual_planned_products
 * @property \App\Model\Entity\AnnualQuarterPlan[] $annual_quarter_plans
 */
class AnnualPlan extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'financial_year' => true,
        'month_from' => true,
        'month_to' => true,
        'status' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_planned_capacities' => true,
        'annual_planned_machines' => true,
        'annual_planned_products' => true,
        'annual_quarter_plans' => true
    ];
}
