<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * AnnualQuarterPlan Entity
 *
 * @property int $id
 * @property int|null $annual_plan_id
 * @property string|null $duration
 * @property int $status
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualPlan $annual_plan
 * @property \App\Model\Entity\AnnualAssemblyTracking[] $annual_assembly_trackings
 * @property \App\Model\Entity\AnnualComponentTracking[] $annual_component_trackings
 * @property \App\Model\Entity\AnnualProductTracking[] $annual_product_trackings
 * @property \App\Model\Entity\AnnualQuarterPlannedProduct[] $annual_quarter_planned_products
 * @property \App\Model\Entity\PurchaseIndent[] $purchase_indents
 */
class AnnualQuarterPlan extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_plan_id' => true,
        'duration' => true,
        'status' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_plan' => true,
        'annual_assembly_trackings' => true,
        'annual_component_trackings' => true,
        'annual_product_trackings' => true,
        'annual_quarter_planned_products' => true,
        'purchase_indents' => true
    ];
}
