<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Component Entity
 *
 * @property int $id
 * @property string $component_name
 * @property string|null $component_code
 * @property string $drawing_reference_no
 * @property float|null $component_cost
 * @property float $component_gst
 * @property int $batch_quantity
 * @property int $po_turnaround_time
 * @property int $buying_frequency
 * @property string|null $drawing_file
 * @property string|null $drawing_path
 * @property int|null $tag
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualPlannedCapacity[] $annual_planned_capacities
 * @property \App\Model\Entity\ComponentAssembly[] $component_assemblies
 * @property \App\Model\Entity\ComponentGroup[] $component_groups
 * @property \App\Model\Entity\ComponentProcess[] $component_processes
 * @property \App\Model\Entity\ComponentProduct[] $component_products
 * @property \App\Model\Entity\ComponentRawMaterial[] $component_raw_materials
 * @property \App\Model\Entity\PurchaseIndentComponent[] $purchase_indent_components
 * @property \App\Model\Entity\PurchaseOrderComponent[] $purchase_order_components
 * @property \App\Model\Entity\VendorComponent[] $vendor_components
 * @property \App\Model\Entity\VendorProcess[] $vendor_processes
 */
class Component extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'component_name' => true,
        'component_code' => true,
        'drawing_reference_no' => true,
        'component_cost' => true,
        'component_gst' => true,
        'batch_quantity' => true,
        'po_turnaround_time' => true,
        'buying_frequency' => true,
        'drawing_file' => true,
        'drawing_path' => true,
        'tag' => true,
        'is_active' => true,
        'default_vendor_id' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_planned_capacities' => true,
        'component_assemblies' => true,
        'component_groups' => true,
        'component_processes' => true,
        'component_products' => true,
        'component_raw_materials' => true,
        'purchase_indent_components' => true,
        'purchase_order_components' => true,
        'vendor_components' => true,
        'vendor_processes' => true,
        'products' => true,
        'processes' => true,
        'groups' => true,
        'sub_assemblies' => true,
    ];
}
