<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Group Entity
 *
 * @property int $id
 * @property string $group_name
 * @property string|null $description
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\ComponentGroup[] $component_groups
 * @property \App\Model\Entity\GroupUser[] $group_users
 * @property \App\Model\Entity\Machine[] $machines
 * @property \App\Model\Entity\PurchaseIndent[] $purchase_indents
 */
class Group extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'group_name' => true,
        'description' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'component_groups' => true,
        'group_users' => true,
        'machines' => true,
        'purchase_indents' => true,
        'users' => true,
    ];
}
