<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;
use Cake\I18n\Time;

/**
 * IntergroupDispatchNote Entity
 *
 * @property int $id
 * @property int $product_id
 * @property int $group_id
 * @property int $component_id
 * @property int $process_id
 * @property int $number_of_components
 * @property \Cake\I18n\FrozenDate $expected_completion_date
 * @property int $status
 * @property int $from_group
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Product $product
 * @property \App\Model\Entity\Group $group
 * @property \App\Model\Entity\Component $component
 * @property \App\Model\Entity\Process $process
 */
class IntergroupDispatchNote extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'product_id' => true,
        'group_id' => true,
        'component_id' => true,
        'process_id' => true,
        'number_of_components' => true,
        'expected_completion_date' => true,
        'status' => true,
        'from_group' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'product' => true,
        'group' => true,
        'component' => true,
        'process' => true
    ];

    protected function _setExpectedCompletionDate($expected_completion_date)
    {
        $date= Time::parse($expected_completion_date);
        $date->i18nFormat('yyyy-MM-dd');
        return $date;
    }
}
