<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Machine Entity
 *
 * @property int $id
 * @property int|null $machine_type_id
 * @property int|null $group_id
 * @property string $machine_name
 * @property string $machine_code
 * @property int $machine_hours_per_shift
 * @property int $machine_shift_per_day
 * @property int $machine_downtime_per_month
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\MachineType $machine_type
 * @property \App\Model\Entity\Group $group
 * @property \App\Model\Entity\AnnualPlannedCapacity[] $annual_planned_capacities
 * @property \App\Model\Entity\AnnualPlannedMachine[] $annual_planned_machines
 * @property \App\Model\Entity\ComponentProcess[] $component_processes
 * @property \App\Model\Entity\MachineProcess[] $machine_processes
 */
class Machine extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'machine_type_id' => true,
        'group_id' => true,
        'machine_name' => true,
        'machine_code' => true,
        'machine_hours_per_shift' => true,
        'machine_shift_per_day' => true,
        'machine_downtime_per_month' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'machine_type_name' => true,
        'group' => true,
        'annual_planned_capacities' => true,
        'annual_planned_machines' => true,
        'component_processes' => true,
        'machine_processes' => true
    ];
}