<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Module Entity
 *
 * @property int $id
 * @property int $module_master_id
 * @property string $module_name
 * @property string|null $controller
 * @property string|null $action
 * @property string|null $icon
 * @property int|null $order
 * @property int $is_main_menu
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\ModuleMaster $module_master
 * @property \App\Model\Entity\UserRolePrivilege[] $user_role_privileges
 */
class Module extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'module_master_id' => true,
        'module_name' => true,
        'controller' => true,
        'action' => true,
        'icon' => true,
        'order' => true,
        'is_main_menu' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'module_master' => true,
        'user_role_privileges' => true
    ];
}
