<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * ModuleAction Entity
 *
 * @property int $id
 * @property int $module_id
 * @property string $title
 * @property string|null $controller
 * @property string $action
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\UserRolePrivilege[] $user_role_privileges
 */
class ModuleAction extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'module_id' => true,
        'title' => true,
        'controller' => true,
        'action' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'user_role_privileges' => true
    ];
}
