<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * ModuleMaster Entity
 *
 * @property int $id
 * @property string $menu_name
 * @property string|null $icon
 * @property int|null $module_order
 * @property int $is_main_menu
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Module[] $modules
 * @property \App\Model\Entity\UserRolePrivilege[] $user_role_privileges
 */
class ModuleMaster extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'menu_name' => true,
        'icon' => true,
        'module_order' => true,
        'is_main_menu' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'modules' => true,
        'user_role_privileges' => true
    ];
}
