<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Process Entity
 *
 * @property int $id
 * @property string $process_name
 * @property string|null $description
 * @property int $process_tag
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property \Cake\I18n\FrozenTime|null $modified
 * @property int|null $modified_by
 *
 * @property \App\Model\Entity\AnnualPlannedCapacity[] $annual_planned_capacities
 * @property \App\Model\Entity\ComponentProcess[] $component_processes
 * @property \App\Model\Entity\MachineProcess[] $machine_processes
 * @property \App\Model\Entity\VendorProcess[] $vendor_processes
 */
class Process extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'process_name' => true,
        'description' => true,
        'process_tag' => true,
        'is_active' => true,
        'default_vendor_id' => true,        
        'created_by' => true,
        'created' => true,
        'modified' => true,
        'modified_by' => true,
        'annual_planned_capacities' => true,
        'component_processes' => true,
        'machine_processes' => true,
        'vendor_processes' => true,
        'id' => true,
    ];
}
