<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * PurchaseIndent Entity
 *
 * @property int $id
 * @property int|null $annual_quarter_plan_id
 * @property int $product_id
 * @property int|null $group_id
 * @property string|null $purchase_intent_no
 * @property int $status
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\AnnualQuarterPlan $annual_quarter_plan
 * @property \App\Model\Entity\Product $product
 * @property \App\Model\Entity\Group $group
 * @property \App\Model\Entity\PurchaseIndentComment[] $purchase_indent_comments
 * @property \App\Model\Entity\PurchaseIndentComponent[] $purchase_indent_components
 */
class PurchaseIndent extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'annual_plan_id'=>true,
        'annual_quarter_plan_id' => true,
        'product_id' => true,
        'group_id' => true,
        'purchase_intent_no' => true,
        'status' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'annual_quarter_plan' => true,
        'product' => true,
        'group' => true,
        'purchase_indent_comments' => true,
        'purchase_indent_components' => true,
        'tag'=>true,
        'is_adhoc'=>true
    ];

    protected function _getCreated($created)
    {
        $date=date("Y-m-d", strtotime($created));
        return $date;
    }
}
