<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * PurchaseOrderComponent Entity
 *
 * @property int $id
 * @property int $purchase_order_id
 * @property int $component_id
 * @property int|null $raw_material_id
 * @property float $order_quantity
 * @property float $grn_quantity
 * @property float $average_weight
 * @property float $gst
 * @property float $amount
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\PurchaseOrder $purchase_order
 * @property \App\Model\Entity\Component $component
 * @property \App\Model\Entity\RawMaterial $raw_material
 */
class PurchaseOrderComponent extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'purchase_order_id' => true,
        'component_id' => true,
        'raw_material_id' => true,
        'order_quantity' => true,
        'grn_quantity' => true,
        'average_weight' => true,
        'gst' => true,
        'amount' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'purchase_order' => true,
        'component' => true,
        'raw_material' => true,
        'price' => true,
        'gst_amount' => true,
        'process_id' => true,
        'expected_date_delivery' => true,
        'store_component_id'=>true
    ];
}
