<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * RawMaterial Entity
 *
 * @property int $id
 * @property string $material_name
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\ComponentRawMaterial[] $component_raw_materials
 * @property \App\Model\Entity\ComponentRawMaterialsOld[] $component_raw_materials_old
 * @property \App\Model\Entity\PurchaseIndentComponent[] $purchase_indent_components
 * @property \App\Model\Entity\PurchaseOrderComponent[] $purchase_order_components
 * @property \App\Model\Entity\RawMaterialFormula[] $raw_material_formulas
 * @property \App\Model\Entity\VendorRawMaterial[] $vendor_raw_materials
 */
class RawMaterial extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'material_name' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'default_vendor_id' => true,
        'modified_by' => true,
        'modified' => true,
        'component_raw_materials' => true,
        'component_raw_materials_old' => true,
        'purchase_indent_components' => true,
        'purchase_order_components' => true,
        'raw_material_formulas' => true,
        'vendor_raw_materials' => true
    ];
}
