<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * StoreComponent Entity
 *
 * @property int $id
 * @property int $product_id
 * @property string|null $component_name
 * @property int|null $component_part_no
 * @property string|null $component_type
 * @property string|null $component_make
 * @property int $npm
 * @property int $buying_frequency
 * @property int|null $default_vendor_id
 * @property int $is_active
 * @property int $created_by
 * @property \Cake\I18n\FrozenTime $created
 * @property int $modified_by
 * @property \Cake\I18n\FrozenTime $modified
 *
 * @property \App\Model\Entity\Product $product
 * @property \App\Model\Entity\VendorStoreComponent[] $vendor_store_components
 */
class StoreComponent extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'product_id' => true,
        'component_name' => true,
        'component_part_no' => true,
        'component_type' => true,
        'component_make' => true,
        'npm' => true,
        'buying_frequency' => true,
        'default_vendor_id' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'product' => true,
        'vendor_store_components' => true
    ];
}
