<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * SubAssemblyProduct Entity
 *
 * @property int $id
 * @property int $sub_assembly_id
 * @property int $product_id
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\SubAssembly $sub_assembly
 * @property \App\Model\Entity\Product $product
 */
class SubAssemblyProduct extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'sub_assembly_id' => true,
        'product_id' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'sub_assembly' => true,
        'product' => true
    ];
}
