<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Vendor Entity
 *
 * @property int $id
 * @property string $vendor_code
 * @property string $vendor_name
 * @property string|null $contact_person
 * @property string|null $phone
 * @property string|null $mobile
 * @property string|null $email
 * @property string|null $address
 * @property int $rating
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\GoodsReceivedNote[] $goods_received_notes
 * @property \App\Model\Entity\PurchaseOrder[] $purchase_orders
 * @property \App\Model\Entity\VendorComponent[] $vendor_components
 * @property \App\Model\Entity\VendorProcess[] $vendor_processes
 * @property \App\Model\Entity\VendorRawMaterial[] $vendor_raw_materials
 */
class Vendor extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'vendor_code' => true,
        'vendor_name' => true,
        'contact_person' => true,
        'phone' => true,
        'mobile' => true,
        'email' => true,
        'address' => true,
        'rating' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'components' => true,
        'processes' => true,
        'raw_materials' => true,
        'store_components' => true,
        'goods_received_notes' => true,
        'purchase_orders' => true,
        'vendor_components' => true,
        'vendor_processes' => true,
        'vendor_raw_materials' => true,
        'vendor_store_components' => true,
        'gst_no' => true,
    ];
}
