<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * VendorComponent Entity
 *
 * @property int $id
 * @property int $vendor_id
 * @property int $component_id
 * @property float $price
 * @property float $gst
 * @property int|null $is_default
 * @property int $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Vendor $vendor
 * @property \App\Model\Entity\Component $component
 */
class VendorComponent extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'vendor_id' => true,
        'component_id' => true,
        'price' => true,
        'gst' => true,
        'is_default' => true,
        'is_active' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'vendor' => true,
        'component' => true
    ];
}
