<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * VendorRawMaterial Entity
 *
 * @property int $id
 * @property int|null $vendor_id
 * @property int|null $raw_material_id
 * @property float $price
 * @property int|null $is_active
 * @property int|null $created_by
 * @property \Cake\I18n\FrozenTime|null $created
 * @property int|null $modified_by
 * @property \Cake\I18n\FrozenTime|null $modified
 *
 * @property \App\Model\Entity\Vendor $vendor
 * @property \App\Model\Entity\RawMaterial $raw_material
 * @property \App\Model\Entity\PurchaseIndentComponent[] $purchase_indent_components
 */
class VendorRawMaterial extends Entity
{

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'vendor_id' => true,
        'raw_material_id' => true,
        'price' => true,
        'is_active' => true,
        'is_default' => true,
        'created_by' => true,
        'created' => true,
        'modified_by' => true,
        'modified' => true,
        'vendor' => true,
        'raw_material' => true,
        'purchase_indent_components' => true,
        'price' => true,
        'gst' => true,
    ];
}
