<?php
#get current login session data
    $session = $this->request->session()->read('Auth.User');
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>Annual Product Trackings</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<!-- .box -->
			<div class="box product-tracking-section">
				<!-- .box-header for choose product -->
				<div class="box-header with-border product-tracking-page-filter bg-gray" id="sticker">
					<?php echo $this->Form->create(null, ['role' => 'form', 'id' => 'form-filter', 'method' => 'GET']); ?>
					<div class="box-title">
						<div class="form-group no-margin choose-product-name-select">
							<label for="" class="choose-product-name-label no-margin">Product Name</label>
							<div class="choose-product-name-option">
								<?php echo $this->Form->input('products.id', array('type'=>'select', 'name'=> 'productId', 'options'=>$products, 'label'=>false, 'id' => 'product_id', 'default'=>$productDetails->id)); ?>
							</div>
						</div>
                        <?php 
                        #hide group supervisors
                            if($session["user_role_id"]!=4){ 
                        ?>
						<div class="form-group no-margin choose-product-name-select">
							<label for="" class="choose-product-name-label no-margin">Group Name</label>
							<div class="choose-product-name-option">
								<?php echo $this->Form->input('groups.id', array('type'=>'select', 'name'=> 'groupId', 'options'=>$groups, 'label'=>false, 'id' => 'group_id', 'default'=>$groupId, 'empty' => 'All')); ?>
							</div>
						</div>
                        <?php 
                            }
                        ?>
						<div class="form-group no-margin choose-product-name-select">
							<label for="" class="choose-product-name-label no-margin">Product Number</label>
							<div class="choose-product-name-option" id="productFilter">
								<select name="productNo" title="Filter by product number" class="form-control">
                                    <?php foreach($trackSheetHeader AS $key=>$rows){ ?>
                                    <option value="<?= $rows->product_number ?>" <?= ($productNo==$rows->product_number ? 'selected' : '') ?>>
                                        <?= $rows->product_number ?>
                                    </option>
                                    <?php } ?>
                                </select>
							</div>
						</div>
                        <div class="form-group no-margin choose-product-name-select">
                            <label for="" class="choose-product-name-label no-margin">Sort By</label>
                            <select name="status" title="Filter by status" class="statusFilter" id="statusFilter">
                                <option <?= ($status=="" ? 'selected' : '') ?> value="">All</option>
                                <?php foreach($componentStatus AS $key=>$rows){ ?>
                                <option value="<?= $key ?>" data-thumbnail="<?= $this->Url->image( $key.'.png' ); ?>" <?= ( ( $status!="" && $status==$key) ? 'selected' : '') ?>>
                                    <?= $rows['status'] ?>
                                </option>
                                <?php } ?>
                            </select>
                        </div>
					</div>
					<?php echo $this->Form->end(); ?>
				</div>
				<!-- /.box-header for choose product -->
				<!-- .box-header -->
				<div class="box-header">
					<div class="product-tracking-control-header">
						<div class="product-tracking-control-heading">
							<h2><?= $productDetails->product_name ?></h2>
						</div>
						<div class="product-tracking-control-button">
							<button class="btn btn-small-control table-btn-control-left">
                                <i class="material-icons">keyboard_arrow_left</i>
							</button>
							<button class="btn btn-small-control table-btn-control-right">
                                <i class="material-icons">keyboard_arrow_right</i>
							</button>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<!-- .box-body -->
				<div class="box-body col-xs-12">
                    <div class="product-tracking-actions nActions-table">
                        <div class="freeze-table">
                            <table cellspacing="0" id="table-basic" class="table table-bordered table-hover table:border:2px tr:first-id table-tracking-sheet" <?= ( !empty($subAssembliesData) ? '' : 'style="display:none;"' ) ?>>
                                <thead>
                                    <tr>
                                        <th>Sno.</th>
                                        <th>Part Name</th>
                                        <th>NPM</th>
                                        <?php 
                                        #product numbers in table thead
                                            foreach($trackSheetHeader AS $key => $rows)
                                            {
                                                echo '<th class="'.$trackSheetProductStatus[$rows->status]['th-class'].'">'.$rows->product_number.'</th>';
                                            }
                                        ?>
                                    </tr>
                                </thead>
                                <tbody>
                                <?php
                                    if(!empty($subAssembliesData))
                                    {
                                    #loop sub assembly details
                                        foreach($subAssembliesData AS $saKey => $subassembly)
                                        {
                                        #check assembly components empty
                                            if(count($subassembly->component_assemblies) > 0)
                                            {
                                ?>
                                    <tr class="tr-assembly" rel="<?= $subassembly->id ?>">
                                        <td class="tdCollapseAssembly">
                                            <span class="assembly-collapse"><i class="fa fa-sort-up"></i></span>
                                        </td>
                                        <td class="tdCollapseAssembly"><b><?= ($saKey+1).'.'.$subassembly->sub_assembly_name ?></b></td>
                                        <td class="tdCollapseAssembly"></td>
                                        <?php
                                        #loop sub assembly tracking details
                                            foreach($subassembly->annual_assembly_trackings AS $aatKey => $aatRows)
                                            {
                                                echo '<td class="'.$assemblyStatus[$aatRows->status]['ts-class'].'">'.$assemblyStatus[$aatRows->status]['tick'].'</td>';
                                            }
                                         ?>
                                    </tr>
                                    <?php
                                    #assembly components
                                        $cid    = [];
                                        $snKey  = 0;
                                        foreach($subassembly->component_assemblies AS $caKey => $componentAssembly)
                                        {
                                            $trackingStatus = '<td class="'.$componentStatus[$componentAssembly->status][$session['user_role_id']]['class'].'-'.$session['user_role_id'].'" data-container="body" data-toggle="popover" data-content="'.$componentAssembly->description.'"><input type="hidden" name="annual_product_tracking_id" class="annual_product_tracking_id" value="'.$componentAssembly->annual_product_tracking_id.'" />'.$componentStatus[$componentAssembly->status][$session['user_role_id']]['tick'].'</td>';
                                            #check component id
                                            if(in_array($componentAssembly->component_id,array_unique($cid)))
                                            {
                                                if($componentAssembly->status==$status){
                                                    echo $trackingStatus;
                                                }
                                                elseif($status==null){
                                                    echo $trackingStatus;
                                                }
                                                else{
                                                    echo '<td></td>';
                                                }
                                            }
                                            else
                                            {
                                                $cid[]=$componentAssembly->component_id;
                                                if(($caKey>0)&&(!in_array($componentAssembly->component_id,array_unique($cid)))){
                                                    echo "</tr>";
                                                }
                                            ?>
                                            <tr class="tr-<?= $subassembly->id ?>-assembly">
                                                <td><?= ($snKey=$snKey+1)?></td>
                                                <td><?= $componentAssembly->component_name ?></td>
                                                <td><?= $componentAssembly->number_of_component ?></td>
                                                <?php 
                                                    if($componentAssembly->status==$status){
                                                        echo $trackingStatus;
                                                    }
                                                    elseif($status==null){
                                                        echo $trackingStatus;
                                                    }
                                                    else{
                                                        echo '<td></td>';
                                                    }
                                                ?>
                                            <?php 
                                            }
                                        }
                                    ?>
                                <?php
                                            }
                                        }
                                    }
                                ?>
                                </tbody>
                            </table>
                            <input class="form-control" type="hidden" id="annualProductTrackingId" value="" />
                            <p <?= ( !empty($subAssembliesData) ? 'style="display:none;"' : '' ) ?>>No Records Found</p>
                        </div>
                    </div>
					<!-- /.box .product-tracking-section -->
				</div>
			</div>
		</div>
		<!-- /.content -->
	</div>
</section>

<!-- eventual products -->
<?php 
    if(!empty($eventualData)){
        foreach($eventualData AS $ekey => $eventualRows){ 
            if(!empty($eventualRows['assembly'][0]->sub_assembly->component_assemblies)){
?>
        <section class="content">
            <div class="row">
                <div class="box-body col-xs-12">
                    <div class="box product-tracking-section">
                        <!-- box header -->
                        <div class="box-header">
                            <div class="product-tracking-control-header">
                                <div class="product-tracking-control-heading">
                                    <h2><?= $eventualRows['product_name'] ?></h2>
                                </div>
                                <div class="product-tracking-control-button">
                                    <button class="btn btn-small-control table-btn-control-left">
                                        <i class="material-icons">keyboard_arrow_left</i>
                                    </button>
                                    <button class="btn btn-small-control table-btn-control-right">
                                        <i class="material-icons">keyboard_arrow_right</i>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <!-- /box header -->
                        <!-- box body -->
                        <div class="box-body">
                            <div class="product-tracking-actions nActions-table">
                                <div class="freeze-table">
                                    <table class="table table-bordered table-hover table:border:2px tr:first-id table-tracking-sheet">
                                        <thead>
                                            <tr>
                                                <th>Sno.</th>
                                                <th>Part Name</th>
                                                <th>NPM</th>
                                                <?php 
                                                #product numbers
                                                    foreach($eventualRows['header'] AS $key => $rows)
                                                    {
                                                        echo '<th class="'.$trackSheetProductStatus[$rows->status]['th-class'].'">'.$rows->product_number.'</th>';
                                                    }
                                                ?>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php 
                                            #loop product assembly lists
                                                foreach($eventualRows['assembly'] AS $akey => $assemblyRows){ 
                                                #check assembly components empty
                                                    if( count($assemblyRows->sub_assembly->component_assemblies) > 0 ){
                                            ?>
                                                <tr class="tr-assembly" rel="<?= $assemblyRows->id ?>">
                                                    <td class="tdCollapseAssembly">
                                                        <span class="assembly-collapse"><i class="fa fa-sort-up"></i></span>
                                                    </td>
                                                    <td class="tdCollapseAssembly">
                                                        <b><?= ($akey+1).'. '.$assemblyRows->sub_assembly->sub_assembly_name ?></b>
                                                    </td>
                                                    <td class="tdCollapseAssembly"></td>
                                                    <?php 
                                                    #loop sub assembly tracking details
                                                        foreach($assemblyRows->sub_assembly->annual_assembly_trackings AS $aakey => $annualAssemblyRows)
                                                        {
                                                            echo '<td class="'.$assemblyStatus[$annualAssemblyRows->status]['ts-class'].'">'.$assemblyStatus[$annualAssemblyRows->status]['tick'].'</td>';
                                                        }
                                                    ?>
                                                </tr>
                                                <?php 
                                                    $cid    = [];
                                                    $snKey  = 0;
                                                #loop sub assembly components tracking list
                                                    foreach($assemblyRows->sub_assembly->component_assemblies AS $caKey => $componentAssembly)
                                                    {
                                                        $trackingStatus = '<td class="'.$componentStatus[$componentAssembly->status][$session['user_role_id']]['class'].'-'.$session['user_role_id'].'" data-container="body" data-toggle="popover" data-content="'.$componentAssembly->description.'"><input type="hidden" name="annual_product_tracking_id" class="annual_product_tracking_id" value="'.$componentAssembly->annual_product_tracking_id.'" />'.$componentStatus[$componentAssembly->status][$session['user_role_id']]['tick'].'</td>';
                                                    #check component id
                                                        if(in_array($componentAssembly->component_id,array_unique($cid)))
                                                        {
                                                            if($componentAssembly->status==$status){
                                                                echo $trackingStatus;
                                                            }
                                                            elseif($status==null){
                                                                echo $trackingStatus;
                                                            }
                                                            else{
                                                                echo '<td></td>';
                                                            }
                                                        }
                                                        else
                                                        {
                                                            $cid[]=$componentAssembly->component_id;
                                                            if(($caKey>0)&&(!in_array($componentAssembly->component_id,array_unique($cid)))){
                                                                echo "</tr>";
                                                            }
                                                ?>
                                                <tr class="tr-<?= $assemblyRows->id ?>-assembly">
                                                    <td><?= ($snKey=$snKey+1)?></td>
                                                    <td><?= $componentAssembly->component_name ?></td>
                                                    <td><?= $componentAssembly->number_of_component ?></td>
                                                    <?php
                                                        if($componentAssembly->status==$status){
                                                            echo $trackingStatus;
                                                        }
                                                        elseif($status==null){
                                                            echo $trackingStatus;
                                                        }
                                                        else{
                                                            echo '<td></td>';
                                                        }
                                                    ?>
                                                <?php
                                                        }
                                                    } 
                                                ?>
                                            <?php 
                                                    }
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <!-- /box body -->
                    </div>
                </div>
            </div>
        </section>
<?php
            }
        }
    }
?>

<!-- float button -->
<a class="track-sheet-status" data-toggle="modal" data-target="#trackSheetStatusModal--empty">
    <i class="fa fa-info status-float-icon"></i>
</a>

<div class="modal fade product-tracking-modal-reason" id="productTrackingModal--forevaluation">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title">Quality Control Reason</h4>
			</div>
			<div class="modal-body">
				<form action="#">
					<div class="form-group">
						<textarea class="form-control" rows="3" placeholder="Enter the reason ..." id="qc-description"></textarea>
					</div>
				</form>
			</div>
			<div class="modal-footer text-center">
				<button type="button" class="btn btn-default" id="btnQcReject">Submit</button>
			</div>
		</div>
	</div>
</div>
<!-- /.modal -->

<div class="modal fade product-tracking-modal-reason" id="productTrackingModal--forreevaluation">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title">Is component ready based on rejection note?</h4>
			</div>
			<div class="modal-footer text-center">
				<button type="button" class="btn btn-default" id="reject" data-dismiss="modal">No</button>
				<button type="button" class="btn btn-primary" id="accept">Yes</button>
			</div>
		</div>
	</div>
</div>
<!-- /.modal -->

<div class="modal fade product-tracking-modal-reason" id="subAssemblyTrackingModal--empty">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title">Is all components moved to assembly?</h4>
			</div>
			<div class="modal-footer text-center">
				<button type="button" class="btn btn-default" id="reject" data-dismiss="modal">No</button>
				<button type="button" class="btn btn-primary" id="accept">Yes</button>
			</div>
		</div>
	</div>
</div>
<!-- /.modal -->

<div class="modal fade product-tracking-modal-reason" id="subAssemblyTrackingModal--onevaluation">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title">Assembly forward status</h4>
			</div>
			<div class="modal-body">
				<form action="#">
					<div class="form-group">
						<textarea class="form-control" rows="3" placeholder="Enter the reason ..." id="assmbly-description"></textarea>
					</div>
				</form>
			</div>
			<div class="modal-footer text-center">
				<button type="button" class="btn btn-default" id="btnAssemblyReject">Submit</button>
			</div>
		</div>
	</div>
</div>
<!-- /.modal -->

<div class="modal fade" id="trackSheetStatusModal--empty">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
            <div class="modal-body">
                <div class="col-xs-4">
                    <table class="table table-bordered table-hover">
                        <tbody>
                            <tr>
                                <td class="text-center product-tracking--single-done"> <i class="material-icons">done</i> </td>
                                <td> Single Gray tick shows status of production completion</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--double-done"> <i class="material-icons">done_all</i> </td>
                                <td> Double Blue tick - QC did on time</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--single-done"> <i class="material-icons">done</i> <sup> <i
                                    class="material-icons text-yellow">hourglass_full</i></sup>
                                </td>
                                <td> Delay in QC up to first level of specified days</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--single-done"> <i class="material-icons">done</i> <sup> <i
                                    class="material-icons text-red">hourglass_full</i></sup>
                                </td>
                                <td>Delay in QC up to second level of specified days</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--qc-rejection"> <i class="material-icons">close</i></td>
                                <td>Close icon with red background - QC rejection</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-xs-4">
                    <table class="table table-bordered table-hover">
                        <tbody>
                            <tr>
                                <td class="text-center subassembly-qc-accepted"> <i class="material-icons">check_circle</i> </td>
                                <td> All components ready with particular subassembly </td>
                            </tr>
                            <tr>
                                <td class="product-tracking--double-done bg-green-active">
                                    <span> <i class="material-icons">done_all</i> </span>
                                </td>
                                <td> Accepted by assembly </td>
                            </tr>
                            <tr>
                                <td class="product-tracking--double-done bg-red-active">
                                    <span> <i class="material-icons">done_all</i> </span>
                                </td>
                                <td> Rejected by assembly</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--double-done"> <i class="material-icons">
                                    done_all
                                    </i> <sup> <i
                                        class="material-icons text-yellow">hourglass_full</i></sup>
                                </td>
                                <td> Delay in assembly up to first level specified days</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--double-done"> <i class="material-icons">
                                    done_all
                                    </i> <sup> <i
                                        class="material-icons text-red">hourglass_full</i></sup>
                                </td>
                                <td> Delay in assembly up to second level specified days </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-xs-4">
                    <table class="table table-bordered table-hover">
                        <tbody>
                            <tr>
                                <td class="
                                    bg-yellow-active"> </td>
                                <td> Need to start next batch of component ASAP</td>
                            </tr>
                            <tr>
                                <td class="bg-red-active"> </td>
                                <td> Need to start next batch of component immediately</td>
                            </tr>
                            <tr>
                                <td class="pNumber bg-red"> <b>P.NO </b> </td>
                                <td> Delay in production  </td>
                            </tr>
                            <tr>
                                <td class="pNumber bg-yellow">
                                    <b>
                                        P.NO  <!-- <sup><i class="material-icons text-yellow">hourglass_full</i></sup> --> 
                                    </b>
                                </td>
                                <td>  Delay in minimum one sub assembly up to first level specified days  </td>
                            </tr>
                            <tr>
                                <td class="pNumber bg-red">
                                    <b>
                                        P.NO  <!-- <sup><i class="material-icons text-red">hourglass_full</i></sup> --> 
                                    </b>
                                </td>
                                <td> Delay in minimum one sub assembly up to second level specified days  </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
		</div>
	</div>
</div>
<!-- /.modal -->
