<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Annual Planned Products</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-body table-responsive">
					<table class="table table-hover">
						<thead>
							<tr>
								<th scope="col"><?= $this->Paginator->sort('annual_plan_id') ?></th>
								<th scope="col"><?= $this->Paginator->sort('product_id') ?></th>
								<th scope="col"><?= $this->Paginator->sort('product_quantity') ?></th>
								<th scope="col"><?= $this->Paginator->sort('product_buffer_quantity') ?></th>
								<th scope="col"><?= $this->Paginator->sort('product_requested_quantity') ?></th>
								<th scope="col"><?= $this->Paginator->sort('product_total_quantity') ?></th>
								<th scope="col" class="actions text-center"><?= __('Actions') ?></th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($annualPlannedProducts as $annualPlannedProduct): ?>
							<tr>
								<td><?= $annualPlannedProduct->has('annual_plan') ? $this->Html->link($annualPlannedProduct->annual_plan->id, ['controller' => 'AnnualPlans', 'action' => 'view', $annualPlannedProduct->annual_plan->id]) : '' ?></td>
								<td><?= $annualPlannedProduct->has('product') ? $this->Html->link($annualPlannedProduct->product->id, ['controller' => 'Products', 'action' => 'view', $annualPlannedProduct->product->id]) : '' ?></td>
								<td><?= $this->Number->format($annualPlannedProduct->product_quantity) ?></td>
								<td><?= $this->Number->format($annualPlannedProduct->product_buffer_quantity) ?></td>
								<td><?= $this->Number->format($annualPlannedProduct->product_requested_quantity) ?></td>
								<td><?= $this->Number->format($annualPlannedProduct->product_total_quantity) ?></td>
								<td class="actions text-right">
									<?= $this->Html->link(__('View'), ['action' => 'view', $annualPlannedProduct->id], ['class'=>'btn btn-info btn-xs']) ?>
									<?= $this->Html->link(__('Edit'), ['action' => 'edit', $annualPlannedProduct->id], ['class'=>'btn btn-warning btn-xs']) ?>
									<?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $annualPlannedProduct->id], ['confirm' => __('Are you sure you want to delete # {0}?', $annualPlannedProduct->id), 'class'=>'btn btn-danger btn-xs']) ?>
								</td>
							</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>