<?php
#get current login session data
    $session    = $this->request->session()->read('Auth.User');
    $display    = ( ($session["user_role_id"]==0 || $session["user_role_id"]==1 || $session["user_role_id"]==2) ? 'hide' : '');
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>Annual Product Trackings</h1>
</section>
<!-- Main content -->
<section class="content">
    <!--- filter section -->
    <div class="box bg-gray" id="sticky-filter">
        <!-- form start -->
        <?php echo $this->Form->create(null, ['role' => 'form', 'id' => 'form-filter', 'method' => 'GET']); ?>
            <div class="box-body">
                <div class="row">
                    <div class="col-lg-3">
                        <?php echo $this->Form->input('products.id', array('type'=>'select', 'name'=> 'productId', 'options'=>$products, 'label'=>'Product Name', 'id' => 'product_id', 'default'=>$productDetails->id)); ?>
                    </div>
                    <div class="col-lg-3">
                        <?php echo $this->Form->input('sub_assemblies.id', array('type'=>'select', 'name'=> '['role' => 'form', 'horizontal' => true]', 'options'=>$subAssemblyList, 'label'=>'Sub Assembly', 'id' => 'subAssemblyFilter', 'default'=>$subAssemblyId, 'empty' => 'All')); ?>
                    </div>
                    <div class="col-lg-3">
                        <?php echo $this->Form->input('groups.id', array('type'=>'select', 'name'=> 'groupId', 'options'=>$groups, 'label'=>'Group Name', 'id' => 'group_id', 'default'=>$groupId, 'empty' => 'All')); ?>
                    </div>
                    <div class="col-lg-3">
                        <div class="form-group">
                            <label for="control-label">Status</label>
                            <select name="status" title="Filter by status" class="form-control statusFilter" id="statusFilter">
                                <option <?= ($status=="" ? 'selected' : '') ?> value="">All</option>
                                <?php foreach($componentStatus AS $key=>$rows){ ?>
                                <option value="<?= $key ?>" data-thumbnail="<?= $this->Url->image( $key.'.png' ); ?>" <?= ( ( $status!="" && $status==$key) ? 'selected' : '') ?>>
                                    <?= $rows['status'] ?>
                                </option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-body -->
        <?php echo $this->Form->end(); ?>
    </div>
    <!--- ./filter section -->

	<div class="row">
        <!-- standard products -->
		<div class="col-xs-12">
			<!-- .box -->
			<div class="box box-default product-tracking-section">
				<!-- .box-header -->
				<div class="box-header">
					<div class="product-tracking-control-header">
						<div class="product-tracking-control-heading">
							<h2>
                                <?= $productDetails->product_name ?> <a class="expand-all"><i class="fa fa-sort-up"></i></a>
                            </h2>
						</div>
						<div class="product-tracking-control-button">
							<button class="btn btn-small-control table-btn-control-left">
                                <i class="material-icons">keyboard_arrow_left</i>
							</button>
							<button class="btn btn-small-control table-btn-control-right">
                                <i class="material-icons">keyboard_arrow_right</i>
							</button>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<!-- .box-body -->
				<div class="box-body col-xs-12">
                    <div class="product-tracking-actions nActions-table">
                        <div class="freeze-table table-fill">
                            <table cellspacing="0" id="table-basic" class="table table-sm table-bordered table-hover table:border:2px tr:first-id table-tracking-sheet" <?= ( !empty($subAssembliesData) ? '' : 'style="display:none;"' ) ?>>
                                <thead>
                                    <tr>
                                        <th rowspan="2">Sno.</th>
                                        <th rowspan="2">Component Name</th>
                                        <th rowspan="2">NPM</th>
                                        <?php
                                        #product numbers in table thead
                                            foreach($trackSheetHeader AS $key => $rows)
                                            {
                                            #check status filter empty
                                                if($status==null)
                                                {
                                                    echo '<th class="'.$trackSheetProductStatus[$rows->status]['th-class'].'" rowspan="2">'.$rows->product_number.'</th>';
                                                }
                                                else{
                                                    echo '<th rowspan="2">'.$rows->product_number.'</th>';
                                                }
                                            }
                                        ?>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    if(!empty($subAssembliesData))
                                    {
                                    #loop sub assembly details
                                        foreach($subAssembliesData AS $saKey => $['role' => 'form', 'horizontal' => true])
                                        {
                                        #check assembly components empty
                                            if(count($['role' => 'form', 'horizontal' => true]->component_assemblies) > 0)
                                            {
                                    ?>
                                    <tr class="highlight tr-assembly" rel="<?= $['role' => 'form', 'horizontal' => true]->id ?>">
                                        <th class="tdCollapseAssembly">
                                            <span class="assembly-collapse"><i class="fa fa-sort-up"></i></span>
                                        </th>
                                        <td class="tdCollapseAssembly td-no-border"><b><?= ($saKey+1).'.'.$['role' => 'form', 'horizontal' => true]->sub_assembly_name ?></b></td>
                                        <td class="tdCollapseAssembly"></td>
                                        <?php
                                        #loop sub assembly tracking details
                                            foreach($['role' => 'form', 'horizontal' => true]->annual_assembly_trackings AS $aatKey => $aatRows)
                                            {
                                            #check status paramenter null
                                                if( $status == null )
                                                {
                                                    $groupStatusClass   = $assemblyStatus[$aatRows->status]['ts-class'];
                                                    $groupStatusTick    = $assemblyStatus[$aatRows->status]['tick'];
                                                #check current user login role
                                                    if( $session["user_role_id"] == 4 )
                                                    {
                                                    #check component coompleted by group for set status
                                                        if( $aatRows->total == $aatRows->completed )
                                                        {
                                                            $groupStatusClass   = $assemblyStatus[1]['ts-class'];
                                                            $groupStatusTick    = $assemblyStatus[1]['tick'];
                                                        }
                                                    }
                                                    echo '<td class="'.$groupStatusClass.'">'.$groupStatusTick.'</td>';
                                                }
                                                else
                                                {
                                                    echo '<td></td>';
                                                }
                                            }
                                         ?>
                                    </tr>
                                    <?php
                                    #assembly components
                                        $cid    = [];
                                        $snKey  = 0;
                                    #loop assembly wise components
                                        foreach($['role' => 'form', 'horizontal' => true]->component_assemblies AS $caKey => $componentAssembly)
                                        {
                                        #tooltip message
                                            $tooltipMessage = "";
                                        #check delays
                                            if($componentAssembly->status==2 || $componentAssembly->status==3 || $componentAssembly->status==3 || $componentAssembly->status==7){
                                                 $tooltipMessage = $componentAssembly->delays. " Days Delay";
                                            }
                                            else{
                                                $tooltipMessage = $componentAssembly->description;
                                            }
                                        #preare data
                                            $trackingStatus = '<td class="'.$componentStatus[$componentAssembly->status][$session['user_role_id']]['class'].'-'.$session['user_role_id'].'" data-container="body" data-toggle="popover" data-content="'.$tooltipMessage.'"><input type="hidden" name="annual_product_tracking_id" class="annual_product_tracking_id" value="'.$componentAssembly->annual_product_tracking_id.'" />'.$componentStatus[$componentAssembly->status][$session['user_role_id']]['tick'].'</td>';
                                        #check component status
                                            if($componentAssembly->status!=$status && $status!=null){
                                                $trackingStatus = '<td class="disabled"></td>';
                                            }
                                        #check component id
                                            if(in_array($componentAssembly->component_id,array_unique($cid))){
                                                echo $trackingStatus;
                                            }
                                            else{
                                                $cid[]=$componentAssembly->component_id;
                                            #check component id in array
                                                if( ($caKey>0) && (!in_array($componentAssembly->component_id, array_unique($cid))) ){
                                                    echo "</tr>";
                                                }
                                    ?>
                                            <tr class="tr-collapse tr-<?= $['role' => 'form', 'horizontal' => true]->id ?>-assembly <?= $display ?>">
                                                <th><?= ($snKey=$snKey+1)?></th>
                                                <td><?= $componentAssembly->component_name ?></td>
                                                <td><?= $componentAssembly->number_of_component ?></td>
                                                <?php
                                                    echo $trackingStatus;
                                                ?>
                                    <?php
                                            }
                                        }
                                    ?>
                                    <?php
                                            }
                                        }
                                    }
                                    ?>
                                </tbody>
                            </table>
                            <input class="form-control" type="hidden" id="annualProductTrackingId" value="" />
                            <p <?= ( !empty($subAssembliesData) ? 'style="display:none;"' : '' ) ?>>No Records Found</p>
                        </div>
                    </div>
					<!-- /.box .product-tracking-section -->
				</div>
			</div>
		</div>
		<!-- /.content -->
        <!-- /.standard products -->

        <!-- eventual products -->
        <?php
        if(!empty($eventualData))
        {
            foreach($eventualData AS $ekey => $eventualRows)
            {
                if(!empty($eventualRows['assembly'][0]->sub_assembly->component_assemblies))
                {
        ?>
            <div class="col-xs-12">
                <div class="box box-default product-tracking-section">
                    <!-- box header -->
                    <div class="box-header">
                        <div class="product-tracking-control-header">
                            <div class="product-tracking-control-heading">
                                <h2><?= $eventualRows['product_name'] ?></h2>
                            </div>
                            <div class="product-tracking-control-button">
                                <button class="btn btn-small-control table-btn-control-left">
                                    <i class="material-icons">keyboard_arrow_left</i>
                                </button>
                                <button class="btn btn-small-control table-btn-control-right">
                                    <i class="material-icons">keyboard_arrow_right</i>
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- /box header -->
                    <!-- box body -->
                    <div class="box-body">
                        <div class="product-tracking-actions nActions-table">
                            <div class="freeze-table table-fill">
                                <table  cellspacing="0" class="table table-sm table-bordered table-hover table:border:2px tr:first-id table-tracking-sheet" style="min-width: 1200px;">
                                    <thead>
                                        <tr>
                                            <th>Sno.</th>
                                            <th>Part Name</th>
                                            <th>NPM</th>
                                            <?php
                                            #product numbers
                                                foreach($eventualRows['header'] AS $key => $rows)
                                                {
                                                #check status filter empty
                                                    if($status==null)
                                                    {
                                                        echo '<th class="'.$trackSheetProductStatus[$rows->status]['th-class'].'">'.$rows->product_number.'</th>';
                                                    }
                                                    else{
                                                        echo '<th>'.$rows->product_number.'</th>';
                                                    }
                                                }
                                            ?>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        #loop product assembly lists
                                            foreach($eventualRows['assembly'] AS $akey => $assemblyRows){
                                            #check assembly components empty
                                                if( count($assemblyRows->sub_assembly->component_assemblies) > 0 ){
                                        ?>
                                            <tr class="highlight tr-assembly" rel="<?= $assemblyRows->id ?>">
                                                <th class="tdCollapseAssembly">
                                                    <span class="assembly-collapse"><i class="fa fa-sort-up"></i></span>
                                                </th>
                                                <td class="tdCollapseAssembly td-no-border">
                                                    <b><?= ($akey+1).'. '.$assemblyRows->sub_assembly->sub_assembly_name ?></b>
                                                </td>
                                                <td class="tdCollapseAssembly"></td>
                                                <?php
                                                #loop sub assembly tracking details
                                                    foreach($assemblyRows->sub_assembly->annual_assembly_trackings AS $aakey => $annualAssemblyRows)
                                                    {
                                                    #check status paramenter null
                                                        if( $status == null ){
                                                            $groupStatusClass   = $assemblyStatus[$annualAssemblyRows->status]['ts-class'];
                                                            $groupStatusTick    = $assemblyStatus[$annualAssemblyRows->status]['tick'];
                                                        #check current user login role
                                                            if( $session["user_role_id"] == 4 )
                                                            {
                                                            #check component coompleted by group for set status
                                                                if( $annualAssemblyRows->total == $annualAssemblyRows->completed )
                                                                {
                                                                    $groupStatusClass   = $assemblyStatus[1]['ts-class'];
                                                                    $groupStatusTick    = $assemblyStatus[1]['tick'];
                                                                }
                                                            }
                                                            echo '<td class="'.$groupStatusClass.'">'.$groupStatusTick.'</td>';
                                                        }
                                                        else{
                                                            echo '<td></td>';
                                                        }
                                                    }
                                                ?>
                                            </tr>
                                            <?php
                                                $cid    = [];
                                                $snKey  = 0;
                                            #loop sub assembly components tracking list
                                                foreach($assemblyRows->sub_assembly->component_assemblies AS $caKey => $componentAssembly)
                                                {
                                                #tooltip message
                                                    $tooltipMessage = "";
                                                #check delays
                                                    if($componentAssembly->status==2 || $componentAssembly->status==3 || $componentAssembly->status==3 || $componentAssembly->status==7){
                                                        $tooltipMessage = $componentAssembly->delays. " Days Delay";
                                                    }
                                                    else{
                                                        $tooltipMessage = $componentAssembly->description;
                                                    }
                                                #preare data
                                                    $trackingStatus = '<td class="'.$componentStatus[$componentAssembly->status][$session['user_role_id']]['class'].'-'.$session['user_role_id'].'" data-container="body" data-toggle="popover" data-content="'.$tooltipMessage.'"><input type="hidden" name="annual_product_tracking_id" class="annual_product_tracking_id" value="'.$componentAssembly->annual_product_tracking_id.'" />'.$componentStatus[$componentAssembly->status][$session['user_role_id']]['tick'].'</td>';
                                                #check component status
                                                    if($componentAssembly->status!=$status && $status!=null){
                                                        $trackingStatus = '<td class="disabled"></td>';
                                                    }
                                                #check component id
                                                    if( in_array($componentAssembly->component_id, array_unique($cid)) ){
                                                        echo $trackingStatus;
                                                    }
                                                    else{
                                                        $cid[]=$componentAssembly->component_id;
                                                    #check component id in array
                                                        if( ($caKey>0) && (!in_array($componentAssembly->component_id, array_unique($cid))) ){
                                                            echo "</tr>";
                                                        }
                                            ?>
                                            <tr class="tr-collapse tr-<?= $assemblyRows->id ?>-assembly <?= $display ?>">
                                                <th><?= ($snKey=$snKey+1)?></th>
                                                <td><?= $componentAssembly->component_name ?></td>
                                                <td><?= $componentAssembly->number_of_component ?></td>
                                                <?php
                                                    echo $trackingStatus;
                                                ?>
                                            <?php
                                                    }
                                                }
                                            ?>
                                        <?php
                                                }
                                            }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <!-- /box body -->
                </div>
            </div>
        <?php
                }
            }
        }
        ?>
        <!-- ./eventual products -->
	</div>
</section>

<!-- float button -->
<a class="track-sheet-status" data-toggle="modal" data-target="#trackSheetStatusModal--empty">
    <i class="fa fa-info status-float-icon"></i>
</a>

<div class="modal fade product-tracking-modal-reason" id="productTrackingModal--forevaluation">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title">Quality Control Reason</h4>
			</div>
			<div class="modal-body">
				<form action="#">
					<div class="form-group">
						<textarea class="form-control" rows="3" placeholder="Enter the reason ..." id="qc-description"></textarea>
					</div>
				</form>
			</div>
			<div class="modal-footer text-center">
				<button type="button" class="btn btn-default" id="btnQcReject">Submit</button>
			</div>
		</div>
	</div>
</div>
<!-- /.modal -->

<div class="modal fade product-tracking-modal-reason" id="productTrackingModal--forreevaluation">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title">Is component ready based on rejection note?</h4>
			</div>
			<div class="modal-footer text-center">
				<button type="button" class="btn btn-default" id="reject" data-dismiss="modal">No</button>
				<button type="button" class="btn btn-primary" id="accept">Yes</button>
			</div>
		</div>
	</div>
</div>
<!-- /.modal -->

<div class="modal fade product-tracking-modal-reason" id="subAssemblyTrackingModal--empty">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title">Is all components moved to assembly?</h4>
			</div>
			<div class="modal-footer text-center">
				<button type="button" class="btn btn-default" id="reject" data-dismiss="modal">No</button>
				<button type="button" class="btn btn-primary" id="accept">Yes</button>
			</div>
		</div>
	</div>
</div>
<!-- /.modal -->

<div class="modal fade product-tracking-modal-reason" id="subAssemblyTrackingModal--onevaluation">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title">Assembly forward status</h4>
			</div>
			<div class="modal-body">
				<form action="#">
					<div class="form-group">
						<textarea class="form-control" rows="3" placeholder="Enter the reason ..." id="assmbly-description"></textarea>
					</div>
				</form>
			</div>
			<div class="modal-footer text-center">
				<button type="button" class="btn btn-default" id="btnAssemblyReject">Submit</button>
			</div>
		</div>
	</div>
</div>
<!-- /.modal -->

<div class="modal fade" id="trackSheetStatusModal--empty">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
            <div class="modal-body">
                <div class="col-xs-4">
                    <table class="table table-bordered table-hover">
                        <tbody>
                            <tr>
                                <td class="text-center product-tracking--single-done"> <i class="material-icons">done</i> </td>
                                <td> Single Gray tick shows status of production completion</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--double-done"> <i class="material-icons">done_all</i> </td>
                                <td> Double Blue tick - QC did on time</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--single-done"> <i class="material-icons">done</i> <sup> <i
                                    class="material-icons text-yellow">hourglass_full</i></sup>
                                </td>
                                <td> Delay in QC up to first level of specified days</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--single-done"> <i class="material-icons">done</i> <sup> <i
                                    class="material-icons text-red">hourglass_full</i></sup>
                                </td>
                                <td>Delay in QC up to second level of specified days</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--qc-rejection"> <i class="material-icons">close</i></td>
                                <td>Close icon with red background - QC rejection</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-xs-4">
                    <table class="table table-bordered table-hover">
                        <tbody>
                            <tr>
                                <td class="text-center ['role' => 'form', 'horizontal' => true]-qc-accepted"> <i class="material-icons">check_circle</i> </td>
                                <td> All components ready with particular ['role' => 'form', 'horizontal' => true] </td>
                            </tr>
                            <tr>
                                <td class="product-tracking--double-done bg-green-active">
                                    <span> <i class="material-icons">done_all</i> </span>
                                </td>
                                <td> Accepted by assembly </td>
                            </tr>
                            <tr>
                                <td class="product-tracking--double-done bg-red-active">
                                    <span> <i class="material-icons">done_all</i> </span>
                                </td>
                                <td> Rejected by assembly</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--double-done"> <i class="material-icons">
                                    done_all
                                    </i> <sup> <i
                                        class="material-icons text-yellow">hourglass_full</i></sup>
                                </td>
                                <td> Delay in assembly up to first level specified days</td>
                            </tr>
                            <tr>
                                <td class="text-center product-tracking--double-done"> <i class="material-icons">
                                    done_all
                                    </i> <sup> <i
                                        class="material-icons text-red">hourglass_full</i></sup>
                                </td>
                                <td> Delay in assembly up to second level specified days </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-xs-4">
                    <table class="table table-bordered table-hover">
                        <tbody>
                            <tr>
                                <td class="
                                    bg-yellow-active"> </td>
                                <td> Need to start next batch of component ASAP</td>
                            </tr>
                            <tr>
                                <td class="bg-red-active"> </td>
                                <td> Need to start next batch of component immediately</td>
                            </tr>
                            <tr>
                                <td class="pNumber bg-red"> <b>P.NO </b> </td>
                                <td> Delay in production  </td>
                            </tr>
                            <tr>
                                <td class="pNumber bg-yellow">
                                    <b>
                                        P.NO  <!-- <sup><i class="material-icons text-yellow">hourglass_full</i></sup> -->
                                    </b>
                                </td>
                                <td>  Delay in minimum one sub assembly up to first level specified days  </td>
                            </tr>
                            <tr>
                                <td class="pNumber bg-red">
                                    <b>
                                        P.NO  <!-- <sup><i class="material-icons text-red">hourglass_full</i></sup> -->
                                    </b>
                                </td>
                                <td> Delay in minimum one sub assembly up to second level specified days  </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
		</div>
	</div>
</div>
<!-- /.modal -->
