<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>Eventual Products</h1>
</section>
<!-- Main content -->
<section class="content eventual-component-mapping">
    <!-- row -->
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-default">
                <?php echo $this->Form->create(null, ['action' => 'mapEventualComponents'], ['role' => 'form']); ?>
                <!-- form start -->
                <!-- box body -->
                <div class="box-body">
                    <div class="row">
						<div class="col-xs-12 col-md-12 col-lg-12">
							<div class="row">
								<div class="col-lg-6"><label>Product Name : </label> <?= $masterProduct->product_name ?></span></div>
								<div class="col-lg-6 text-right"><label>Product Number : </label> <?= $productNumber ?></div>
							</div>
						</div>
					</div>
					<br>
					<!-- tab -->
                    <div class="row">
						<!-- tab -->
                        <div class="col-xs-12 col-md-12 col-lg-12">
                            <!-- vertical tab -->
                            <div class="vertical-tab" role="tabpanel">
                                <!-- Nav tabs -->
                                <ul class="nav nav-tabs" role="tablist">
                                    <?php 
                                        $isActive = 0;
                                    #loop group name
                                        foreach( $groups AS $key => $group ){
                                    ?>
                                        <li role="presentation" class="<?= (($isActive==0) ? 'active' : '') ?>">
                                            <a href="#group_<?= $group->id ?>" role="tab" data-toggle="tab" aria-controls="<?= $group->group_name ?>">
                                                <?= $group->group_name ?>
                                            </a>
                                        </li>
                                    <?php
                                            $isActive = $isActive+1;
                                        }
                                    ?>
                                </ul>
                                <!-- Tab panes -->
                                <div class="tab-content tabs">
                                <?php 
                                    $isActive = 0;
                                #loop machines
                                    foreach($groups AS $mKey => $group)
                                    {
                                ?>
                                    <div class="tab-pane fade <?= ($isActive==0 ? 'in active' : '') ?>" id="group_<?= $group->id ?>">
                                        <?php
                                            if(!empty($group->component_groups)){
                                        ?>
                                        <div class="table-responsive">
                                            <!-- table start -->
                                            <table class="table table-bordered table-hover table-striped dtBordered">
                                                <thead>
                                                    <tr>
                                                        <th class="col-lg-4 bg-gray-active text-center">Eventual Product Name</th>
                                                        <th class="col-lg-8 bg-gray-active">Eventual Product Components</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                <?php
                                                #component groups
                                                    foreach($group->component_groups AS $epKey => $cgRows){
                                                        echo '<tr>';
                                                            echo '<td>';
																echo '<b>'.$cgRows->product_name.'</b>';
																if(!empty($cgRows->description)){
																	echo '<pre>'.$cgRows->description.'</pre>';
																}
															echo '</td>';
                                                            echo '<td>';
                                                                echo '<label class="pull-right"><input type="checkbox" class="checkAll" /> Check All</label><br>';
                                                            #component prodcuts
                                                                foreach($componentProducts AS $cpKey => $cpRows){
                                                                #checks component group and product name
                                                                    if($cgRows->group_id==$cpRows->group_id && $cgRows->product_id==$cpRows->product_id){
                                                                    #checked
                                                                        $checked        = (isset($mappedComponentProducts[$cpRows->component_product_id]) ? 'checked' : '');
                                                                        $checkedLabel   = (isset($mappedComponentProducts[$cpRows->component_product_id]) ? 'custom-checked' : '');
                                                                    #prepare checkbox
                                                                        echo '<div class="form-check">';

                                                                            echo '<label class="'.$checkedLabel.'">';
                                                                                echo '<input type="checkbox" value="'.$cpRows->component_product_id.'" name="component_products[]" class="eventual-component-list" id="component-'.$cpRows->component_product_id.'" '.$checked.' /> ';
                                                                                echo $cpRows->component_name;
                                                                            echo '</label>';

                                                                        echo '</div>';
                                                                    }
                                                                }
                                                            echo '</td>';
                                                        echo '</tr>';
                                                    }
                                                ?>
                                                </tbody>
                                            </table>
                                            <!-- ./table start -->
                                        </div>
                                        <?php
                                            }
                                            else{
                                        ?>
                                            <div class="table-responsive">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <td>Eventual products not found!</td>
                                                    </tr>
                                                </table>
                                            </div>
                                        <?php
                                            }
                                        ?>
                                    </div>
                                    <!-- /.tab-pane -->
                                <?php 
                                        $isActive = $isActive+1;
                                    }
                                ?>
                                </div>
                            </div>
							<!-- ./vertical tab -->
                        </div>
                        <!-- ./tab -->
                    </div>
                    <!-- nav-tabs-custom -->
                </div>
                <!-- ./box body -->
                <!-- box footer -->
                <div class="box-footer text-center">
                    <?php 
                        echo $this->Form->control('product_number', ['type' => 'hidden', 'value' =>$annualProductTrackings['product_number'] ]);
                        echo $this->Form->control('annual_quarter_plan_id', ['type' => 'hidden', 'value' =>$annualProductTrackings['annual_quarter_plan_id'] ]);
                    ?>
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?php
                        echo $this->Html->link(__('Back'), ['action' => 'eventualProducts', $annualProductTrackings->annual_quarter_plan_id], ['class'=>'btn btn-sm btn-danger']);
                    ?>
                </div>
                <!-- /.box-footer -->
                <?php echo $this->Form->end(); ?>
            </div>
            <!-- /.box -->
        </div>
    </div>
    <!-- /.row -->
</section>
<!-- /.content -->

