<section class="content-header">
  <h1>
    Component Process
    <small><?php echo __('View'); ?></small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="<?php echo $this->Url->build(['action' => 'index']); ?>"><i class="fa fa-dashboard"></i> <?php echo __('Home'); ?></a></li>
  </ol>
</section>

<!-- Main content -->
<section class="content">
  <div class="row">
    <div class="col-md-12">
      <div class="box box-solid">
        <div class="box-header with-border">
          <i class="fa fa-info"></i>
          <h3 class="box-title"><?php echo __('Information'); ?></h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
          <dl class="dl-horizontal">
            <dt scope="row"><?= __('Component') ?></dt>
            <dd><?= $componentProcess->has('component') ? $this->Html->link($componentProcess->component->id, ['controller' => 'Components', 'action' => 'view', $componentProcess->component->id]) : '' ?></dd>
            <dt scope="row"><?= __('Machine') ?></dt>
            <dd><?= $componentProcess->has('machine') ? $this->Html->link($componentProcess->machine->id, ['controller' => 'Machines', 'action' => 'view', $componentProcess->machine->id]) : '' ?></dd>
            <dt scope="row"><?= __('Process') ?></dt>
            <dd><?= $componentProcess->has('process') ? $this->Html->link($componentProcess->process->id, ['controller' => 'Processes', 'action' => 'view', $componentProcess->process->id]) : '' ?></dd>
            <dt scope="row"><?= __('Id') ?></dt>
            <dd><?= $this->Number->format($componentProcess->id) ?></dd>
            <dt scope="row"><?= __('Batch Quantity') ?></dt>
            <dd><?= $this->Number->format($componentProcess->batch_quantity) ?></dd>
            <dt scope="row"><?= __('Is Active') ?></dt>
            <dd><?= $this->Number->format($componentProcess->is_active) ?></dd>
            <dt scope="row"><?= __('Created By') ?></dt>
            <dd><?= $this->Number->format($componentProcess->created_by) ?></dd>
            <dt scope="row"><?= __('Modified By') ?></dt>
            <dd><?= $this->Number->format($componentProcess->modified_by) ?></dd>
            <dt scope="row"><?= __('Created') ?></dt>
            <dd><?= h($componentProcess->created) ?></dd>
            <dt scope="row"><?= __('Modified') ?></dt>
            <dd><?= h($componentProcess->modified) ?></dd>
          </dl>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <div class="box box-solid">
        <div class="box-header with-border">
          <i class="fa fa-share-alt"></i>
          <h3 class="box-title"><?= __('Annual Planned Capacities') ?></h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
          <?php if (!empty($componentProcess->annual_planned_capacities)): ?>
          <table class="table table-hover">
              <tr>
                    <th scope="col"><?= __('Id') ?></th>
                    <th scope="col"><?= __('Annual Plan Id') ?></th>
                    <th scope="col"><?= __('Product Id') ?></th>
                    <th scope="col"><?= __('Component Id') ?></th>
                    <th scope="col"><?= __('Component Process Id') ?></th>
                    <th scope="col"><?= __('Machine Id') ?></th>
                    <th scope="col"><?= __('Total Components') ?></th>
                    <th scope="col"><?= __('Total Batch Set Time') ?></th>
                    <th scope="col"><?= __('Total Process Time') ?></th>
                    <th scope="col"><?= __('Total Time') ?></th>
                    <th scope="col"><?= __('In Component Total') ?></th>
                    <th scope="col"><?= __('Out Component Total') ?></th>
                    <th scope="col"><?= __('Tag') ?></th>
                    <th scope="col"><?= __('Is Active') ?></th>
                    <th scope="col"><?= __('Created By') ?></th>
                    <th scope="col"><?= __('Created') ?></th>
                    <th scope="col"><?= __('Modified By') ?></th>
                    <th scope="col"><?= __('Modified') ?></th>
                    <th scope="col" class="actions text-center"><?= __('Actions') ?></th>
              </tr>
              <?php foreach ($componentProcess->annual_planned_capacities as $annualPlannedCapacities): ?>
              <tr>
                    <td><?= h($annualPlannedCapacities->id) ?></td>
                    <td><?= h($annualPlannedCapacities->annual_plan_id) ?></td>
                    <td><?= h($annualPlannedCapacities->product_id) ?></td>
                    <td><?= h($annualPlannedCapacities->component_id) ?></td>
                    <td><?= h($annualPlannedCapacities->component_process_id) ?></td>
                    <td><?= h($annualPlannedCapacities->machine_id) ?></td>
                    <td><?= h($annualPlannedCapacities->total_components) ?></td>
                    <td><?= h($annualPlannedCapacities->total_batch_set_time) ?></td>
                    <td><?= h($annualPlannedCapacities->total_process_time) ?></td>
                    <td><?= h($annualPlannedCapacities->total_time) ?></td>
                    <td><?= h($annualPlannedCapacities->in_component_total) ?></td>
                    <td><?= h($annualPlannedCapacities->out_component_total) ?></td>
                    <td><?= h($annualPlannedCapacities->tag) ?></td>
                    <td><?= h($annualPlannedCapacities->is_active) ?></td>
                    <td><?= h($annualPlannedCapacities->created_by) ?></td>
                    <td><?= h($annualPlannedCapacities->created) ?></td>
                    <td><?= h($annualPlannedCapacities->modified_by) ?></td>
                    <td><?= h($annualPlannedCapacities->modified) ?></td>
                      <td class="actions text-right">
                      <?= $this->Html->link(__('View'), ['controller' => 'AnnualPlannedCapacities', 'action' => 'view', $annualPlannedCapacities->id], ['class'=>'btn btn-info btn-xs']) ?>
                      <?= $this->Html->link(__('Edit'), ['controller' => 'AnnualPlannedCapacities', 'action' => 'edit', $annualPlannedCapacities->id], ['class'=>'btn btn-warning btn-xs']) ?>
                      <?= $this->Form->postLink(__('Delete'), ['controller' => 'AnnualPlannedCapacities', 'action' => 'delete', $annualPlannedCapacities->id], ['confirm' => __('Are you sure you want to delete # {0}?', $annualPlannedCapacities->id), 'class'=>'btn btn-danger btn-xs']) ?>
                  </td>
              </tr>
              <?php endforeach; ?>
          </table>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>
</section>
