<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\ComponentRawMaterial $componentRawMaterial
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Component Raw Material Management<small><?php echo __('Edit'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($componentRawMaterial, ['role' => 'form', 'class' => 'form-horizontal', 'type' => 'file']); ?>
				<div class="box-body">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Component Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('component_id', ['options' => $components, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'select', 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Raw Material Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('raw_material_id', ['options' => $rawMaterials, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'select', 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Raw Material Shape</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('raw_material_shape', ['options' => $rawMaterialShape, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'select', 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Min Cut Length</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('min_cut_length', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Outer Dia</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('outer_dia', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Inner Dia</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('inner_dia', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Raw Material Thickness</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('raw_material_thickness', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Raw Material Width</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('raw_material_width', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Raw Material Length</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('raw_material_length', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Unit of Measurement</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('unit_of_measurement', ['options' => $unitOfMeasurement, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'select', 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Buy Frequency</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('buy_frequency', ['options' => $buyFrequency, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'empty' => 'select', 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Quantity Per Component</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('quantity_per_component', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Status</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('is_active', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, "data-toggle" => "toggle", "data-style" => "ios", "data-onstyle" => "success", "data-offstyle" => "warning", "data-size" => "small"]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
