<section class="content-header">
	<h1>
		Component Raw Material Management
		<small><?php echo __('View'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<div class="box box-solid">
				<div class="box-header with-border">
					<i class="fa fa-info"></i>
					<h3 class="box-title"><?php echo __('Information'); ?></h3>
				</div>
				<!-- /.box-header -->
				<div class="box-body">
					<div class="col-lg-3"></div>
					<div class="col-lg-6">
                        <table class="table table-bordered table-striped table-hover dtBordered">
                            <tr>
                                <td class="col-lg-6"><label><?= __('Component') ?></label></td>
                                <td class="col-lg-6"><?= $componentRawMaterial->has('component') ? $this->Html->link($componentRawMaterial->component->component_name, ['controller' => 'Components', 'action' => 'view', $componentRawMaterial->component->id]) : '' ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Raw Material') ?></label></td>
                                <td class="col-lg-6"><?= $componentRawMaterial->has('raw_material') ? $this->Html->link($componentRawMaterial->raw_material->material_name, ['controller' => 'RawMaterials', 'action' => 'view', $componentRawMaterial->raw_material->id]) : '' ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Raw Material Shape') ?></label></td>
                                <td class="col-lg-6"><?= h($componentRawMaterial->raw_material_shape) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Unit Of Measurement') ?></label></td>
                                <td class="col-lg-6"><?= h($componentRawMaterial->unit_of_measurement) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Min Cut Length') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->min_cut_length) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Outer Dia') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->outer_dia) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Inner Dia') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->inner_dia) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Raw Material Thickness') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->raw_material_thickness) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Raw Material Width') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->raw_material_width) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Raw Material Length') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->raw_material_length) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Gst') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->gst) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Buy Frequency') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->buy_frequency) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Quantity Per Component') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($componentRawMaterial->quantity_per_component) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Is Active') ?></label></td>
                                <td class="col-lg-6"><?= ($componentRawMaterial->is_active ? '<span class="label label-success">Active</span>' : '<span class="label label-warning">In Active</span>') ?></td>
                            </tr>
                        </table>
					</div>
					<div class="col-lg-3"></div>
				</div>
                <!-- ./box-body -->
                <div class="box-footer text-right">
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
			</div>
		</div>
	</div>
</section>
