<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\Component $component
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Component Management<small><?php echo __('Add'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($component, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Component Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('component_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Drawing Reference No.</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('drawing_reference_no', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Tag</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('tag', ['type' => 'select', 'options' => $in_out_tags, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'id' => 'componentTag', 'required' => true]); ?>
                        </div>
                    </div>
                    <!-- component product -->
                    <div class="form-group">
                        <div class="col-lg-2"></div>
                        <div class="col-lg-8">
                            <table class="table table-bordered table:border:1px" id="componentProductTable" data-rows="0">
                                <thead>
                                    <tr class="bg-gray-active">
                                        <th class="col-lg-3">Associated Product</th>
                                        <th class="col-lg-2">NPM</th>
                                        <th class="col-lg-2">Minimum Spare Count</th>
                                        <th class="col-lg-2">Start product number</th>
                                        <th class="col-lg-2">End product number</th>
                                        <th class="col-lg-1 text-center">
                                            <button type="button" name="btnAddProductRow" class="btn btn-default btn-xs btnAddProductRow">Add</button>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            <?php echo $this->Form->control('products[0][id]',['type' => 'select', 'label' => false, 'empty' => 'Select', 'options' => $products, 'class' => 'form-control componentProduct select-2', 'templates' => ['inputContainer' => '{{content}}']]); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('products[0][_joinData][number_of_component]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control numberOfComponents']); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('products[0][_joinData][spare_count]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control spareCount']); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('products[0][_joinData][start_product_no]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control startProductNo']); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('products[0][_joinData][end_product_no]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control endProductNo']); ?>
                                        </td>
                                        <td class="text-center"></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="col-lg-2"></div>
                    </div>
                    <!-- ./component product -->
                    <!-- component process -->
                    <div class="form-group" id="componentProcess">
                        <div class="col-lg-2"></div>
                        <div class="col-lg-8">
                            <table class="table table-bordered table:border:1px" id="componentProcessTable" data-rows="0">
                                <thead>
                                    <tr>
                                        <th class="col-lg-4">Associated Process/Operation</th>
                                        <th class="col-lg-3">Associated Machine</th>
                                        <th class="col-lg-2">Set Time For Batch</th>
                                        <th class="col-lg-2">Actual Time Taken</th>
                                        <th class="col-lg-1 text-center">
                                            <button type="button" name="btnAddProcessRow" class="btn btn-xs btn-default btnAddProcessRow">Add</button>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            <?php echo $this->Form->control('processes[0][id]',['type' => 'select', 'label' => false , 'empty' => 'Select', 'options' => $process, 'class' => 'form-control componentProcess select-2', 'templates' => ['inputContainer' => '{{content}}']]); ?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('processes[0][_joinData][machine_id]',['type' => 'select', 'label' => false , 'empty' => 'Select', 'class' => 'form-control machineId select-2', 'templates' => ['inputContainer' => '{{content}}']]); ?>
                                        </td>
                                        <td>
                                            <?php  echo $this->Form->control('processes[0][_joinData][set_time_for_batch]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control setTimeForBatch']);?>
                                        </td>
                                        <td>
                                            <?php echo $this->Form->control('processes[0][_joinData][average_time_taken]', ['type' => 'text', 'label' => false, 'templates' => ['inputContainer' => '{{content}}'], 'class' => 'form-control averageTimeTaken']); ?>
                                        </td>
                                        <td class="text-center"></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="col-lg-2"></div>
                    </div>
                    <!-- ./ component process -->
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Group Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('groups[0].id', ['type' => 'select', 'options' => $groups, 'empty' => 'Select', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Sub Assembly Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('sub_assemblies[0][id]', ['empty' => 'Select', 'options' => $sub_assemblies, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group custom-hide" id="defaultVendorName">
                        <label class="control-label col-lg-4">Default Vendor Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('default_vendor_id', ['empty' => 'Select', 'options' => $vendors, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2']); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Batch Quantity</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('batch_quantity', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'default' => '1', 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">PO Turnaround Time</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('po_turnaround_time',['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Buying Frequency</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('buying_frequency', ['empty' => 'Select', 'options' => $buyer_frequency, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
                        </div>
                    </div>
					<div class="form-group">
                        <label class="control-label col-lg-4">Tracking Sheet</label>
                        <div class="col-lg-4">
                            <label>
								<?php echo $this->Form->control('is_need_tracking_sheet',['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
								Do you want this component in tracking sheet for the current quarter?
							</label>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->control('component_gst',['type' => 'hidden', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => 18]); ?>
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success btnComponentSubmit']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
