<section class="content-header">
	<h1>
		Component Management
		<small><?php echo __('View'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<div class="box box-solid">
				<div class="box-header with-border">
					<i class="fa fa-info"></i>
					<h3 class="box-title"><?php echo __('Information'); ?></h3>
				</div>
				<!-- /.box-header -->
				<div class="box-body">
                    <div class="col-lg-6">
						<h3 class="page-header">Component Information</h3>
                        <!-- component information -->
                        <table class="table table-striped table-bordered table-hover table:border:1px">
                            <tr>
                                <td class="col-lg-6"><label><?= __('Component Name') ?></label></td>
                                <td class="col-lg-6"><?= h($component->component_name) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Component Code') ?></label></td>
                                <td class="col-lg-6"><?= h($component->component_code) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Drawing Reference No') ?></label></td>
                                <td class="col-lg-6"><?= h($component->drawing_reference_no) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Component Cost') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($component->component_cost) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Batch Quantity') ?></label></td>
                                <td class="col-lg-6"><?= $this->Number->format($component->batch_quantity) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Tag') ?></label></td>
                                <td class="col-lg-6"><?= ($tags[$component->tag]) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Group Name') ?></label></td>
                                <td class="col-lg-6"><?= ($component->component_groups[0]->group_name) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Assembly Name') ?></label></td>
                                <td class="col-lg-6"><?= ($component->component_assemblies[0]->sub_assembly_name) ?></td>
                            </tr>
							<?php if($component->tag!=1){ ?>
							<tr>
                                <td class="col-lg-6"><label><?= __('Default Vendor Name') ?></label></td>
                                <td class="col-lg-6"><?= ( !empty($component->vendor->vendor_name) ? $component->vendor->vendor_name : '-' ) ?></td>
                            </tr>
							<?php } ?>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Batch Quantity') ?></label></td>
                                <td class="col-lg-6"><?= ($component->batch_quantity) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('PO Turnaround Time') ?></label></td>
                                <td class="col-lg-6"><?= ($component->po_turnaround_time) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Buying Freequency') ?></label></td>
                                <td class="col-lg-6"><?= ($component->buying_frequency) ?></td>
                            </tr>
                            <tr>
                                <td class="col-lg-6"><label><?= __('Status') ?></label></td>
                                <td class="col-lg-6"><?= ($component->is_active ? '<span class="label label-success">Active</span>' : '<span class="label label-warning">In Active</span>' ) ?></td>
                            </tr>
                        </table>
                        <!-- component information -->
                    </div>
                    <div class="col-lg-6">
                        <!-- component product information -->
                        <?php if(!empty($component->products)){ ?>
						<h3 class="page-header">Associated Products</h3>
                        <table class="table table-striped table-bordered table-hover table:border:1px">
                            <thead>
                                <tr class="bg-gray-active">
                                    <th class="col-lg-3">Associated Product</th>
                                    <th class="col-lg-2">NPM</th>
                                    <th class="col-lg-2">Minimum Spare Count</th>
                                    <th class="col-lg-2">Start product number</th>
                                    <th class="col-lg-2">End product number</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php foreach($component->products AS $key=>$rows){ ?>
                                    <tr>
                                        <td><?= $rows->product_name ?></td>
                                        <td><?= $rows->_joinData->number_of_component ?></td>
                                        <td><?= $rows->_joinData->spare_count ?></td>
                                        <td><?= $rows->_joinData->start_product_no ?></td>
                                        <td><?= $rows->_joinData->end_product_no ?></td>
                                    </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                        <?php } ?>
                        <!-- component product information -->
                        <!-- component process information -->
                        <?php if(!empty($component->processes)){ ?>
						<h3 class="page-header">Associated Processes</h3>
                        <table class="table table-striped table-bordered table-hover table:border:1px">
                            <thead>
                                <tr>
                                    <th class="col-lg-4">Associated Process/Operation</th>
                                    <th class="col-lg-3">Associated Machine</th>
                                    <th class="col-lg-2">Set Time For Batch</th>
                                    <th class="col-lg-2">Actual Time Taken</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php foreach($component->component_processes AS $key=>$rows){ ?>
                                    <tr>
                                        <td><?= $rows->process->process_name ?></td>
                                        <td><?= $rows->machine->machine_name ?></td>
                                        <td><?= $rows->set_time_for_batch ?></td>
                                        <td><?= $rows->average_time_taken ?></td>
                                    </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                        <?php } ?>
                        <!-- component process information -->
                    </div>
				</div>
                <!-- /.box-body -->
				<div class="box-footer text-right">
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
			</div>
		</div>
	</div>
</section>
