<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\DefaultConfiguration $defaultConfiguration
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Default Configuration
		<small><?php echo __('Add'); ?></small>
	</h1>
	<ol class="breadcrumb">
		<li><a href="<?php echo $this->Url->build(['action' => 'index']); ?>"><i class="fa fa-dashboard"></i> <?php echo __('Home'); ?></a></li>
	</ol>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-primary">
				<div class="box-header with-border">
					<h3 class="box-title"><!-- feature content --></h3>
				</div>
				<!-- /.box-header -->
				<!-- form start -->
				<?php echo $this->Form->create($defaultConfiguration, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Field Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('field_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Field Value</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('field_value', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
