<?php
	/**
	* @var \App\View\AppView $this
	* @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
	*/
?> 
<?php if(!empty($purchaseIndents)){ ?> 
<?= $this->Form->create(null, ['url' => ['action' => 'savePurchaseOrders'],'class'=>'purchaseOrderForms']) ?>
<div class="box-body table-responsive">
	<!-- Purchase Order fields -->
	<?= $this->Form->control('purchase_indent_id', ['type' => 'hidden', 'escape' => false,'value'=>$purchaseIndents->id]);?>
	<?= $this->Form->control('tag', ['type' => 'hidden', 'escape' => false,'value'=>$purchaseIndents->tag]);?>
	<?= $this->Form->control('is_adhoc', ['type' => 'hidden', 'escape' => false,'value'=>$purchaseIndents->is_adhoc]);?>
	<table class="table table-hover table-bordered table-striped dtBordered" id='purchase-indents'>
		<thead>
			<tr class="bg-gray-active">
				<th class="text-center">Sno.</th>
				<th>Component Name</th>
				<th>Raw Material Name</th>
				<th class="col-xs-2">Vendor</th>
				<th class="col-xs-1">Unit Price (₹)</th>
				<th class="col-xs-1">Gst (%)</th>
				<th>Req. Qty (Kg)</th>
				<th>Remaining Qty (Kg)</th>
				<th>PO Qty (Kg) </th>
				<th>Amount (₹)</th>
				<th>EDD</th>
			</tr>
		</thead>
		<tbody>
			<?php
				$s_no                   = 1;
				$po_created_count       = 0;
				$po_to_be_created_count = 0;
            #loop
				foreach ($purchaseIndents->purchase_indent_components as $key => $row):
            #check for raw material 
				if(!empty($row->component->component_raw_materials[0])){
                    $po_to_be_created_count= $po_to_be_created_count+1;
                    $vendor_array=[];
                #loop
                    foreach ($row->component->component_raw_materials[0]->raw_material->vendor_raw_materials as $key1 => $value1) {
                        $vendor_array[$value1->vendor_id]=$value1->vendor->vendor_name;
                    }
                    $vendor_array         = array_intersect($vendor_array,$vendors);
                    $remaining_qty        = $row->actual_quantity - $row->po_quantity;
                    $po_created_class     = '';
                    $po_created_disabled  = '';
                #checks quantity
                    if($remaining_qty <= 0 && $row->actual_quantity != 0){
                        $po_created_count       = $po_created_count+1;
                        $po_created_class       = '#5ce516';
                        $po_created_disabled    = "readonly";
                    }
                #checks component
                    $default_vendor=0;
                    if(!empty($row->component->component_raw_materials[0]->raw_material->default_vendor_id)){
                        $default_vendor=$row->component->component_raw_materials[0]->raw_material->default_vendor_id;
                    }
            ?>
			<!-- Add Po turn around time -->
			<?php 
				$expected_date_delivery_date = date('Y-m-d');
				if(!empty($row->component->po_turnaround_time)){
				   $expected_date_delivery_date = date('Y-m-d', strtotime($expected_date_delivery_date. ' + '.$row->component->po_turnaround_time.' days'));
				}
            ?>
			<!--  -->
			<tr>
				<td class="text-center"><?= $s_no ?></td>
				<td><?= $row->component->component_name ?></td>
				<td><?= $row->component->component_raw_materials[0]->raw_material->material_name ?></td>
				<td>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].vendor_id', ['default'=>'', 'empty'=>'Select Vendor', 'options'=>$vendor_array, 'value'=>$default_vendor, 'required'=>false, 'class'=>'form-control select-2 vendor_raw_materials', 'label'=>false]); ?>
					<!-- po values -->
					<?= $this->Form->control('purchase_order_components['.$s_no.'].purchase_indent_id', ['type'=>'hidden', 'value'=>$purchaseIndents->id, 'class'=>'form-control ', 'label'=>false]); ?>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].tag', ['type'=>'hidden', 'value'=>$purchaseIndents->tag, 'class'=>'form-control','label'=>false]); ?>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].component_id', ['type'=>'hidden', 'value'=>$row->component->id, 'class'=>'form-control vendor_component_id', 'label'=>false]); ?>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].raw_material_id', ['type'=>'hidden', 'value'=>$row->component->component_raw_materials[0]->raw_material->id, 'class'=>'form-control vendor_raw_material_id', 'label'=>false]); ?>
					<!-- Fields For Raw materials-->
					<?= 
                        $this->Form->control('purchase_order_components['.$s_no.'].raw_material_data', ['type'=>'hidden','value'=>'',
                            'data-inner_dia'                => '',
                            'data-min_cut_length'           => '',
                            'data-outer_dia'                => '',
                            'data-quantity_per_component'   => '',
                            'data-raw_material_length'      => '',
                            'data-raw_material_shape'       => '',
                            'data-raw_material_thickness'   => '',
                            'data-raw_material_width'       => '',
                            'data-unit_of_measurement'      => '',
                            'class'                         => 'form-control raw_material_data',
                            'label'                         => false
                        ]); 
                    ?>
					<!-- End of fields -->
				</td>
				<td>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].vendor_component_price', ['required'=>false,'readonly' ,'disabled'=>'false','class'=>'form-control vendor_component_price','label'=>false]); ?>                
				</td>
				<td>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].vendor_component_gst', ['required'=>false,'readonly' ,'class'=>'form-control vendor_component_gst','label'=>false]); ?>
				</td>
				<td><?= $row->actual_quantity ?> </td>
				<td bgcolor="<?= $po_created_class ?>">
					<span><?= $remaining_qty ?> </span>
				</td>
				<td>
					<span class="col-xs-8 no-padding-left">
                    <?= $this->Form->control('purchase_order_components['.$s_no.'].order_quantity', ['type' => 'text',$po_created_disabled,'value'=>$remaining_qty,'required'=>false, 'escape' => false, 'class'=>'form-control create_order_quantity', 'label'=>false,
						// 'data-gst'=>$vendor_components_value->price,
						// 'data-rate'=>$vendor_components_value->gst,
					]);?>
					</span>
				</td>
				<td>
					<?= $this->Form->control('purchase_order_components['.$s_no.'].amount', ['type' => 'text','value'=>'','required'=>false ,'escape' => false,'class'=>'form-control order_price','label'=>false]);?>
				</td>
				<td><?= $expected_date_delivery_date ?></td>
			</tr>
			<?php
				} 
                    $s_no++;
                endforeach; 
            ?>
            <!-- <tr>
            <td colspan="10">
            Total Weight (Kg) :
            </td>
            <td class="raw_material_over_all_weight">
            0
            </td>
            </tr> -->
		</tbody>
	</table>
</div>
<!-- ./box-body -->
<div class="box-footer text-center margin-bottom">
    <button class="btn btn-sm btn-success create_po_button" data-toggle="modal" data-target="#cpo-modal1"> Create Purchase Order</button>
    <?= $this->Html->link(__('Cancel'), ['action' => 'rawMaterials'], ['class'=>'btn btn-sm btn-danger']) ?>
</div>
<!-- ./box-footer -->
<?= $this->Form->end() ?>
<?php }?>
