<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\GoodsReceivedNote $goodsReceivedNote
	 */
?>
<section class="content-header">
	<h1>
		Goods Received Note - PO <?= $goodsReceivedNote->purchase_order->purchase_order_no?>
	</h1>
</section>
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-body table-responsive">
					<div class="col-xs-12 ">
                        <div class="col-lg-3"></div>
                        <div class="col-lg-6">
                            <table class="table table-hover table-bordered table-striped dtBordered">
                                <tr>
                                    <td class="bg-gray-active"><label><?= __('Grn No') ?></label></td>
                                    <td><?= h($goodsReceivedNote->grn_no) ?></td>
                                </tr>
                                <tr>
                                    <td class="bg-gray-active"><label><?= __('Purchase Order') ?></label></th>
                                    <td><?= $goodsReceivedNote->purchase_order->purchase_order_no?></td>
                                </tr>
                                <tr>
                                    <td class="bg-gray-active"><label><?= __('Vendor') ?></label></td>
                                    <td><?= $goodsReceivedNote->purchase_order->vendor->vendor_name ?></td>
                                </tr>
                                <tr>
                                    <td class="bg-gray-active"><label><?= __('Vendor Address') ?></label></td>
                                    <td><?= $goodsReceivedNote->purchase_order->vendor->address ?></td>
                                </tr>
                                <tr>
                                    <td class="bg-gray-active"><label><?= __('Created By') ?></label></td>
                                    <td><?= $goodsReceivedNote->Users['user_full_name'] ?></td>
                                </tr>
                                <tr>
                                    <td class="bg-gray-active"><label><?= __('Goods Received Date') ?></label></td>
                                    <td><?=  date('d-m-Y', strtotime($goodsReceivedNote->grn_received_date)) ?></td>
                                </tr>
                                <tr>
                                    <td class="bg-gray-active"><label><?= __('Created') ?></label></td>
                                    <td><?= date('d-m-Y', strtotime($goodsReceivedNote->created))  ?></td>
                                </tr>
                            </table>
                        </div>
                        <div class="col-lg-3"></div>
                    </div>
                    <div class="col-lg-12">
						<div class="related">
							<?php
								$tag_type = $goodsReceivedNote->purchase_order->tag;
								
								?>
							<h4><?= __('Goods Received Items') ?></h4>
							<?php if (!empty($goodsReceivedNote->goods_received_components)): ?>
							<table class="table table-hover table-bordered table-striped dtBordered">
                                <thead>
                                    <tr class="bg-gray-active">
                                        <th class="text-center col-lg-1"><?= __('Sno.') ?></th>
                                        <th class="col-lg-3"><?= __('Component') ?></th>
                                        <?php
                                            if(!empty($goodsReceivedNote->purchase_order->purchase_indent_id) || $goodsReceivedNote->purchase_order->purchase_indent_id !='' ){
                                                if($tag_type == 0){
                                        ?>
                                        <th class="col-lg-2"><?= __('Raw Material Name') ?></th>
                                        <?php
                                            }
                                            
                                            }
                                            if(!empty($goodsReceivedNote->purchase_order->job_order_id) || $goodsReceivedNote->purchase_order->job_order_id !='' ){
                                            ?>
                                        <th class="col-lg-2"><?= __('Process Name') ?></th>
                                        <?php
                                            }
                                            ?>
                                        <th class="col-lg-2"><?= __('Order Quantity') ?></th>
                                        <th class="col-lg-2"><?= __('Received Quantity') ?></th>
                                        <!-- <th scope="col"><?= __('Remaining Quantity') ?></th> -->
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        $s_no=1;
                                        foreach ($goodsReceivedNote->goods_received_components as $key => $goodsReceivedComponents){
                                    ?>
                                    <tr>
                                        <td class="text-center"><?= ($key+1) ?></td>
                                        <td>
                                            <?php
                                                if($goodsReceivedNote->purchase_order->is_store_order == 1){
                                                  echo $goodsReceivedComponents->purchase_order_component->store_component->component_name;
                                                }
                                                else{
                                                  echo $goodsReceivedComponents->purchase_order_component->component->component_name;
                                                }
                                            ?> 
                                        </td>
                                        <?php
                                            if(!empty($goodsReceivedComponents->purchase_order_component->raw_material_id) || $goodsReceivedComponents->purchase_order_component->raw_material_id !='' ){
                                                echo '<td>'.$goodsReceivedComponents->purchase_order_component->raw_material->material_name.'</td>';
                                            }
                                            if(!empty($goodsReceivedComponents->purchase_order_component->process_id)  || 
                                              $goodsReceivedComponents->purchase_order_component->process_id != ''
                                            ){
                                              echo '<td>'.$goodsReceivedComponents->purchase_order_component->process->process_name.'</td>';
                                            }
                                        ?>
                                        <td><?= h($goodsReceivedComponents->purchase_order_component->order_quantity) ?>
                                        </td>
                                        <td><?= h($goodsReceivedComponents->received_quantity) ?></td>
                                        <!-- <td><?= $goodsReceivedComponents->purchase_order_component->order_quantity - $goodsReceivedComponents->received_quantity ?> -->
                                        </td>
                                    </tr>
                                    <?php
                                        }
                                    ?>
                                </tbody>
							</table>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-right">
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
                
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>
