<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Job Order Components</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-header">
					<h3 class="box-title"><!-- feature content --></h3>
					<div class="box-tools">
						<div class="pull-right">
							<?php echo $this->Html->link(__('Add New Job Order Components'), ['action' => 'add'], ['class'=>'btn btn-primary']) ?>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover">
						<thead>
							<tr>
																<th scope="col"><?= $this->Paginator->sort('id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('job_order_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('component_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('process_id') ?></th>
																<th scope="col"><?= $this->Paginator->sort('component_qty') ?></th>
																<th scope="col"><?= $this->Paginator->sort('expected_date_delivery') ?></th>
																<th scope="col"><?= $this->Paginator->sort('is_active') ?></th>
																<th scope="col"><?= $this->Paginator->sort('created') ?></th>
																<th scope="col"><?= $this->Paginator->sort('modified') ?></th>
																<th scope="col" class="actions text-center"><?= __('Actions') ?></th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($jobOrderComponents as $jobOrderComponent): ?>
							<tr>
																																																																								<td><?= $this->Number->format($jobOrderComponent->id) ?></td>
																																																																<td><?= $jobOrderComponent->has('job_order') ? $this->Html->link($jobOrderComponent->job_order->id, ['controller' => 'JobOrders', 'action' => 'view', $jobOrderComponent->job_order->id]) : '' ?></td>
																																																																								<td><?= $jobOrderComponent->has('component') ? $this->Html->link($jobOrderComponent->component->component_name, ['controller' => 'Components', 'action' => 'view', $jobOrderComponent->component->id]) : '' ?></td>
																																																																								<td><?= $jobOrderComponent->has('process') ? $this->Html->link($jobOrderComponent->process->process_name, ['controller' => 'Processes', 'action' => 'view', $jobOrderComponent->process->id]) : '' ?></td>
																																																																																																<td><?= $this->Number->format($jobOrderComponent->component_qty) ?></td>
																																																																																								<td><?= h($jobOrderComponent->expected_date_delivery) ?></td>
																																																																																								<td><?= $this->Number->format($jobOrderComponent->is_active) ?></td>
																																																																																								<td><?= h($jobOrderComponent->created) ?></td>
																																																																																								<td><?= h($jobOrderComponent->modified) ?></td>
																																								<td class="actions text-right">
									<?= $this->Html->link(__('View'), ['action' => 'view', $jobOrderComponent->id], ['class'=>'btn btn-info btn-xs']) ?>
									<?= $this->Html->link(__('Edit'), ['action' => 'edit', $jobOrderComponent->id], ['class'=>'btn btn-warning btn-xs']) ?>
									<?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $jobOrderComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $jobOrderComponent->id), 'class'=>'btn btn-danger btn-xs']) ?>
								</td>
							</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>