<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\JobOrder $jobOrder
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Job Order
		<small><?php echo __('Add'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($jobOrder, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<div class="form-group required">
						<label class="control-label col-lg-4">Product Name</label>
						<div class="col-lg-4">
							<?php echo $this->Form->control('product_id', ['empty'=>'select product','options' => $products, 'label' => false,'class'=>'form-control products select-2']); ?>
						</div>
					</div>
					<div class="form-group required">
						<label class="control-label col-lg-4">Vendor Name</label>
						<div class="col-lg-4">
							<?php echo $this->Form->control('vendor_id', ['empty'=>'select vendor','options' => $vendors, 'label' => false,'class'=>'form-control vendor_component_jobs select-2']); ?>
						</div>
					</div>
                    <!-- table -->
					<div class="table-responsive col-lg-12 ">
						<table class="table table-bordered table-striped table-hover dtBordered tr:first-id job-order-components" style="display: none">
							<thead>
								<tr class="bg-gray-active">
									<th class="text-center">Sno.</th>
									<th>Component Code / Name </th>
									<th>Operation</th>
									<th>Out Component Qty.</th>
									<th>Expected Date of Delivery Qty.</th>
								</tr>
							</thead>
							<tbody>
                                <!-- dynamic content append from ajax call webroot/js/Template/JobOrders/index.js -->
							</tbody>
						</table>
					</div>
                    <!-- ./table -->
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
					<?php echo $this->Form->button('Create Job order', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
					<?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
				</div>
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
