<?php 
	use Cake\Core\Configure;   
	$auth = $this->Session->read('Auth.User');
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Job Orders</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
                <?php
                    if($auth['user_role_id'] == 4){
                ?>
                <div class="box-header text-right">
					<?php echo $this->Html->link('<i class="fa fa-plus"></i> Add', ['action' => 'add'], ['class'=>'btn btn-sm btn-primary', 'escape' => false]);?>
				</div>
                <?php
                    }
                ?>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover table-bordered table-striped dtBordered">
						<thead>
							<tr class="bg-gray-active">
								<th class="col-lg-1 text-center">Sno.</th>
								<th class="col-lg-1">Job Order No</th>
								<th class="col-lg-1">Group</th>
								<th class="col-lg-2">Product Name</th>
								<th class="col-lg-2">Vendor</th>
								<th class="col-lg-1 text-center">Status</th>
								<th class="col-lg-2 text-center">Created</th>
								<th class="col-lg-2 text-center">Actions</th>
							</tr>
						</thead>
						<tbody>
							<?php
                            #check empty
								if(count($jobOrders) > 0){
                                #prepare serial number
									$currentPage = ( ($this->Paginator->current()==1) ? 0 : (($this->Paginator->current()-1)*20));
								#prepare data
                                    foreach ($jobOrders as $key => $jobOrder){
                                        $currentPage = $currentPage+1;
                            ?>
							<tr>
								<td class="text-center"><?= h($currentPage) ?></td>
								<td><?= h($jobOrder->job_order_no) ?></td>
								<td><?= h($jobOrder->group->group_name) ?></td>
								<td><?= h($jobOrder->product->product_name) ?></td>
								<td><?= h($jobOrder->vendor->vendor_name) ?></td>
								<td class="text-center">
                                    <?php $labelStatus = array(1=>'label label-default', 2 => 'label label-info', 3 => 'label label-primary', 4 => 'label label-success', 5 => 'label label-warning', 6 => 'label label-danger'); ?>
                                <!-- span -->
									<span class="<?php echo $labelStatus[$jobOrder->status]; ?>">
                                        <?= $job_order_status[$jobOrder->status]?>
									</span>      
								</td>
								<td class="text-center"><?= h($jobOrder->created) ?></td>
								<td class="actions text-center">
									<!-- <?= $this->Html->link(__('<i class="fa fa-edit"></i> Edit'), ['action' => 'edit', $jobOrder->id], ['escape' => false,'class'=>'btn btn-warning btn-xs']) ?> -->
									<?= $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'view', $jobOrder->id], ['class' => 'btn btn-xs btn-info', 'escape' => false]) ?>
								</td>
							</tr>
							<?php 
                                    }
								}
                                else{
                                    echo '<tr><td colspan="8" class="text-center">No records found!</td></tr>';
								}
                            ?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
                <div class="box-footer">
                    <div class="paginator">
                        <div class="row">
                            <div class="col-sm-6">
                                <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
                            </div>
                            <div class="col-sm-6 text-right">
                                <ul class="pagination no-margin">
                                    <?= $this->Paginator->first('<< ' . __('first')) ?>
                                    <?= $this->Paginator->prev('< ' . __('previous')) ?>
                                    <?= $this->Paginator->numbers() ?>
                                    <?= $this->Paginator->next(__('next') . ' >') ?>
                                    <?= $this->Paginator->last(__('last') . ' >>') ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.box-footer -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>
