<?php use Cake\Core\Configure; ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?= $this->fetch('title') ?> - Super Machines</title>
		<meta name="author" content="Alvaro Trigo Lopez" />
		<meta name="description" content="fullPage fixed full-screen backgrounds." />
		<meta name="keywords"  content="fullpage,jquery,demo,screen,fixed,fullscreen,backgrounds,full-screen" />
		<meta name="Resource-type" content="Document" />
		<meta name="msapplication-TileColor" content="#000">
		<meta name="theme-color" content="#000">
        <link rel="shortcut icon" href="<?= $this->Url->image('favicon.ico'); ?>" />
		<style type="text/css">
			@import url(https://fonts.googleapis.com/css?family=Lato);
			/* SELECTED TEXT */
			::selection { background: #ea9528; color: #FFFFFF; text-shadow: 0; }
			::-moz-selection { background: #ea9528; color: #FFFFFF; }
			html {
			font-size: 18px;font-size: 1.13rem;
			-webkit-text-size-adjust: 100%;
			-ms-text-size-adjust: 100%;
			}
			html, input { font-family: 'Lato', sans-serif; }
			body {
			background: #29421e;
			margin: auto;
			color: #fff;
			}
			a {
			-webkit-transition: all 200ms ease;
			-moz-transition: all 200ms ease;
			-ms-transition: all 200ms ease;
			-o-transition: all 200ms ease;
			transition: all 200ms ease; 
			-webkit-transform: translate3d(0, 0, 0);
			-webkit-backface-visibility: hidden;
			opacity: 1;
			}
			a, a:visited, a:active {
			color: #fff;
			text-decoration: none;
			}
			.container {
			max-width: 400px;
			_width: 400px;
			margin: 0 auto 80px;
			text-align: center;
			}
			h1 {
			margin: 0;
			}
			h2 {
			font-size: 16px;font-size: 1rem;
			font-weight: 400;
			margin: 0;
			padding: 4px 0 10px;
			color: #aaa;
			}
			h3 {
			margin: 20px 0 8px;
			text-align: center;
			font-size: 20px;
			font-weight: 500;
			line-height: 1.4;
			padding: 0 30px;
			}    
			.warning {
			margin: 0px 0 30px 0;
			padding: 0px 20px 8px;
			}
			.warning p {
			font-size: 12px;font-size: 0.75rem;
			}
			.warning a { 
			display: block;
			margin-top: 30px;
			padding: 20px;
			background: #ea9528;
			}
			.warning a:hover {
			background: #9a6225;
			}
			.copyright {
			font-size: 12px;
			text-align: center;
			}
            .version {
			font-size: 10px;
			text-align: center;
			}
			/* SVG */
			.unicorn {
			margin: 60px 0 40px 0;
			max-width: 100%;
			height: 150px;   
			background: url(/img/logo.jpg) no-repeat center center;
			}            
			.four-oh-four {
			max-width: 150px;
			height: 120px;
			text-indent: -9999px;
			margin: auto;
			background: url() no-repeat center center;       
			}
			/* Responsive
			-------------------------------------------------------*/  
			/* Desktop only */
			@media only screen and (min-width : 1800px) {
                h2 {
                    font-size: 28px;font-size: 1.75rem;
                }
                .warning p {
                    font-size: 14px;font-size: 0.88rem;
                }
                .unicorn {
                    max-width: 100%;
                    height: 400px;   
                    margin: 60px 0 0 26px;  
                } 
			}
			@media only screen and (max-width : 568px) {      
                h2 {
                    color: #fff;
                }
			}
			@media only screen and (max-width : 320px) {
			.unicorn {
			height: 150px;   
			margin: 20px 0 0 0px !important;  
			} 
			.four-oh-four {
			height:40px; 
			margin: 10px auto 10px;
			}     
			h2 {
			font-size: 0.88rem;
			font-weight: bold;
			}
			.warning {
			margin: 0;
			}
			.warning p {
			margin-top: 10px; 
			font-size: 0.63rem; 
			}
			.warning a { 
			margin-top: 20px;
			font-size: 0.63rem; 
			}
			/*html body {background: #000;}*/
		</style>
		<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
		<script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.9.1/jquery-ui.min.js"></script>
	</head>
	<body>
		<div class="unicorn"></div>
		<div class="container">
			<div>
                <img src="<?= $this->Url->image('logo.png'); ?>" />
				<h1>Oops!</h1>
			</div>
			<div class="warning">
				<h2><?= $this->fetch('content') ?></h2>
				<a href="javascript:history.back()">Please go back to the previous page</a>
			</div>
			<div class="footer">
				<p class="copyright">&copy; <?= date('Y') ?> Super Machine Groups</p>
                <p class="version">Version <?php echo Configure::read('Theme.version'); ?></p>
			</div>
		</div>
		<!-- /.container -->
	</body>
</html>
