<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\Product $product
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Product Management<small><?php echo __('Add'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($product, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Product Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('product_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Is Eventual Product</label>
                        <div class="col-lg-4">
                            <label><?php echo $this->Form->control('is_eventual_product', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'id' => 'is_eventual_product']); ?> Is eventual</label>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Choose Parent Product</label>
                        <div class="col-lg-4">
                            <?php 
                                $isEventual = ($product->is_eventual_product == 1 ? false : true);
                                echo $this->Form->control('parent_id', ['empty' => 'Select', 'options' => $parentProducts, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'disabled' => $isEventual, 'id' => 'parent_id']); 
                            ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Description</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('description', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Status</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('is_active', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, "data-toggle" => "toggle", "data-style" => "ios", "data-onstyle" => "success", "data-offstyle" => "warning", "data-size" => "small"]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
