<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseIndent $purchaseIndent
	 */
?>
<div class="content-wrapper">
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
        Purchase Indent : <?= $purchaseIndent->purchase_intent_no?>
        <a data-toggle="modal" data-target="#quarterProductInformation"><i class="fa fa-info-circle"></i></a>
    </h1>
</section>
<div class="container-fluid">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
                <div class="box-header">
                    <div class="col-xs-12 col-sm-6"> <b> Product Name :</b> <?= $purchaseIndent->product->product_name?> </div>
                    <div class="col-xs-12 col-sm-6 text-right"> <b> Status :</b> <?= $purchase_indent_status[$purchaseIndent->status] ?> </div>
                </div>
                <!-- ./box-header -->
				<div class="box-body table-responsive no-padding">
					<div class="col-xs-12">
						<?= $this->Form->create($purchaseIndent); ?>
						<table class="table table-hover table-bordered table-striped dtBordered">
                            <thead>
                                <tr class="bg-gray-active">
									<th class="col-lg-1 text-center">Sno.</th>

									<?php if($purchaseIndent->tag == 1):?>
									<th class="col-lg-4">Component Name</th>
									<?php  else:?>
									<th class="col-lg-2">Component Name</th>
									<th class="col-lg-1">Raw Material Name</th>
									<th class="col-lg-1">Type of raw<br> materila/Grade</th>
									<?php  endif;?>

									<!-- <th>Quantity per <br> product </th> -->
									<th class="col-lg-3">No of components required<br> Qty (No's)</th>

									<?php if($purchaseIndent->tag == 0):?>
									<th class="col-lg-1">Raw material Qty<br> Qty (Kg)</th>
									<th class="col-lg-2">Actual Qty (Kg)</th>
									<?php  else:?>
									<th class="col-lg-4">Actual Qty (No's)</th>
									<?php  endif;?>
								</tr>
                            </thead>
							<tbody>
								<?php 
                                #loop data
                                    foreach ($purchaseIndent->purchase_indent_components as $key => $purchaseIndentComponents): 
                                #Check For Raw material Type
									$raw_materil_qty=0;
                                #checks tag
									if($purchaseIndent->tag == 0){
                                        if(!empty($purchaseIndentComponents['ComponentRawMaterials'])){
                                            if($purchaseIndentComponents['ComponentRawMaterials']['raw_material_shape'] == 'PROFILE'
                                            || $purchaseIndentComponents['ComponentRawMaterials']['raw_material_shape'] == 'Profile'
                                            || $purchaseIndentComponents['ComponentRawMaterials']['raw_material_shape'] == 'profile')
                                        {
                                                $raw_materil_qty=$purchaseIndentComponents['total_quantity'];
                                            }
                                            else{
                                                $raw_materil_qty=rawMaterialCalculation($purchaseIndentComponents);
                                            }
                                        }
									}
									?>
								<tr>
									<td class="text-center"><?= $key+1 ?></td>
									<?php  if($purchaseIndent->tag == 1):?>
									<td><?= $purchaseIndentComponents->component->component_name ?></td>
									<?php  else:?>
									<td><?= $purchaseIndentComponents->Components['component_name'] ?></td>
									<td><?= $purchaseIndentComponents->RawMaterials['material_name']?></td>
									<td><?= $purchaseIndentComponents->ComponentRawMaterials['raw_material_shape'] ?></td>
									<?php  endif;?>									
									<!-- <td><?= $purchaseIndentComponents->component->component_products[0]->number_of_component?> NO'S</td> -->
									<td><?= $purchaseIndentComponents->total_quantity?></td>
									<?php if($purchaseIndent->tag == 0):?>
									<td>
										<?= $this->Form->control("purchase_indent_components.$key.raw_material_id",['type'=>'hidden','label'=>false, 'class'=>'form-control','value'=>$purchaseIndentComponents->ComponentRawMaterials['raw_material_id']]) ?>
										<?= $raw_materil_qty ?>
									</td>
									<?php endif; ?>
									<td class="text-center">
										<span class="no-padding col-sm-6">
                                            <?= $this->Form->control("purchase_indent_components.$key.id",['label'=>false, 'class'=>'form-control','value'=>$purchaseIndentComponents->id]) ?>
                                            <?php if($purchaseIndent->tag == 0):?>
                                            <?= $this->Form->control("purchase_indent_components.$key.raw_material_quantity",['type'=>'hidden','label'=>false, 'class'=>'form-control','value'=>$raw_materil_qty]) ?>
                                            <?= $this->Form->control("purchase_indent_components.$key.actual_quantity",['type'=>'text'
                                                , 'onkeypress'=>"return event.charCode == 46 || (event.charCode >= 48 && event.charCode <= 57)" 
                                                , 'label'=>false, 'class'=>'form-control', 'value'=>$raw_materil_qty]) ?>
                                            <?php  else:?>
                                            <?= $this->Form->control("purchase_indent_components.$key.actual_quantity",['type'=>'text', 'onkeypress'=>"return event.charCode == 46 || (event.charCode >= 48 && event.charCode <= 57)", 'label'=>false, 'class'=>'form-control','value'=>$purchaseIndentComponents->total_quantity]) ?>
                                            <?php  endif;?>
										</span>
									</td>
								</tr>
								<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div>
				<!-- /.box-body -->
                <div class="box-footer text-center">
                    <input type="submit" class="btn btn-sm btn-success" value="Forward to Purchase Team">
                    <?= $this->Html->link(__('Cancel'), ['action' => 'outComponent'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
                <?= $this->Form->end(); ?>
                <!-- </form> -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</div>

<!-- quarter product related information -->
<div class="modal fade" id="quarterProductInformation" tabindex="-1">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
            <div class="modal-header with-border">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">Quarter Planned Products</h4>
			</div>
            <div class="modal-body">
                <table class="table table-hover table-bordered table-striped dtBordered text-center">
                    <thead>
                        <tr class="bg-gray-active">
                            <th class="col-md-2 col-lg-2" colspan="1">Product Name</th>
                            <th class="col-md-2 col-lg-2" colspan="1">Annual Quantity</th>
                            <th class="col-md-2 col-lg-2" colspan="1">Quarter 1</th>
                            <th class="col-md-2 col-lg-2" colspan="1">Quarter 2</th>
                            <th class="col-md-2 col-lg-2" colspan="1">Quarter 3</th>
                            <th class="col-md-2 col-lg-2" colspan="1">Quarter 4</th>
                        </tr>
                        <tr class="bg-gray-active">
                            <th colspan="1"></th>
                            <th>Quantity</th>
                            <th>Quantity</th>
                            <th>Quantity</th>
                            <th>Quantity</th>
                            <th>Quantity</th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php 
                        $quaterData     = [];
                        $isSet		    = 0;
                    #checks not empty
                        if(!empty($annualPlans->annual_planned_products)){
                        #annual plan products
                            foreach ($annualPlans->annual_planned_products AS $apKey => $annualPlan){
                            #check allow edit box
                                $setEdit  = 0;
                        ?>
                        <tr>
                            <td><label><?= h($annualPlan->product->product_name) ?></label></td>
                            <td><?= h($annualPlan->product_quantity) ?></td>
                            <?php 
                            #quarter plan products
                                foreach ($annualPlan->product->annual_quarter_planned_products AS $aqppkey => $annualPlans){
                            ?>
                            <td>
                                <?php echo $annualPlans->product_quantity; ?>
                            </td>
                            <?php
                                }
                            ?>
                        </tr>
                    <?php 
                            }
                        }
                        else{
                            echo '<tr><td colspan="8" class="text-center">No records found!</td></tr>';
                        }
                    ?>
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">
                    Close
                </button>
            </div>
		</div>
	</div>
</div>
<!-- ./quarter product related information -->

<!-- Raw materials calculation function -->
<?php 
	function rawMaterialCalculation($component_data)
    {
		$quantity               = 0;
		$shape                  = $component_data->ComponentRawMaterials['raw_material_shape'];
		$min_cut_length         = $component_data->ComponentRawMaterials['min_cut_length'];
		$outer_dia              = $component_data->ComponentRawMaterials['outer_dia'];
		$inner_dia              = $component_data->ComponentRawMaterials['inner_dia'];
		$raw_material_thickness = $component_data->ComponentRawMaterials['raw_material_thickness'];
		$raw_material_width     = $component_data->ComponentRawMaterials['raw_material_width'];
		$raw_material_length    = $component_data->ComponentRawMaterials['raw_material_length'];
		$order_quantity         = $component_data->total_quantity;
		$raw_material_name      = $component_data->RawMaterials['material_name'];
		$sw=0;
	#checks material type
		if ($raw_material_name == 'Mild steel' || $raw_material_name == 'M.S' || $raw_material_name == 'Cast Iron' || $raw_material_name == 'EN 8' || $raw_material_name == 'EN 9' || $raw_material_name == 'EN30 or 31' || $raw_material_name == 'EN30or31' || $raw_material_name == 'EN47' || $raw_material_name == 'EN24' || $raw_material_name == 'EN 31')
        {
			$sw=0.786;
		}
        else if($raw_material_name == 'Aluminium' || $raw_material_name == 'ALU')
        {
			$sw=0.270;
		}
        else if($raw_material_name == 'Stainless Steel' || $raw_material_name == 'S.S')
        {
			$sw=0.786;
		}
        else if($raw_material_name == 'Mild steel' || $raw_material_name == 'M.S')
        {
			$sw=0.786;
		}
    #checks shape
		if($shape == 'Round' || $shape == 'Pipe' || $shape == 'ROUND')
	    {
			$round_total=0;
			$round_pipe_total=0;
			$round_total=((
				(pi()*(($outer_dia)*($outer_dia))/4)*$sw*$min_cut_length
			)/100000)*$order_quantity;
			if($shape == 'Pipe')
            {
					$round_pipe_total=((
					(pi()*(($inner_dia)*($inner_dia))/4)*$sw*$min_cut_length
				)/100000)*$order_quantity;
			}
			$quantity=$round_total-$round_pipe_total;
		}
        else if($shape == 'FLAT')
        {
			$square=($sw*$raw_material_length*$raw_material_width*$raw_material_thickness)/100000;
			$quantity=$square*$order_quantity;
		}
		return  number_format((float)$quantity, 2, '.', '');
	}
?>
