<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseIndent[]|\Cake\Collection\CollectionInterface $purchaseIndents
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Adhoc  Raw Material</h1>
</section>
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover table-bordered table-striped dtBordered">
                        <thead>
                            <tr class="bg-gray-active">
                                <th class="text-center">Sno.</th>
                                <th>Purchase Indent Number</th>
                                <th>Product Name</th>
                                <th>Indent Raised on</th>
                                <th>Indent Type</th>
                                <th class="text-center">Status</th>
                                <th class="text-center">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php 
                            #check empty
								if(count($purchaseIndents)>0){
								#prepare serial number
									$currentPage = ( ($this->Paginator->current()==1) ? 0 : (($this->Paginator->current()-1)*20));
								#prepare data
                                    foreach ($purchaseIndents as $purchaseIndent){
                                        $currentPage = $currentPage+1;
                            ?>
                            <tr>
                                <td class="text-center"><?= $currentPage ?></td>
                                <td><?= $purchaseIndent->purchase_intent_no ?></td>
                                <td><?= $purchaseIndent->product->product_name ?></td>
                                <td><?= $purchaseIndent->created ?></td>
                                <td>
                                    <?php 
                                        if($purchaseIndent->is_adhoc == 1){
                                    ?>
                                    <span class="text-success">
                                        <b>Adhoc</b>
                                    </span>
                                    <?php
                                        }
                                        else
                                        {
                                    ?>
                                    <span class="text-blue">
                                        <b>Auto</b>
                                    </span>
                                    <?php
                                        }
                                    ?>
                                </td>
                                <td class="text-center">
                                    <?php
                                        $labelStatus = array(0 => 'label label-default', 1 => 'label label-default', 2 => 'label label-info', 3 => 'label label-danger', 4 => 'label label-success', 5 => 'label label-info', 6 => 'label label-warning', 7 => 'label label-success', 8 => 'label label-warning', 9 => 'label label-danger');
                                    ?>
                                    <span class="<?= $labelStatus[$purchaseIndent->status] ?>">
                                        <?= $purchase_indent_status[$purchaseIndent->status]?>
                                    </span>
                                </td>
                                <td class="text-center"> 
                                    <?php
                                    #check status
                                        if($purchaseIndent->status == 0){
                                            echo $this->Html->link(__('Forward
                                              to Purchase Team'), ['action' => 'edit', $purchaseIndent->id], ['class' => 'btn btn-default', 'title' => 'Forward
                                              to Purchase Team', 'escape' => false]) . "\n";
                                        } 
                                    #checks adhoc
                                        if($purchaseIndent->is_adhoc ==  1){
                                            echo $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'viewAdhocRawMaterials', $purchaseIndent->id], ['class' => 'btn btn-xs btn-info', 'title' => 'View Purchase Indent', 'escape' => false]) . "\n";
                                        }else{
                                            echo $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'view', $purchaseIndent->id], ['class' => 'btn btn-xs btn-info', 'title' => 'View Purchase Indent', 'escape' => false]) . "\n";
                                        } 
                                    ?>
                                </td>
                            </tr>
                            <?php 
                                    }
                                }
                            ?>
                        </tbody>
                    </table>
				</div>
				<!-- /.box-body -->
                <div class="box-footer">
                    <div class="paginator">
                        <div class="row">
                            <div class="col-sm-6">
                                <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
                            </div>
                            <div class="col-sm-6 text-right">
                                <ul class="pagination no-margin">
                                    <?= $this->Paginator->first('<< ' . __('first')) ?>
                                    <?= $this->Paginator->prev('< ' . __('previous')) ?>
                                    <?= $this->Paginator->numbers() ?>
                                    <?= $this->Paginator->next(__('next') . ' >') ?>
                                    <?= $this->Paginator->last(__('last') . ' >>') ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
				<!-- /.box-footer -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>
