<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrderComponent[]|\Cake\Collection\CollectionInterface $purchaseOrderComponents
	 */
	?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
	<ul class="side-nav">
		<li class="heading"><?= __('Actions') ?></li>
		<li><?= $this->Html->link(__('New Purchase Order Component'), ['action' => 'add']) ?></li>
		<li><?= $this->Html->link(__('List Purchase Orders'), ['controller' => 'PurchaseOrders', 'action' => 'index']) ?></li>
		<li><?= $this->Html->link(__('New Purchase Order'), ['controller' => 'PurchaseOrders', 'action' => 'add']) ?></li>
		<li><?= $this->Html->link(__('List Components'), ['controller' => 'Components', 'action' => 'index']) ?></li>
		<li><?= $this->Html->link(__('New Component'), ['controller' => 'Components', 'action' => 'add']) ?></li>
	</ul>
</nav>
<div class="purchaseOrderComponents index large-9 medium-8 columns content">
	<h3><?= __('Purchase Order Components') ?></h3>
	<table cellpadding="0" cellspacing="0">
		<thead>
			<tr>
				<th scope="col"><?= $this->Paginator->sort('id') ?></th>
				<th scope="col"><?= $this->Paginator->sort('purchase_order_id') ?></th>
				<th scope="col"><?= $this->Paginator->sort('component_id') ?></th>
				<th scope="col"><?= $this->Paginator->sort('order_quantity') ?></th>
				<th scope="col"><?= $this->Paginator->sort('average_weight') ?></th>
				<th scope="col"><?= $this->Paginator->sort('amount') ?></th>
				<th scope="col"><?= $this->Paginator->sort('is_active') ?></th>
				<th scope="col"><?= $this->Paginator->sort('created_by') ?></th>
				<th scope="col"><?= $this->Paginator->sort('created') ?></th>
				<th scope="col"><?= $this->Paginator->sort('modified_by') ?></th>
				<th scope="col"><?= $this->Paginator->sort('modified') ?></th>
				<th scope="col" class="actions"><?= __('Actions') ?></th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($purchaseOrderComponents as $purchaseOrderComponent): ?>
			<tr>
				<td><?= $this->Number->format($purchaseOrderComponent->id) ?></td>
				<td><?= $purchaseOrderComponent->has('purchase_order') ? $this->Html->link($purchaseOrderComponent->purchase_order->id, ['controller' => 'PurchaseOrders', 'action' => 'view', $purchaseOrderComponent->purchase_order->id]) : '' ?></td>
				<td><?= $purchaseOrderComponent->has('component') ? $this->Html->link($purchaseOrderComponent->component->id, ['controller' => 'Components', 'action' => 'view', $purchaseOrderComponent->component->id]) : '' ?></td>
				<td><?= $this->Number->format($purchaseOrderComponent->order_quantity) ?></td>
				<td><?= $this->Number->format($purchaseOrderComponent->average_weight) ?></td>
				<td><?= $this->Number->format($purchaseOrderComponent->amount) ?></td>
				<td><?= $this->Number->format($purchaseOrderComponent->is_active) ?></td>
				<td><?= $this->Number->format($purchaseOrderComponent->created_by) ?></td>
				<td><?= h($purchaseOrderComponent->created) ?></td>
				<td><?= $this->Number->format($purchaseOrderComponent->modified_by) ?></td>
				<td><?= h($purchaseOrderComponent->modified) ?></td>
				<td class="actions">
					<?= $this->Html->link(__('View'), ['action' => 'view', $purchaseOrderComponent->id]) ?>
					<?= $this->Html->link(__('Edit'), ['action' => 'edit', $purchaseOrderComponent->id]) ?>
					<?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $purchaseOrderComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $purchaseOrderComponent->id)]) ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<div class="paginator">
		<ul class="pagination">
			<?= $this->Paginator->first('<< ' . __('first')) ?>
			<?= $this->Paginator->prev('< ' . __('previous')) ?>
			<?= $this->Paginator->numbers() ?>
			<?= $this->Paginator->next(__('next') . ' >') ?>
			<?= $this->Paginator->last(__('last') . ' >>') ?>
		</ul>
		<p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
	</div>
</div>
