<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrderComponent $purchaseOrderComponent
	 */
	?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
	<ul class="side-nav">
		<li class="heading"><?= __('Actions') ?></li>
		<li><?= $this->Html->link(__('Edit Purchase Order Component'), ['action' => 'edit', $purchaseOrderComponent->id]) ?> </li>
		<li><?= $this->Form->postLink(__('Delete Purchase Order Component'), ['action' => 'delete', $purchaseOrderComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $purchaseOrderComponent->id)]) ?> </li>
		<li><?= $this->Html->link(__('List Purchase Order Components'), ['action' => 'index']) ?> </li>
		<li><?= $this->Html->link(__('New Purchase Order Component'), ['action' => 'add']) ?> </li>
		<li><?= $this->Html->link(__('List Purchase Orders'), ['controller' => 'PurchaseOrders', 'action' => 'index']) ?> </li>
		<li><?= $this->Html->link(__('New Purchase Order'), ['controller' => 'PurchaseOrders', 'action' => 'add']) ?> </li>
		<li><?= $this->Html->link(__('List Components'), ['controller' => 'Components', 'action' => 'index']) ?> </li>
		<li><?= $this->Html->link(__('New Component'), ['controller' => 'Components', 'action' => 'add']) ?> </li>
	</ul>
</nav>
<div class="purchaseOrderComponents view large-9 medium-8 columns content">
	<h3><?= h($purchaseOrderComponent->id) ?></h3>
	<table class="vertical-table">
		<tr>
			<th scope="row"><?= __('Purchase Order') ?></th>
			<td><?= $purchaseOrderComponent->has('purchase_order') ? $this->Html->link($purchaseOrderComponent->purchase_order->id, ['controller' => 'PurchaseOrders', 'action' => 'view', $purchaseOrderComponent->purchase_order->id]) : '' ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Component') ?></th>
			<td><?= $purchaseOrderComponent->has('component') ? $this->Html->link($purchaseOrderComponent->component->id, ['controller' => 'Components', 'action' => 'view', $purchaseOrderComponent->component->id]) : '' ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Id') ?></th>
			<td><?= $this->Number->format($purchaseOrderComponent->id) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Order Quantity') ?></th>
			<td><?= $this->Number->format($purchaseOrderComponent->order_quantity) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Average Weight') ?></th>
			<td><?= $this->Number->format($purchaseOrderComponent->average_weight) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Amount') ?></th>
			<td><?= $this->Number->format($purchaseOrderComponent->amount) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Is Active') ?></th>
			<td><?= $this->Number->format($purchaseOrderComponent->is_active) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Created By') ?></th>
			<td><?= $this->Number->format($purchaseOrderComponent->created_by) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Modified By') ?></th>
			<td><?= $this->Number->format($purchaseOrderComponent->modified_by) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Created') ?></th>
			<td><?= h($purchaseOrderComponent->created) ?></td>
		</tr>
		<tr>
			<th scope="row"><?= __('Modified') ?></th>
			<td><?= h($purchaseOrderComponent->modified) ?></td>
		</tr>
	</table>
</div>
