<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrder $purchaseOrder
	 */
	// pr($purchaseOrder);
	?>
<section class="content-header">
	<h1>Edit Purchase Order : <?= $purchaseOrder->purchase_order_no?></h1>
</section>
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-body">
					<?=$this->Form->create($purchaseOrder,['class' => 'form-horizontal'])?>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Purchase Indent No :</label>
								<div class="col-lg-8">
									<span class ='test-center'>
									<?= $purchaseOrder->purchase_indent->purchase_intent_no?>
									</span> 
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Vendor Name :</label>
								<div class="col-lg-8">
									<span class ='test-center'>
									<?= $purchaseOrder->vendor->vendor_name ?>
									</span>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Quotation</label>
								<div class="col-lg-8">
									<?=$this->Form->control('status', ['type' => 'hidden', 'escape' => false, 'value' => 1]);?>
									<?=$this->Form->control('quotation', ['value'=>$purchaseOrder->quotation,'escape' => false, 'class' => 'form-control', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'placeholder' => 'Your Quotation']);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Quotation Date</label>
								<div class="col-lg-8">
									<?=$this->Form->control('quotation_date', ['required'=>true,'type' => 'text', 'escape' => false, 'class' => 'form-control datepicker', 'label' => 'Quotation Date :', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'placeholder' => 'Quotation Date']);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Purchase Order</label>
								<div class="col-lg-8">
									<?=$this->Form->control('purchase_order_no', ['escape' => false, 'class' => 'form-control', 'templates' => ['inputContainer' => '{{content}}'],'disabled'=>true, 'label' => false, 'placeholder' => 'Your Quotation']);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">GST NO</label>
								<div class="col-lg-8">
									<?=$this->Form->control('gst_no', ['type' => 'text', 'escape' => false, 'class' => 'form-control','disabled'=>true, 'label' => 'Quotation Date :', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false,'value'=>'33AAECS7468K1ZW', 'placeholder' => 'Quotation Date']);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Payment Terms</label>
								<div class="col-lg-8">
									<?=$this->Form->control('payment_terms', ['type' => 'textarea', 'escape' => false, 'class' => 'form-control', 'placeholder' => 'Payment Terms', 'label' => false, 'rows'=>'2','templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Address</label>
								<div class="col-lg-8">
									<?=$this->Form->control('address', ['type' => 'textarea', 'escape' => false, 'class' => 'form-control','disabled'=>true,'value'=>$purchaseOrder->vendor->address, 'placeholder' => 'Address', 'label' => false, 'rows'=>'2','templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group required">
								<label class="control-label col-lg-4">Terms Of Delivery</label>
								<div class="col-lg-8">
									<?=$this->Form->control('terms_of_delivery', ['required'=>true,'options'=>$purchase_order_terms, 'escape' => false, 'class' => 'form-control','empty' => 'Select Terms Of Delivery', 'label' => false, 'rows'=>'2', 'templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-lg-12">
							<?php
                            #Check Purchase Indent tag for IN / OUT component
								if($purchaseOrder->tag == 0){
								    echo $this->element('PurchaseOrders/edit/raw_material_purchase_order');
								}else{
								    echo $this->element('PurchaseOrders/edit/out_component_purchase_order');
								}
                            ?>
						</div>
					</div>
				</div>
                <!-- ./box-body -->
                <div class="box-footer text-center">
                    <button class="btn btn-sm btn-success" data-toggle="modal" data-target="#cpo-modal1"> Update Purchase Order</button>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'listRawMaterials'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <?=$this->Form->end()?>
                <!-- ./box-footer -->
			</div>
		</div>
	</div>
</section>
