<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrder $purchaseOrder
	 */
	// pr($purchaseOrder);
	?>
<section class="content-header">
	<h1>
		Edit Purchase Order : <?= $purchaseOrder->purchase_order_no?>
	</h1>
</section>
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-body">
					<?=$this->Form->create($purchaseOrder,['class' => 'form-horizontal'])?>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Job Order No :</label>
								<div class="col-lg-8">
									<?= $purchaseOrder->job_order->job_order_no?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Vendor Name :</label>
								<div class="col-lg-8">
									<span class ='test-center'>
									<?= $purchaseOrder->vendor->vendor_name ?>
									</span>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Quotation</label>
								<div class="col-lg-8">
									<?=$this->Form->control('status', ['type' => 'hidden', 'escape' => false, 'value' => 1]);?>
									<?=$this->Form->control('quotation', ['value'=>$purchaseOrder->quotation,'escape' => false, 'class' => 'form-control', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'placeholder' => 'Your Quotation']);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Quotation Date</label>
								<div class="col-lg-8">
									<?=$this->Form->control('quotation_date', ['required'=>true,'type' => 'text', 'escape' => false, 'class' => 'form-control datepicker', 'label' => 'Quotation Date :', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'placeholder' => 'Quotation Date']);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">GST NO :</label>
								<div class="col-lg-8">
									<?=$this->Form->control('gst_no', ['type' => 'text', 'escape' => false, 'class' => 'form-control','disabled'=>true, 'label' => 'Quotation Date :', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false,'value'=>'33AAECS7468K1ZW', 'placeholder' => 'Quotation Date']);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Payment Terms</label>
								<div class="col-lg-8">
									<?=$this->Form->control('payment_terms', ['type' => 'textarea', 'escape' => false, 'class' => 'form-control', 'placeholder' => 'Payment Terms', 'label' => false, 'rows'=>'2','templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class='col-xs-6'>
							<div class="form-group">
								<label class="control-label col-lg-4">Address</label>
								<div class="col-lg-8">
									<?=$this->Form->control('address', ['type' => 'textarea', 'escape' => false, 'class' => 'form-control','disabled'=>true,'value'=>$purchaseOrder->vendor->address, 'placeholder' => 'Address', 'label' => false, 'rows'=>'2','templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
						<div class='col-xs-6'>
							<div class="form-group required">
								<label class="control-label col-lg-4">Terms Of Delivery</label>
								<div class="col-lg-8">
									<?=$this->Form->control('terms_of_delivery', ['required'=>true,'options'=>$purchase_order_terms, 'escape' => false, 'class' => 'form-control','empty' => 'Select Terms Of Delivery', 'label' => false, 'rows'=>'2', 'templates' => ['inputContainer' => '{{content}}']]);?>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-lg-12">
							<table class="table table-hover table-bordered table-striped dtBordered">
                                <thead>
                                    <tr class="bg-gray-active">
										<th class="col-lg-1 text-center">Sno.</th>
										<th class="col-lg-2">Component Name</th>
										<th class="col-lg-2">Process </th>
										<th class="col-lg-2">Purchase Order Qty</th>
										<th class="col-lg-1">Price (₹)</th>
										<th class="col-lg-1">GST (%)</th>
										<th class="col-lg-2 text-right">GST amount (₹)</th>
										<th class="col-lg-1 text-right">Amount  (₹)</th>
									</tr>
                                </thead>
								<tbody>
									<?php 
										$s_no=1;
										$total=$total_gst_amount=$total_amount=0;
										foreach ($purchaseOrder->purchase_order_components as $components_key => $components_value): 
										   $id=$components_value->id;
										   $component_cost=$components_value->price;
										   $component_gst=$components_value->gst;
										   $component_amount=$component_cost*$components_value->order_quantity;
										   $component_gst_amount=$component_amount*($component_gst/100);
										   $total_gst_amount=$total_gst_amount+$component_gst_amount;
										   $total_amount=$total_amount+$component_amount;
										   //pr($components_value);exit;
                                    ?>
									<tr>
										<td class="text-center"><?= $s_no ?></td>
										<td><?= $components_value->component->component_name ?></td>
										<td><?= $components_value->process->process_name ?></td>
										<td>
											<span class="col-xs-8 no-padding-left">
											<?= $this->Form->control('purchase_order_components['.$components_key.'].id', ['label'=>false,'value'=>$id,'type'=>'hidden'
												]); ?>
											<?= $this->Form->control('purchase_order_components['.$components_key.'].gst_amount', ['class'=>'edit-po-gst-value','label'=>false,'value'=>$component_gst_amount,'type'=>'hidden'
												]); ?>
											<?= $this->Form->control('purchase_order_components['.$components_key.'].order_quantity', ['type' => 'text','value'=>$components_value->order_quantity
												,'required'=>false 
												, 'escape' => false,'class'=>'form-control edit_order_quantity','label'=>false,
												'templates' => ['inputContainer' => '{{content}}']
												]);?>
											</span>
										</td>
										<td>
											<?= $this->Form->control('purchase_order_components['.$components_key.'].price', ['value'=>$component_cost,'required'=>false,'readonly','disabled'=>false,'class'=>'form-control edit_component_price','label'=>false,'templates' => ['inputContainer' => '{{content}}']
												]); ?>
										</td>
										<td>
											<?= $this->Form->control('purchase_order_components['.$components_key.'].gst', ['value'=>$component_gst,'required'=>false,'readonly','class'=>'form-control edit_component_gst','label'=>false,'templates' => ['inputContainer' => '{{content}}']
												]); ?>
										</td>
										<td class='edit-component-gst-value text-right'>
											<?= number_format($component_gst_amount,2) ?>
										</td>
										<td>
											<span class="col-xs-8">
											<?= $this->Form->control('purchase_order_components['.$components_key.'].amount', ['type' => 'text','value'=>$component_amount,'required'=>false ,'escape' => false,'readonly','class'=>'form-control edit_order_price','label'=>false]);?>
											</span>
										</td>
									</tr>
									<?php   $s_no++;?>
									<?php endforeach; ?>
									<tr>
										<td colspan="7" class="text-right"> <strong> Amount (₹) </strong></td>
										<td class="edit-po-amount"> <?= number_format($total_amount,2)?></td>
									</tr>
									<tr>
										<td colspan="7" class="text-right"> <strong> CGST Amount (₹) </strong></td>
										<td class="sedit-po-gst-amount"> <?= number_format($total_gst_amount/2,2)?></td>
									</tr>
									<tr>
										<td colspan="7" class="text-right"> <strong> SGST Amount (₹) </strong></td>
										<td class="cedit-po-gst-amount"> <?= number_format($total_gst_amount/2,2)?></td>
									</tr>
									<tr>
										<td colspan="7" class="text-right"> <strong> Total (₹) </strong></td>
										<td class="edit-po-total"> <?= number_format($total_gst_amount+$total_amount,2) ?></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
                <!-- ./box-body -->
                <div class="box-footer text-center">
                    <button class="btn btn-sm btn-success" data-toggle="modal" data-target="#cpo-modal1"> Update Purchase Order</button>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'listJobOrders'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- ./box-footer -->
                <?=$this->Form->end()?>
			</div>
		</div>
	</div>
</section>
