<?php
   /**
    * @var \App\View\AppView $this
    * @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
    */
   use Cake\Core\Configure;   
   $auth = $this->Session->read('Auth.User');
   function daysBetween($dt1)
   {
      $date1 = new DateTime($dt1);
      $date2 = new DateTime();
      $date2->format('Y-m-d H:i:s');
      return $date2->diff($date1)->format('%a');
   } 
    //pr($purchase_order);
   ?>
<section class="content-header">
   <h1>Purchase Order Management</h1>
</section>
<section class="content">
   <div class="row">
      <div class="col-xs-12">
         <div class="box box-default">
            <!-- /.box-header -->
            <div class="box-body table-responsive">
               <table class="table table-hover table-bordered table:border:2px">
                  <tbody>
                     <tr>
                        <th>Sno.</th>
                        <th>Purchase Order<br>Number</th>
                        <th>Purchase Order<br>Date</th>
                        <th>Group</th>
                        <th>Vendor</th>
                        <!-- <th>Age</th>
                        <th>Delay</th> -->
                        <th>Product Name</th>
                        <th>Total Amount</th>
                        <th>Status</th>
                        <th>Actions</th>
                     </tr>
                     <?php 
                        $s_no=1;
                        foreach ($purchase_orders as $purchase_order):
                        ?>
                     <tr>
                        <td><?= $s_no ?></td>
                        <td><?= $purchase_order->purchase_order_no ?></td>
                        <td><?=$purchase_order->created?></td>
                        <td><?=$purchase_order->purchase_indent->group->group_name?></td>
                        <td><?=$purchase_order->vendor->vendor_name?></td>
                       <!--  <td><?= daysBetween($purchase_order->created) ?></td>
                        <td><?= daysBetween($purchase_order->expected_delivery_date) ?></td> -->
                        <td><?=$purchase_order->purchase_indent->product->product_name?></td>
                        <td><?php 
                           if(!empty($purchase_order->purchase_order_components[0])){
                              echo $purchase_order->purchase_order_components[0]->total_po_amount+$purchase_order->purchase_order_components[0]->total_gst_amount;
                           }else{
                              echo 0;
                           }
                           ?>
                        </td>
                        <td>
                           <?php 
                              if ($purchase_order->status == 2) {
                                 ?>
                           <span class="text-yellow">
                           <?= $purchase_order_status[$purchase_order->status]?>
                           </span>
                           <?php
                              }else if ($purchase_order->status == 3) {
                                  ?>
                           <span class="text-blue">
                           <?= $purchase_order_status[$purchase_order->status]?>
                           </span>
                           <?php
                              }else if ($purchase_order->status == 4) {
                                  ?>
                           <span class="text-green">
                           <?= $purchase_order_status[$purchase_order->status]?>
                           </span>
                           <?php
                              }
                              
                              ?>                    
                        </td>
                        <td> 
                           <?php 
                              if($auth['user_role_id'] == 7){
                                  if($purchase_order->status == 2) {
                                    echo $this->Html->link(__('<i class="fa fa-eye"></i>'), ['action' => 'view', $purchase_order->id], ['class' => 'btn btn-default', 'title' => 'Approve Purchase Order', 'escape' => false]) . "\n";
                                }
                                else if ($purchase_order->status == 3) {
                                    echo $this->Html->link(__('<i class="fa fa-eye"></i>'), ['action' => 'view', $purchase_order->id], ['class' => 'btn btn-default', 'title' => 'View Purchase Order', 'escape' => false]) . "\n";
                                }
                              }else{
                              
                                    // if($auth['user_role_id'] == 1 && $purchase_order->status != 3){
                                    //    echo $this->Html->link(__('Approve'), ['action' => 'edit', $purchase_order->id], ['class' => 'btn btn-default', 'title' => 'Approve Purchase Order', 'escape' => false]) . "\n";   
                                    // }
                                  echo $this->Html->link(__('<i class="fa fa-eye"></i>'), ['action' => 'view', $purchase_order->id], ['class' => 'btn btn-info', 'title' => 'View Purchase Order', 'escape' => false]) . "\n";
                              }

                                 echo $this->Html->link(__('Edit Purchase Order'), ['action' => 'edit', $purchase_order->id], ['class' => 'btn btn-default', 'title' => 'Edit Purchase Order', 'escape' => false]) . "\n";
                              ?>
                        </td>
                     </tr>
                     <?php 
                        $s_no++;
                        endforeach;?>
                  </tbody>
               </table>
               <div class="box-footer">
                  <div class="paginator">
                     <div class="row">
                        <div class="col-sm-6">
                           <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
                        </div>
                        <div class="col-sm-6 text-right">
                           <ul class="pagination no-margin">
                              <?= $this->Paginator->first('<< ' . __('first')) ?>
                              <?= $this->Paginator->prev('< ' . __('previous')) ?>
                              <?= $this->Paginator->numbers() ?>
                              <?= $this->Paginator->next(__('next') . ' >') ?>
                              <?= $this->Paginator->last(__('last') . ' >>') ?>
                           </ul>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <!-- /.box-body -->
      </div>
      <!-- /.box -->
   </div>
</section>