<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
	 */
	use Cake\Core\Configure;   
	$auth = $this->Session->read('Auth.User');
	function daysBetween($dt1)
	{
	   $date1 = new DateTime($dt1);
	   $date2 = new DateTime();
	   $date2->format('Y-m-d H:i:s');
	   return $date2->diff($date1)->format('%a');
	} 
?>
<section class="content-header">
	<h1>Manage Purchase Orders - Out Components</h1>
</section>
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box box-default">
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover table-bordered table-striped dtBordered">
                        <thead>
                            <tr class="bg-gray-active">
								<th class="col-lg-1 text-center">Sno.</th>
								<th class="col-lg-2">Purchase Order Number</th>
								<th class="col-lg-1">Purchase Order Date</th>
								<th class="col-lg-1">Group</th>
								<th class="col-xs-2">Vendor</th>
								<!-- <th>Age</th>
									<th>Delay</th> -->
								<th class="col-lg-1">Product Name</th>
								<th class="col-lg-1">Total Amount</th>
								<th class="col-lg-1 text-center">Status</th>
								<th class="col-lg-2 text-center">Actions</th>
							</tr>
                        </thead>
						<tbody>
							<?php 
                            #check empty
								if(count($purchase_orders) > 0){
                                #prepare serial number
									$currentPage = (($this->Paginator->current()==1) ? 0 : (($this->Paginator->current()-1)*20));
                                #prepare data
                                    foreach ($purchase_orders as $key => $purchase_order){
                                        $currentPage = $currentPage+1;
                            ?>
							<tr>
								<td class="text-center"><?= h($currentPage) ?></td>
								<td><?= h($purchase_order->purchase_order_no) ?></td>
								<td><?= date("d-m-Y", strtotime($purchase_order->created) )  ?></td>
								<td><?= h($purchase_order->purchase_indent->group->group_name) ?></td>
								<td><?= h($purchase_order->vendor->vendor_name) ?></td>
								<!-- <td><?= daysBetween($purchase_order->created) ?></td>
									<td><?= daysBetween($purchase_order->expected_delivery_date) ?></td> -->
								<td><?= h($purchase_order->purchase_indent->product->product_name) ?></td>
								<td>
                                    <?php 
									if(!empty($purchase_order->purchase_order_components[0])){
									   echo number_format( $purchase_order->purchase_order_components[0]->total_po_amount+$purchase_order->purchase_order_components[0]->total_gst_amount,2);
									}else{
									   echo 0;
									}
									?>
								</td>
								<td class="text-center">
									<?php 
										if ($purchase_order->status == 4 ) {
                                    ?>
									<span class="label label-warning">
                                        <?= $purchase_order_status[$purchase_order->status]?>
									</span>
									<?php
                                        }else if ($purchase_order->status == 1) {
                                    ?>
									<span class="label label-info">
                                        <?= $purchase_order_status[$purchase_order->status]?>
									</span>
									<?php
										}else if ($purchase_order->status == 3) {
                                    ?>
									<span class="label label-success">
                                        <?= $purchase_order_status[$purchase_order->status]?>
									</span>
									<?php
										}else if ($purchase_order->status == 5) {
                                    ?>
									<span class="label label-danger">
                                        <?= $purchase_order_status[$purchase_order->status]?>
									</span>
									<?php
										}
										else if ($purchase_order->status == 2) {
                                    ?>
									<span class="label label-primary">
                                        <?= $purchase_order_status[$purchase_order->status]?>
									</span>
									<?php
										}
									?>                            
								</td>
								<td class="text-center"> 
									<?php
										if(in_array($purchase_order->status, [1,2,3,4,5])) {
                                        #edit
										    if(in_array($auth['user_role_id'], [1,7]) && in_array($purchase_order->status, [1,4,5])){
										      echo $this->Html->link(__('<i class="fa fa-edit"></i> Edit'), ['action' => 'edit', $purchase_order->id], ['class' => 'btn btn-primary btn-xs', 'title' => 'Edit Purchase Order', 'escape' => false]) . "\n";
										   }
                                        #view
                                           echo $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'view', $purchase_order->id], ['class' => 'btn btn-info btn-xs', 'title' => 'View Purchase Order', 'escape' => false]) . "\n";
                                        #pdf download
										   if($purchase_order->status == 2){
                                                $pdf_file=WWW_ROOT . 'files/purchase_orders' . DS . $purchase_order->purchase_order_no . '.pdf';
                                                if (file_exists($pdf_file)) {
										            echo '<a href="'.$this->Url->build('/files/purchase_orders/'.$purchase_order->purchase_order_no.'.pdf').'" target="_blank" class="btn btn-xs btn-success" download><i class="fa fa-file-pdf-o"></i> Pdf</a>';
										         }
										   }                              
										}
										?>
								</td>
							</tr>
                            <?php 
                                    }
								}
                                else{
                                    echo '<tr><td colspan="9" class="text-center">No records found!</td></tr>';
								}
                            ?>
						</tbody>
					</table>
				</div>
                <!-- /.box-body -->
                <div class="box-footer">
                    <div class="paginator">
                        <div class="row">
                            <div class="col-sm-6">
                                <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
                            </div>
                            <div class="col-sm-6 text-right">
                                <ul class="pagination no-margin">
                                    <?= $this->Paginator->first('<< ' . __('first')) ?>
                                    <?= $this->Paginator->prev('< ' . __('previous')) ?>
                                    <?= $this->Paginator->numbers() ?>
                                    <?= $this->Paginator->next(__('next') . ' >') ?>
                                    <?= $this->Paginator->last(__('last') . ' >>') ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.box-footer -->
			</div>
		</div>
		<!-- /.box -->
	</div>
</section>
