<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\PurchaseOrder[]|\Cake\Collection\CollectionInterface $purchaseOrders
	 */
	
	?>
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<h1>
			Purchase Indent for Raw Material
		</h1>
	</section>
	<div class="container-fluid">
		<div class="row">
			<div class="col-xs-12">
				<div class="box">
					<div class="box-body table-responsive no-padding">
						<div class="col-xs-12">
							<table class="table table-hover table-bordered table:border:2px">
                                <thead>
                                    <tr class="bg-gray-active">
										<th>Purchase Indent Number</th>
										<th>Quarter</th>
										<th>Group Name</th>
										<th>Product Name</th>
										<th>Indent Raised on</th>
										<th>Status</th>
										<th></th>
									</tr>
                                </thead>
								<tbody>
									<?php foreach ($purchaseIndentsData as $purchaseIndent):?>
									<tr>
										<td><?=$purchaseIndent->purchase_intent_no?></td>
										<td><?=$purchaseIndent->annual_quarter_plan->duration?></td>
										<td><?=$purchaseIndent->annual_quarter_plan->product->component_products[0]->component->component_groups[0]->group->group_name?></td>
										<td><?=$purchaseIndent->annual_quarter_plan->product->product_name?></td>
										<td><?=$purchaseIndent->created?></td>
										<td><?=$purchaseIndent->status?></td>
										<td> 
											<?php
												echo $this->Html->link(__('Create Purchase Order'), ['action' => 'add', $purchaseIndent->id], ['class' => 'btn btn-default', 'title' => 'Create Purchase Order', 'escape' => false]) . "\n";
												?>
										</td>
									</tr>
									<?php endforeach;?>
								</tbody>
							</table>
							<div class="paginator">
								<ul class="pagination">
									<?=$this->Paginator->first('<< ' . __('first'))?>
									<?=$this->Paginator->prev('< ' . __('previous'))?>
									<?=$this->Paginator->numbers()?>
									<?=$this->Paginator->next(__('next') . ' >')?>
									<?=$this->Paginator->last(__('last') . ' >>')?>
								</ul>
								<p><?=$this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')])?></p>
							</div>
						</div>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
		</div>
	</div>
	<!-- /.content -->
</div>
