<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\StoreComponent $storeComponent
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Store Component
		<small><?php echo __('Add'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- /.box-header -->
				<!-- form start -->
				<?php echo $this->Form->create($storeComponent, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<!-- <div class="form-group required">
						<label class="control-label col-lg-4">Product Name</label>
						<div class="col-lg-4">
						   <?php echo $this->Form->control('product_id', ['options' => $products,'templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
						</div>
						</div> -->
					<div class="form-group required">
						<label class="control-label col-lg-4">Component Name</label>
						<div class="col-lg-4">
							<?php echo $this->Form->control('component_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
						</div>
					</div>
					<div class="form-group required">
						<label class="control-label col-lg-4">Part No</label>
						<div class="col-lg-4">
							<?php echo $this->Form->control('component_part_no', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
						</div>
					</div>
					<div class="form-group required">
						<label class="control-label col-lg-4">Type</label>
						<div class="col-lg-4">
							<?php echo $this->Form->control('component_type', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
						</div>
					</div>
					<div class="form-group required">
						<label class="control-label col-lg-4">Make</label>
						<div class="col-lg-4">
							<?php echo $this->Form->control('component_make', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
						</div>
					</div>
					<div class="form-group required">
						<label class="control-label col-lg-4">NPM</label>
						<div class="col-lg-4">
							<?php echo $this->Form->control('npm', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
						</div>
					</div>
					<div class="form-group required">
						<label class="control-label col-lg-4">Buying Frequency</label>
						<div class="col-lg-4">
							<?php echo $this->Form->control('buying_frequency', ['empty' => 'Select','default'=>'' ,'options' => $buyer_frequency,'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2', 'required' => true]); ?>
						</div>
					</div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Default Vendor Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('default_vendor_id', ['empty' => 'Select', 'options' => $vendors, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'select-2']); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Status</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('is_active', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, "data-toggle" => "toggle", "data-style" => "ios", "data-onstyle" => "success", "data-offstyle" => "warning", "data-size" => "small"]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
					<?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
					<?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
				</div>
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
