<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Store Components</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<div class="box-header">
					<h3 class="box-title">
						<!-- feature content -->
					</h3>
					<div class="box-tools">
						<div class="pull-right">
							<?php echo $this->Html->link(__('Import Store Components') , ['action' => 'import'], ['class'=>'btn btn-sm btn-warning ']) ?>
							<?php echo $this->Html->link('<i class="fa fa-plus"></i> Add', ['action' => 'add'], ['class'=>'btn btn-primary btn-sm', 'escape' => false]) ?>
						</div>
					</div>
				</div>
				<!-- /.box-header -->
				<div class="box-body table-responsive">
					<table class="table table-hover table-bordered table-striped dtBordered">
						<thead>
							<tr class="bg-gray-active">
								<th class="text-center">Sno.</th>
								<th>Component Name</th>
								<th>Part No</th>
								<th class="text-center">Type</th>
								<th class="text-center">Make</th>
								<th class="text-center">Npm</th>
								<th class="text-center">Buying Frequency</th>
								<th class="text-center">Is Active</th>
								<th class="text-center"><?= __('Actions') ?></th>
							</tr>
						</thead>
						<tbody>
							<?php
								#check empty
								    if(count($storeComponents)>0){
								#prepare serial number
								    $currentPage = ( ($this->Paginator->current()==1) ? 0 : (($this->Paginator->current()-1)*20));
								#prepare data
								foreach ($storeComponents as $key => $storeComponent){
								        $currentPage = $currentPage+1;
								?>
							<tr>
								<td class="text-center"><?= h($currentPage) ?></td>
								<td><?= h($storeComponent->component_name) ?></td>
								<td><?= h($storeComponent->component_part_no) ?></td>
								<td class="text-center"><?= h($storeComponent->component_type) ?></td>
								<td class="text-center"><?= h($storeComponent->component_make) ?></td>
								<td class="text-center"><?= $this->Number->format($storeComponent->npm) ?></td>
								<td class="text-center"><?= h($buyer_frequency[$storeComponent->buying_frequency]) ?></td>
								<td class="text-center"><?= ( $storeComponent->is_active == 1 ? '<span class="label label-success">Active</span>' : '<span class="label label-warning">InActive</span>' ) ?></td>
								<td class="actions text-center">
									<?= $this->Html->link(__('<i class="fa fa-edit"></i> Edit'), ['action' => 'edit', $storeComponent->id], ['escape' => false,'class'=>'btn btn-xs btn-primary']) ?>
									<?= $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'view', $storeComponent->id], ['escape' => false,'class'=>'btn btn-xs btn-info']) ?>
									<!-- <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $storeComponent->id], ['confirm' => __('Are you sure you want to delete # {0}?', $storeComponent->id), 'class'=>'btn btn-danger btn-xs']) ?> -->
								</td>
							</tr>
							<?php 
								} 
								}
								else{
								?>
							<tr>
								<td colspan="9" class="text-center">No records Found!</td>
							</tr>
							<?php
								}
								?>
						</tbody>
					</table>
				</div>
				<!-- /.box-body -->
				<div class="box-footer">
					<div class="paginator">
						<div class="row">
							<div class="col-sm-6">
								<p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
							</div>
							<div class="col-sm-6 text-right">
								<ul class="pagination no-margin">
									<?= $this->Paginator->first('<< ' . __('first')) ?>
									<?= $this->Paginator->prev('< ' . __('previous')) ?>
									<?= $this->Paginator->numbers() ?>
									<?= $this->Paginator->next(__('next') . ' >') ?>
									<?= $this->Paginator->last(__('last') . ' >>') ?>
								</ul>
							</div>
						</div>
					</div>
				</div>
				<!-- /.box-footer -->
			</div>
			<!-- /.box -->
		</div>
	</div>
</section>
