<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\SubAssembly $subAssembly
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Sub Assembly Management<small><?php echo __('Edit'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($subAssembly, ['role' => 'form', 'class' => 'form-horizontal']); ?>
				<div class="box-body">
					<div class="form-group required">
                        <label class="control-label col-lg-4">Sub Assembly Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('sub_assembly_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Sub Assembly Code</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('sub_assembly_code', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Sub Assembly Product</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('products._ids', ['options' => $products, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'class' => 'smartsearch_multiple', 'multiple' => true, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Status</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('is_active', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, "data-toggle" => "toggle", "data-style" => "ios", "data-onstyle" => "success", "data-offstyle" => "warning", "data-size" => "small"]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
