<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\User $user
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>User Role Privilege<small><?php echo __('Assignment'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content user-previllege">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
                <div class="box-header">
                    <p><label>User Role :</label> <?= $userRole["user_role"] ?></p>
                </div>
                <!-- form start -->
				<?php echo $this->Form->create(null, ['role' => 'form', 'class' => 'form-horizontal', 'type' => 'file']); ?>
				<div class="box-body">
                    <table class="table table-bordered table-hover table-striped dtBordered user-previllege-table">
                        <thead>
                            <tr class="bg-gray-active">
                                <th class="col-lg-1 text-center">Sno.</th>
                                <th class="col-lg-5">Menu Name</th>
                                <th class="col-lg-6">Module Name</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                        #array flip
                            $userRoleModules = array_flip($userRoleModules);
                        #master menu
                            foreach($modules AS $key => $rows):
                        ?>
                            <tr>
                                <td class="text-center"><?= ($key+1) ?></td>
                                <td>
                                    <?= $rows->menu_name ?>
                                    <?= $this->Form->control('menu_previllege['.$rows->id.'][module_master_id]', ['type' => 'hidden', 'value' => $rows->id]); ?>
                                 </td>
                                <td>
                                    <table class="table table-bordered dtBordered">
                                    <?php
                                    #master menu module list
                                        foreach($rows->modules AS $mKey => $mRows){
                                        #set module checkbox checked
                                            $mChecked   = ( isset($userRoleModules[$mRows->id]) ? 'checked' : '' );
                                        #prepare table row
                                            echo '<tr>';
                                                echo '<td class="col-lg-2 text-center" for="menu-name-'.$mKey.'">';
                                                #prpare checkbox
                                                    echo '<input type="checkbox" name="menu_previllege['.$rows->id.'][module]['.$mRows->id.'][module_id]" class="menu-name" id="menu-name-'.$mKey.'" value="'.$mRows->id.'" '.$mChecked.' />';
                                                echo '</td>';
                                                echo '<td class="col-lg-10"><b>'.$mRows->module_name.'</b>';
                                                #hide menu action if not selected
                                                    $customHide = ( isset($userRoleModules[$mRows->id]) ? '' : 'custom-hide' );
                                                    $userActions = [];
                                                #checks user acion id exists
                                                    foreach($userRoleModuleActions AS $uaKey => $uaRows){
                                                        if($uaRows['module_id']==$mRows->id){
                                                            $userActions = $uaRows['action_id'];
                                                            if(!empty($userActions)){
                                                                $userActions = explode(',', $userActions);
                                                                $userActions = array_flip($userActions);
                                                            }
                                                        }
                                                    }
                                                #menu module actions
                                                    echo '<ul class="menu-actions '.$customHide.'">';
                                                    foreach($mRows->module_actions AS $maKey => $maRows){
                                                    #prepare checked
                                                        $checked = (isset($userActions[$maRows->id]) ? 'checked' : '');
                                                    #prepare checkbox
                                                        echo '<li><label><input type="checkbox" name="menu_previllege['.$rows->id.'][module]['.$mRows->id.'][menu_action][]" class="action-title" value="'.$maRows->id.'" '.$checked.'> '.$maRows->title.'</label></li>';
                                                    }
                                                    echo '</ul>';
                                                echo '</td>';
                                            echo '</tr>';
                                        }
                                    ?>
                                    </table>
                                </td>
                            </tr>
                        <?php
                            endforeach;
                        ?>
                        <tbody>
                    </table>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success', 'id' => 'userPrevillegeSubmit']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
                <!-- ./form-end -->
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
