<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\User $user
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Profile Information
		<small><?php echo __('Change Password'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<div class="box-header no-border"></div>
				<!-- /.box-header -->
				<!-- form start -->
				<?php echo $this->Form->create($user, ['role' => 'form', 'class' => 'form-horizontal', 'type' => 'file']); ?>
				<div class="box-body">
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Current Password</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('password', ['type' => 'password', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => '']); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">New Password</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('new_password', ['type' => 'password', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => '']); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Confirm Password</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('confirm_password', ['type' => 'password', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'value' => '']); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->control('username', ['type' => 'hidden', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false]); ?>
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class'=>'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'profileView', $user->id], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- ./box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
