<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\User $user
	 */
	?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>
		Profile Information
		<small><?php echo __('Edit'); ?></small>
	</h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<div class="box-header no-border"></div>
				<!-- /.box-header -->
				<!-- form start -->
				<?php echo $this->Form->create($user, ['role' => 'form', 'class' => 'form-horizontal', 'type' => 'file']); ?>
				<div class="box-body">
                    <div class="form-group required">
                        <label class="control-label col-lg-4">User Role</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('user_role_id', ['options' => $userRoles, 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">User Profile Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('user_full_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Email</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('user_email', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Mobile No.</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('user_mobile_no', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Profile Image</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->input('photo', ['type' => 'file', 'class' => 'form-control', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'accept' => 'image/*']); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class'=>'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'profileView', $user->id], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- ./box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
