<?php
	/**
	 * @var \App\View\AppView $this
	 * @var \App\Model\Entity\Vendor $vendor
	 */
?>
<!-- Content Header (Page header) -->
<section class="content-header">
	<h1>Vendor Management<small><?php echo __('Edit'); ?></small></h1>
</section>
<!-- Main content -->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<!-- general form elements -->
			<div class="box box-default">
				<!-- form start -->
				<?php echo $this->Form->create($vendor, ['role' => 'form', 'class' => 'form-horizontal', 'type' => 'file']); ?>
				<div class="box-body">
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Vendor Name</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('vendor_name', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Vendor Code</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('vendor_code', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Contact Person</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('contact_person', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Mobile No.</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('mobile', ['templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">phone</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('phone', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Email</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('email', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Address</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('address', ['type' => 'textarea', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-lg-4">Rating</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('rating', ['type' => 'text', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, 'required' => true]); ?>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-lg-4">Status</label>
                        <div class="col-lg-4">
                            <?php echo $this->Form->control('is_active', ['type' => 'checkbox', 'templates' => ['inputContainer' => '{{content}}'], 'label' => false, "data-toggle" => "toggle", "data-style" => "ios", "data-onstyle" => "success", "data-offstyle" => "warning", "data-size" => "small", 'required' => true]); ?>
                        </div>
                    </div>
				</div>
				<!-- /.box-body -->
				<div class="box-footer text-center">
                    <?php echo $this->Form->button('Submit', ['type' => 'submit', 'class' => 'btn btn-sm btn-success']); ?>
                    <?= $this->Html->link(__('Cancel'), ['action' => 'index'], ['class'=>'btn btn-sm btn-danger']) ?>
                </div>
                <!-- /.box-footer -->
				<?php echo $this->Form->end(); ?>
			</div>
			<!-- /.box -->
		</div>
	</div>
	<!-- /.row -->
</section>
