<?php
    use Cake\Core\Configure;
#import hide
    $ImportHide = Configure::read('ImportHide');
    $customHide = ($ImportHide==true ? 'custom-hide' : '');
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>Vendor Management</h1>
</section>
<!-- Main content -->
<section class="content">
    <!-- filter section -->
    <div class="row filter">
        <div class="col-xs-12">
            <div class="box box-default ">
                <?php
                    echo $this->Form->create(null, ['valueSources' => 'query', 'method' => 'get']);
                ?>
                <div class="box-body">
                    <?php
                        # You'll need to populate $authors in the template from your controller
                        echo '<div class="row">';

                            echo '<div class="col-md-4 col-lg-4">';
                                echo '<label class="col-md-4 col-lg-4">Vendor Name</label>';
                                echo '<div class="col-md-8 col-lg-8">';
                                    echo $this->Form->control('vendor_name', ['label' => false, 'class' => 'form-control', 'placeholder' => 'Vendor Name']);
                                echo '</div>';
                            echo '</div>';
                            
                            echo '<div class="col-md-4 col-lg-4">';
                                echo '<label class="col-md-4 col-lg-4">Vendor Code</label>';
                                echo '<div class="col-md-8 col-lg-8">';
                                    echo $this->Form->control('vendor_code', ['label' => false, 'class' => 'form-control', 'placeholder' => 'Vendor Code']);
                                echo '</div>';
                            echo '</div>';

                            echo '<div class="col-md-4 col-lg-4">';
                                echo '<label class="col-md-4 col-lg-4">Status</label>';
                                echo '<div class="col-md-8 col-lg-8">';
                                    echo $this->Form->control('is_active', ['class' => 'form-control select-2', 'options' => $activeStatus, 'label' => false, 'empty' => 'All']);
                                echo '</div>';
                            echo '</div>';

                        echo '</div>';
                    ?>
                </div>
                <!-- ./box-body -->
                <div class="box-footer text-right">
                    <?php echo $this->Form->button('<i class="fa fa-filter"></i> Filter', ['type' => 'submit', 'class' => 'btn btn-xs btn-info', 'escape'=>false]); ?>
                    <?php echo $this->Html->link('<i class="fa fa-undo"></i> Reset', ['action' => 'index'], ['class' => 'btn btn-xs btn-danger', 'escape'=>false]); ?>
                </div>
                <!-- ./box-footer -->
                <?php
                    echo $this->Form->end();
                ?>
            </div>
        </div>
    </div>
    <!-- ./filter section -->

    <!-- main content -->
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title"><!-- feature content --></h3>
                    <div class="box-tools" style="right: 80px">
                        <div class="pull-rights">
                            <div class="btn-group">
                                <button type="button" class="btn btn-warning btn-sm dropdown-toggle" data-toggle="dropdown">
                                  <i class="fa fa-th-list"></i> Import  
                                </button>
                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <?php echo $this->Html->link(__('Vendors')   , ['action' => 'vendorImport'], ['class'=>'']) ?>
                                    </li>
                                    <li>
                                        <?php echo $this->Html->link(__('Vendor Components')   , ['action' => 'VendorComponentImport'], ['class'=>'']) ?>
                                    </li>
                                    <li>
                                        <?php echo $this->Html->link(__('Vendor Raw Materials')   , ['action' => 'VendorRawMaterialImport'], ['class'=>'']) ?>
                                    </li>
                                    <li>
                                        <?php echo $this->Html->link(__('Vendor Processes')   , ['action' => 'VendorProcessImport'], ['class'=>'']) ?>
                                    </li>
                                    <li>
                                        <?php echo $this->Html->link(__('Vendor Store Components')   , ['action' => 'VendorStoreComponentsImport'], ['class'=>'']) ?>
                                    </li>
                                </ul>
                            </div>
                            <?php echo $this->Html->link('<i class="fa fa-plus"></i> Add', ['action' => 'add'], ['class'=>'btn btn-sm btn-primary', 'escape'=>false]) ?>      
                        </div>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body table-responsive">
                    <table class="table table-bordered table-hover table-striped dtBordered">
                        <thead>
                            <tr class="bg-gray-active">
                                <th class="col-lg-1 text-center">Sno.</th>
                                <th class="col-lg-2">Vendor Name</th>
                                <th class="col-lg-1">Vendor Code</th>
                                <th class="col-lg-1">Email</th>
                                <th class="col-lg-1">Contact Number</th>
                                <th class="col-lg-2">Mobile No.</th>
                                <th class="col-lg-1 text-center">Status</th>
                                <th class="col-lg-1 text-center">Price update</th>
                                <th class="col-lg-2 text-center">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                if(count($vendors)>0){
                                    $currentPage = ( ($this->Paginator->current()==1) ? 0 : (($this->Paginator->current()-1)*20));
                                    foreach($vendors AS $key => $rows){
                                        $currentPage = $currentPage+1;
                            ?>
                            <tr>
                                <td class="text-center"><?= h($currentPage) ?></td>
                                <td><?= h($rows->vendor_name) ?></td>
                                <td><?= h($rows->vendor_code) ?></td>
                                <td><?= $rows->email ?></td>
                                <td><?= $rows->phone ?></td>
                                <td><?= $rows->mobile ?></td>
                                <td class="text-center">
                                    <?= ($rows->is_active==0 ? '<span class="label label-warning">In Active</span>' : '<span class="label label-success">Active</span>') ?>
                                </td>
                                <td class="text-center">                               
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-default btn-xs dropdown-toggle" data-toggle="dropdown">
                                        <i class="fa fa-rupee"></i> Update Price  
                                        </button>
                                        <ul class="dropdown-menu" role="menu">
                                            <li>
                                                <?php echo $this->Html->link(__('Component Price'), ['action' => 'updateComponentPrice', $rows->id]) ?>
                                            </li>
                                            <li>
                                                <?php echo $this->Html->link(__('Process Price'), ['action' => 'updateProcessPrice', $rows->id]) ?>
                                            </li>
                                            <li>
                                            <?php echo $this->Html->link(__('Raw Material Price'), ['action' => 'updateRawmaterialPrice', $rows->id]) ?>
                                            </li>
                                            <li>
                                            <?php echo $this->Html->link(__('Store Component Price'), ['action' => 'updateStoreComponentPrice', $rows->id]) ?>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                                <td class="text-center">
                                    <?php
                                        echo $this->Html->link(__('<i class="fa fa-edit"></i> Edit'), ['action' => 'edit', $rows->id], ['class' => 'btn btn-xs btn-primary', 'title' => 'View Tag',  'data-size' => 'md', 'data-height' => '', 'escape'=>false])."\n";
                                        echo $this->Html->link(__('<i class="fa fa-eye"></i> View'), ['action' => 'view', $rows->id], ['class' => 'btn btn-xs btn-info', 'title' => 'View Tag',  'data-size' => 'md', 'data-height' => '', 'escape'=>false])."\n";
                                    ?>
                                </td>
                            </tr>
                            <?php
									}
                                }
								else{
                            ?>
								<tr>
									<td colspan="9" class="text-center">No records Found!</td>
								</tr>
							<?php
								}
							?>
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer">
                    <div class="paginator">
                        <div class="row">
                            <div class="col-sm-6">
                                <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
                            </div>
                            <div class="col-sm-6 text-right">
                                <ul class="pagination no-margin">
                                    <?= $this->Paginator->first('<< ' . __('first')) ?>
                                    <?= $this->Paginator->prev('< ' . __('previous')) ?>
                                    <?= $this->Paginator->numbers() ?>
                                    <?= $this->Paginator->next(__('next') . ' >') ?>
                                    <?= $this->Paginator->last(__('last') . ' >>') ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ./box-footer -->
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
