<?php
namespace App\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * AnnualComponentTrackingsFixture
 *
 */
class AnnualComponentTrackingsFixture extends TestFixture
{

    /**
     * Fields
     *
     * @var array
     */
    // @codingStandardsIgnoreStart
    public $fields = [
        'id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'autoIncrement' => true, 'precision' => null],
        'annual_quarter_plan_id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'component_product_id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'annual_assembly_tracking_id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'product_number' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'total_components' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'total_completed_components' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'total_rejected_components' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'status' => ['type' => 'tinyinteger', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => '0 - blank nothig happen   1 - component in progress 2 - compoenet ready 3 - qc delay first level  4 - qc delay second level 5 - qc partial rejection  6 - qc rejected  7 - qc conditional acceptance 8 - qc completed  9 - assembly delay first level  10 - assembly delay second level  11 - assembly partial rejection 12 - assembly rejected  13 - assembly conditional acceptance 14 - assembly accepted', 'precision' => null],
        'status_updated_on' => ['type' => 'datetime', 'length' => null, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null],
        'description' => ['type' => 'text', 'length' => null, 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'is_eventual_product' => ['type' => 'tinyinteger', 'length' => 2, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null],
        'is_eventual_mapped' => ['type' => 'tinyinteger', 'length' => 4, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null],
        'is_active' => ['type' => 'tinyinteger', 'length' => 4, 'unsigned' => false, 'null' => true, 'default' => '1', 'comment' => '0 - In Active, 1 - Active, 2 - Delete', 'precision' => null],
        'created_by' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'created' => ['type' => 'datetime', 'length' => null, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null],
        'modified_by' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'modified' => ['type' => 'datetime', 'length' => null, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null],
        '_indexes' => [
            'annual_quarter_plan_id' => ['type' => 'index', 'columns' => ['annual_quarter_plan_id'], 'length' => []],
            'component_product_id' => ['type' => 'index', 'columns' => ['component_product_id'], 'length' => []],
            'annual_assembly_tracking_id' => ['type' => 'index', 'columns' => ['annual_assembly_tracking_id'], 'length' => []],
            'product_number' => ['type' => 'index', 'columns' => ['product_number'], 'length' => []],
        ],
        '_constraints' => [
            'primary' => ['type' => 'primary', 'columns' => ['id'], 'length' => []],
            'annual_component_trackings_ibfk_1' => ['type' => 'foreign', 'columns' => ['annual_quarter_plan_id'], 'references' => ['annual_quarter_plans', 'id'], 'update' => 'restrict', 'delete' => 'restrict', 'length' => []],
            'annual_component_trackings_ibfk_2' => ['type' => 'foreign', 'columns' => ['component_product_id'], 'references' => ['component_products', 'id'], 'update' => 'restrict', 'delete' => 'restrict', 'length' => []],
            'annual_component_trackings_ibfk_3' => ['type' => 'foreign', 'columns' => ['annual_assembly_tracking_id'], 'references' => ['annual_assembly_trackings', 'id'], 'update' => 'restrict', 'delete' => 'restrict', 'length' => []],
        ],
        '_options' => [
            'engine' => 'InnoDB',
            'collation' => 'utf8_general_ci'
        ],
    ];
    // @codingStandardsIgnoreEnd

    /**
     * Init method
     *
     * @return void
     */
    public function init()
    {
        $this->records = [
            [
                'id' => 1,
                'annual_quarter_plan_id' => 1,
                'component_product_id' => 1,
                'annual_assembly_tracking_id' => 1,
                'product_number' => 1,
                'total_components' => 1,
                'total_completed_components' => 1,
                'total_rejected_components' => 1,
                'status' => 1,
                'status_updated_on' => '2019-05-23 05:40:45',
                'description' => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida, phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam, vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit, feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
                'is_eventual_product' => 1,
                'is_eventual_mapped' => 1,
                'is_active' => 1,
                'created_by' => 1,
                'created' => '2019-05-23 05:40:45',
                'modified_by' => 1,
                'modified' => '2019-05-23 05:40:45'
            ],
        ];
        parent::init();
    }
}
