<?php use Cake\Core\Configure; ?>

<?php
	$auth = $this->Session->read('Auth.User');
?>

<nav class="navbar navbar-static-top">
	<?php if (isset($layout) && $layout == 'top'): ?>
	<div class="container-fluid">
		<div class="navbar-header">
			<a class="navbar-brand">
				<img src='<?php echo $this->Url->image(Configure::read('Theme.logo.large')); ?>' class="img-responsive logo-header" />
			</a>
			<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
				<i class="fa fa-bars"></i>
			</button>
		</div>
		<!-- Collect the nav links, forms, and other content for toggling -->
		<div class="collapse navbar-collapse pull-left" id="navbar-collapse">
			<ul class="nav navbar-nav">
                <?php if($auth['user_role_id']==1 || $auth['user_role_id']==2 || $auth['user_role_id']==3): ?>
                <li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">Dashboard <span class="caret"></span></a>
					<ul class="dropdown-menu" role="menu">
						<li>
							<a href="<?= $this->Url->build(['controller'=>'AnnualComponentTrackings', 'action'=>'index', '_full'=>true]); ?>">
								Product Dashboard
							</a>
						</li>
					</ul>
				</li>
                <li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">Business Plans <span class="caret"></span></a>
					<ul class="dropdown-menu" role="menu">
						<li>
							<a href="<?= $this->Url->build(['controller'=>'AnnualPlans', 'action'=>'index', '_full'=>true]); ?>">
								Annual Plan
							</a>
						</li>
						<li>
							<a href="<?= $this->Url->build(['controller'=>'AnnualQuarterPlans', 'action'=>'index', '_full'=>true]); ?>">
								Quarter Plan
							</a>
						</li>
					</ul>
				</li>
				<li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">Users <span class="caret"></span></a>
					<ul class="dropdown-menu" role="menu">
						<li>
							<a href="<?= $this->Url->build(['controller'=>'UserRoles', 'action'=>'index', '_full'=>true]); ?>">
								Users Roles
							</a>
						</li>
						<li>
							<a href="<?= $this->Url->build(['controller'=>'Users', 'action'=>'index', '_full'=>true]); ?>">
								Users
							</a>
						</li>
                        <li>
							<a href="<?= $this->Url->build(['controller'=>'Groups', 'action'=>'index', '_full'=>true]); ?>">
								Groups
							</a>
						</li>
					</ul>
				</li>
				<li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">Machine <span class="caret"></span></a>
					<ul class="dropdown-menu" role="menu">
						<li>
							<a href="<?= $this->Url->build(['controller'=>'MachineTypes', 'action'=>'index', '_full'=>true]); ?>">
								Machine Types
							</a>
						</li>
						<li>
							<a href="<?= $this->Url->build(['controller'=>'Machines', 'action'=>'index', '_full'=>true]); ?>">
								Machines
							</a>
						</li>
                        <li>
							<a href="<?= $this->Url->build(['controller'=>'Processes', 'action'=>'index', '_full'=>true]); ?>">
								Processes
							</a>
						</li>
					</ul>
				</li>
				<li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">Components <span class="caret"></span></a>
					<ul class="dropdown-menu" role="menu">
						<li>
							<a href="<?= $this->Url->build(['controller'=>'SubAssemblies', 'action'=>'index', '_full'=>true]); ?>">
								Sub Assemblies
							</a>
						</li>
						<li>
							<a href="<?= $this->Url->build(['controller'=>'Products', 'action'=>'index', '_full'=>true]); ?>">
								Products
							</a>
						</li>
						<li>
							<a href="<?= $this->Url->build(['controller'=>'Components', 'action'=>'index', '_full'=>true]); ?>">
								Components
							</a>
						</li>
                        <li>
							<a href="<?= $this->Url->build(['controller'=>'RawMaterials', 'action'=>'index', '_full'=>true]); ?>">
								Raw Materials
							</a>
						</li>
						<li>
                            <a
                                href="<?= $this->Url->build(['controller'=>'ComponentRawMaterials', 'action'=>'index', '_full'=>true]); ?>">
                                Component Raw Materials
                            </a>
                        </li>

                        <li>
                            <a
                                href="<?= $this->Url->build(['controller'=>'StoreComponents', 'action'=>'index', '_full'=>true]); ?>">
                                Store Components
                            </a>
                        </li>
					</ul>
				</li>
                <li>
                    <a href="<?= $this->Url->build(['controller'=>'Vendors', 'action'=>'index', '_full'=>true]); ?>">
                        <span>Vendors</span>
                    </a>
                </li>
                <?php endif; ?>

                <?php if($auth['user_role_id']==4 || $auth['user_role_id']==5 || $auth['user_role_id']==6): ?>
				<li>
					<a href="<?= $this->Url->build(['controller'=>'AnnualComponentTrackings', 'action'=>'index', '_full'=>true]); ?>">
						Product Tracking
					</a>
				</li>
                <?php endif; ?>
                
                <?php if($auth['user_role_id']==4 || $auth['user_role_id'] == 1): ?>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">Purchase Indent <span class="caret"></span></a>
                    <ul class="dropdown-menu" role="menu">
                        <li>
                            <a href="<?= $this->Url->build(['controller'=>'PurchaseIndents', 'action'=>'rawMaterials', '_full'=>true]); ?>">Raw Material</a>
                        </li>
                        <li>
                            <a href="<?= $this->Url->build(['controller'=>'PurchaseIndents', 'action'=>'outComponent', '_full'=>true]); ?>">Out Component</a>
                        </li>
                        <li>
                            <a href="<?= $this->Url->build(['controller'=>'JobOrders', 'action'=>'index', '_full'=>true]); ?>">Job Orders</a>
                        </li>
                        <li>
                            <a href="<?= $this->Url->build(['controller'=>'IntergroupDispatchNotes', 'action'=>'index', '_full'=>true]); ?>"> Intergroup Dispatch Note</a>
                        </li>
                    </ul>
                </li>
                <?php endif; ?>

                <?php if($auth['user_role_id'] == 7 || in_array($auth['user_role_id'], [2,3])): ?>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">Create Purchase Order <span class="caret"></span></a>
                    <ul class="dropdown-menu" role="menu">
                    	<?php 
                    		if($auth['user_role_id'] == 7){
                        ?>
							<li>
								<a href="<?= $this->Url->build(['controller'=>'PurchaseOrders', 'action'=>'rawMaterials', '_full'=>true]); ?>"> Raw Material</a>
							</li>

							<li>
								<a href="<?= $this->Url->build(['controller'=>'PurchaseOrders', 'action'=>'outComponents', '_full'=>true]); ?>"> Out Components</a>
							</li>
							<li>
								<a href="<?= $this->Url->build(['controller'=>'PurchaseOrders', 'action'=>'jobOrders', '_full'=>true]); ?>">Job Orders</a>
							</li>
                        <?php
                    		}
                    	?>                    	 
                        <!-- <li>
                            <a href="<?= $this->Url->build(['controller'=>'PurchaseIndents', 'action'=>'listAdhocRawMaterials', '_full'=>true]); ?>">Adhoc Raw Materials</a>
                        </li>
                        <li>
                            <a href="<?= $this->Url->build(['controller'=>'PurchaseIndents', 'action'=>'listAdhocOutComponents', '_full'=>true]); ?>">Adhoc Out Components</a>
                        </li> -->
                    </ul>
                </li>
                <?php endif; ?>

                <?php if(in_array($auth['user_role_id'], [1,2,3,7])): ?>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">Manage PO's <span class="caret"></span></a>
                    <ul class="dropdown-menu" role="menu">

                    	<li>
                            <a href="<?= $this->Url->build(['controller'=>'PurchaseOrders', 'action'=>'listRawMaterials', '_full'=>true]); ?>"> Raw Material</a>
                        </li>

                        <li>
                            <a href="<?= $this->Url->build(['controller'=>'PurchaseOrders', 'action'=>'listOutComponents', '_full'=>true]); ?>"> Out Components</a>
                        </li>
                        <li>
                            <a href="<?= $this->Url->build(['controller'=>'PurchaseOrders', 'action'=>'listJobOrders', '_full'=>true]); ?>"> Job Orders</a>
                        </li>
                        <li>
							<a href="<?= $this->Url->build(['controller'=>'PurchaseOrders', 'action'=>'listStoreComponents', '_full'=>true]); ?>">Store Components</a>
						</li>
                    </ul>
                </li>	
                <?php endif; ?>

                <?php if(in_array($auth['user_role_id'], [4,7])): ?>

                <li>
                    <a href="<?= $this->Url->build(['controller'=>'GoodsReceivedNotes', 'action'=>'index', '_full'=>true]); ?>">GRN</a>
                </li>

                <?php endif; ?>
                <?php if( $auth['user_role_id'] == 1 || $auth['user_role_id'] == 2 || $auth['user_role_id'] == 3 ){ ?>
                <li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">Reports <span class="caret"></span></a>
					<ul class="dropdown-menu" role="menu">
						<li>
							<a href="<?= $this->Url->build(['controller'=>'AnnualComponentStatusTrackings', 'action'=>'index', '_full'=>true]); ?>">
								Product Tracking Report
							</a>
						</li>
                        <li>
							<a href="<?= $this->Url->build(['controller'=>'AnnualComponentStatusTrackings', 'action'=>'completedProducts', '_full'=>true]); ?>">
								Completed Products Report
							</a>
						</li>
                        <li>
							<a href="<?= $this->Url->build(['controller'=>'AnnualPlans', 'action'=>'componentRawMaterialReport', '_full'=>true]); ?>">
								Raw Material Inventory
							</a>
						</li>
					</ul>
				</li>
                <?php } ?>   

                <?php if($auth['user_role_id']==8): ?>
                <li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">Business Plans <span class="caret"></span></a>
					<ul class="dropdown-menu" role="menu">
						<li>
							<a href="<?= $this->Url->build(['controller'=>'AnnualPlans', 'action'=>'index', '_full'=>true]); ?>">
								Annual Plan
							</a>
						</li>
						<li>
							<a href="<?= $this->Url->build(['controller'=>'AnnualQuarterPlans', 'action'=>'index', '_full'=>true]); ?>">
								Quarter Plan
							</a>
						</li>
					</ul>
				</li>
                <?php endif; ?>            
			</ul>
		</div>
		<!-- /.navbar-collapse -->
		<?php else: ?>
		<!-- Sidebar toggle button-->
		<a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
		</a>
		<?php endif; ?>
		<div class="navbar-custom-menu">
			<ul class="nav navbar-nav">
				<!-- User Account: style can be found in dropdown.less -->
				<li class="dropdown user user-menu">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <img src="<?php echo $this->Url->build('/').$auth['dir'].$auth['photo']; ?>" class="user-image" alt="User Image" />
                        <span class="hidden-xs"><?php echo $auth["user_full_name"]; ?></span>
					</a>
					<ul class="dropdown-menu">
						<!-- User image -->
						<li class="user-header">
                            <img src="<?php echo $this->Url->build('/').$auth['dir'].$auth['photo']; ?>" class="img-circle" alt="User Image" />
							<p>
								<?php echo $auth["user_full_name"]; ?>
							</p>
						</li>
						<!-- Menu Footer-->
						<li class="user-footer">
							<div>
								<a href="<?= $this->Url->build(['controller'=>'Users', 'action'=>'profileView', $auth["id"]]); ?>" class="btn btn-default btn-flat">Profile</a>

								<a href="<?= $this->Url->build(['controller'=>'Users', 'action'=>'changePassword', $auth["id"]]); ?>" class="btn btn-default btn-flat pull-right">Change Password</a>
							</div>
						</li>
					</ul>
				</li>
                <li class="dropdown notifications-menu">
                    <a href="<?= $this->Url->build(['controller'=>'Users', 'action'=>'logout', '_full'=>true]); ?>">
                        <i class="fa fa-sign-out"></i>
                    </a>
                </li>
			</ul>
		</div>
		<?php if (isset($layout) && $layout == 'top'): ?>
	</div>
	<?php endif; ?>
</nav>
