<?php use Cake\Core\Configure; ?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<title><?php echo Configure::read('Theme.title'); ?> | <?php echo $this->fetch('title'); ?></title>
        <!-- favicon -->
        <link rel="shortcut icon" href="<?= $this->Url->image('favicon.ico'); ?>" />
		<!-- Tell the browser to be responsive to screen width -->
		<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
		<!-- Bootstrap 3.3.7 -->
		<?php echo $this->Html->css('AdminLTE./bower_components/bootstrap/dist/css/bootstrap.min'); ?>
		<!-- Font Awesome -->
		<?php echo $this->Html->css('AdminLTE./bower_components/font-awesome/css/font-awesome.min'); ?>
		<!-- Ionicons -->
		<?php echo $this->Html->css('AdminLTE./bower_components/Ionicons/css/ionicons.min'); ?>
		<!-- Theme style -->
		<?php echo $this->Html->css('AdminLTE.AdminLTE.min'); ?>
		<!-- iCheck -->
		<?php echo $this->Html->css('AdminLTE./plugins/iCheck/square/blue'); ?>
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
        <!-- custom css -->
		<?php echo $this->Html->css('custom/styles'); ?>
		<!-- Google Font -->
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
		<?php echo $this->fetch('css'); ?>
	</head>
	<body class="hold-transition login-page">
		<div class="login-box">
			<div class="login-logo">
				<a>
                    <img src='<?php echo $this->Url->image(Configure::read('Theme.logo.large')); ?>' width="200px" />
                </a>
			</div>
			<!-- /.login-logo -->
			<div class="login-box-body">
                <?php echo $this->Flash->render(); ?>
				<?php echo $this->fetch('content'); ?>
				<?php if (Configure::read('Theme.login.show_social')): ?>
				<div class="social-auth-links text-center">
					<p>- OR -</p>
					<a href="#" class="btn btn-block btn-social btn-facebook btn-flat"><i class="fa fa-facebook"></i> Sign in using
					Facebook</a>
					<a href="#" class="btn btn-block btn-social btn-google btn-flat"><i class="fa fa-google-plus"></i> Sign in using
					Google+</a>
				</div>
				<!-- /.social-auth-links -->
				<?php endif; ?>
				<?php if (Configure::read('Theme.login.show_remember')): ?>
                <?= $this->Html->link(__('I forgot my password'), ['controller' => 'users', 'action' => 'forgotPassword']) ?><br>
				<?php endif; ?>
				<?php if (Configure::read('Theme.login.show_register')): ?>
				<a href="register.html" class="text-center">Register a new membership</a>
				<?php endif; ?>
                <div class="pull-right hidden-xs">
                    <b>Version</b> <?php echo Configure::read('Theme.version'); ?>
                </div>
			</div>
			<!-- /.login-box-body -->
		</div>
		<!-- /.login-box -->
		<!-- jQuery 3 -->
		<?php echo $this->Html->script('AdminLTE./bower_components/jquery/dist/jquery.min'); ?>
		<!-- Bootstrap 3.3.7 -->
		<?php echo $this->Html->script('AdminLTE./bower_components/bootstrap/dist/js/bootstrap.min'); ?>
		<!-- iCheck -->
		<?php echo $this->Html->script('AdminLTE./plugins/iCheck/icheck.min'); ?>
        <!-- common js -->
        <?php echo $this->Html->script('Template/common.js'); ?>

		<?php echo $this->fetch('script'); ?>
		<?php echo $this->fetch('scriptBottom'); ?>
		<script>
			$(function () {
			  $('input').iCheck({
			    checkboxClass: 'icheckbox_square-blue',
			    radioClass: 'iradio_square-blue',
			    increaseArea: '20%' /* optional */
			  });
			});
		</script>
	</body>
</html>
