<?php use Cake\Core\Configure; ?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<title><?php echo Configure::read('Theme.title'); ?> | <?php echo $this->fetch('title'); ?></title>
        <!-- favicon -->
        <link rel="shortcut icon" href="<?= $this->Url->image('favicon.ico'); ?>" />
		<!-- Tell the browser to be responsive to screen width -->
		<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
		<!-- Bootstrap 3.3.7 -->
		<?php echo $this->Html->css('AdminLTE./bower_components/bootstrap/dist/css/bootstrap.min'); ?>
		<!-- Font Awesome -->
		<?php echo $this->Html->css('AdminLTE./bower_components/font-awesome/css/font-awesome.min'); ?>
		<!-- Material Icons -->
		<?php echo $this->Html->css('https://fonts.googleapis.com/icon?family=Material+Icons'); ?>
        <!-- DataTables -->
		<?php echo $this->Html->css('AdminLTE./bower_components/datatables.net-bs/css/dataTables.bootstrap.min', ['block' => 'css']); ?>
        <!-- bootstrap toggle -->
		<?php echo $this->Html->css('bootstrap-toggle'); ?>
		<!-- bootstrap daterange picker -->
		<?php echo $this->Html->css('AdminLTE./bower_components/bootstrap-daterangepicker/daterangepicker.css'); ?>
        <!-- bootstrap datepicker -->
		<?php echo $this->Html->css('AdminLTE./bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css'); ?>
		<!-- iCheck for checkboxes and radio inputs -->
		<?php echo $this->Html->css('AdminLTE./plugins/iCheck/all'); ?>
		<!-- Ionicons -->
		<?php echo $this->Html->css('AdminLTE./bower_components/Ionicons/css/ionicons.min'); ?>
        <!-- select2 -->
		<?php echo $this->Html->css('AdminLTE./bower_components/select2/dist/css/select2.min', ['block' => 'css']); ?>
		<!-- Theme style -->
		<?php echo $this->Html->css('AdminLTE.AdminLTE.min'); ?>
		<!-- AdminLTE Skins. Choose a skin from the css/skins
			folder instead of downloading all of them to reduce the load. -->
		<?php echo $this->Html->css('AdminLTE.skins/_all-skins.min'); ?>
        <!-- contex menu css -->
		<?php echo $this->Html->css('jquery.contextMenu'); ?>
        <!-- toaster -->
		<?php echo $this->Html->css('toaster'); ?>
        <!-- jquery confirm dialogue -->
		<?php echo $this->Html->css('jquery-confirm'); ?>
        <!-- custom css -->
		<?php echo $this->Html->css('custom/styles'); ?>
		<?php echo $this->Html->css('template/custom'); ?>
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		<!-- Google Font -->
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
		<?php echo $this->fetch('css'); ?>
	</head>
	<!-- ADD THE CLASS layout-top-nav TO REMOVE THE SIDEBAR. -->
	<body class="hold-transition skin-<?php echo Configure::read('Theme.skin'); ?> layout-top-nav">
        <!-- pre-loader -->
		<div class="ajax-loader">
			<img src="<?php echo $this->Url->image('loader-lg.gif'); ?>"/>
		</div>
		<!-- /pre-loader -->
		<div class="wrapper">
			<header class="main-header">
				<?php echo $this->element('nav-top', ['layout' => 'top']); ?>
			</header>
			<!-- Full Width Column -->
			<div class="content-wrapper">
				<div class="container-fluid">
					<?php echo $this->Flash->render(); ?>
					<?php echo $this->Flash->render('auth'); ?>
					<?php echo $this->fetch('content'); ?>
				</div>
				<!-- /.container -->
			</div>
			<!-- /.content-wrapper -->
			<?php echo $this->element('footer', ['layout' => 'top']); ?>
		</div>
        <!-- dynamic web root -->
        <?= $this->Html->scriptBlock('var webroot = "' . $this->Url->build('/', true) . '";'); ?>
		<!-- ./wrapper -->
		<!-- global configuration file -->
		<?php echo $this->Html->script('config'); ?>
        <!-- jQuery 3 -->
		<?php echo $this->Html->script('AdminLTE./bower_components/jquery/dist/jquery.min'); ?>
		<!-- Bootstrap 3.3.7 -->
		<?php echo $this->Html->script('AdminLTE./bower_components/bootstrap/dist/js/bootstrap.min'); ?>
        <!-- bootstrap toggle -->
        <?php echo $this->Html->script('bootstrap-toggle'); ?>
		<!-- DataTables -->
		<?php echo $this->Html->script('AdminLTE./bower_components/datatables.net/js/jquery.dataTables.min', ['block' => 'script']); ?>
		<?php echo $this->Html->script('AdminLTE./bower_components/datatables.net-bs/js/dataTables.bootstrap.min', ['block' => 'script']); ?>
        <!-- Datepicker -->
		<?php echo $this->Html->script('AdminLTE./bower_components/bootstrap-datepicker/js/bootstrap-datepicker', ['block' => 'script']); ?>
        <!-- Date range picker -->
		<?php echo $this->Html->script('AdminLTE./bower_components/moment/min/moment.min', ['block' => 'script']); ?>
		<?php echo $this->Html->script('AdminLTE./bower_components/bootstrap-daterangepicker/daterangepicker', ['block' => 'script']); ?>
		<!-- SlimScroll -->
		<?php echo $this->Html->script('AdminLTE./bower_components/jquery-slimscroll/jquery.slimscroll.min'); ?>
		<!-- FastClick -->
		<?php echo $this->Html->script('AdminLTE./bower_components/fastclick/lib/fastclick'); ?>
		<!-- AdminLTE App -->
		<?php echo $this->Html->script('AdminLTE.adminlte.min'); ?>
        <!-- iCheck -->
        <?php echo $this->Html->script('AdminLTE./plugins/iCheck/icheck.min'); ?>
        <!-- select2 -->
        <?php echo $this->Html->script('AdminLTE./bower_components/select2/dist/js/select2.full.min', ['block' => 'script']); ?>
        <!-- freez table -->
        <?php echo $this->Html->script('freeze-table'); ?>
        <!-- sticky element -->
        <?php echo $this->Html->script('jquery.sticky'); ?>
        <!-- context menu -->
        <?php echo $this->Html->script('jquery.contextMenu'); ?>
        <!-- toaster -->
        <?php echo $this->Html->script('toaster'); ?>
        <!-- jquery confirm dialogue -->
        <?php echo $this->Html->script('jquery-confirm'); ?>
        <!-- jquery validation -->
        <?php echo $this->Html->script('jquery.validate'); ?>
        <?php echo $this->Html->script('additional-methods'); ?>
        <!-- full page scroll -->
        <?php echo $this->Html->script('jquery.scrollify'); ?>
        <!-- jquery inview -->
        <?php echo $this->Html->script('jquery.inview.min'); ?>
		<!-- datatable -->
		<?= $this->DataTables->setJs() ?>
		<!-- custom jquery -->
		<?php echo $this->Html->script('Template/AnnualPlannedCapacities/view.js'); ?>
        <?php echo $this->Html->script('Template/AnnualQuarterPlans/view.js'); ?>
        <?php echo $this->Html->script('Template/AnnualQuarterPlans/eventual_products.js'); ?>
		<?php echo $this->Html->script('Template/AnnualPlans/capacity_plan_view.js'); ?>
		<?php echo $this->Html->script('Template/AnnualComponentTrackings/index.js'); ?>
        <?php echo $this->Html->script('Template/AnnualComponentTrackingReports/index.js'); ?>
        <?php echo $this->Html->script('Template/PurchaseOrders/purchase_order.js'); ?>
		<?php echo $this->Html->script('Template/Grn/index.js'); ?>
        <?php echo $this->Html->script('Template/ComponentSpareInventories/add.js'); ?>
        <?php echo $this->Html->script('Template/UserRoles/user_previllege.js'); ?>
        <?php echo $this->Html->script('Template/Products/index.js'); ?>
        <?php echo $this->Html->script('Template/Components/index.js'); ?>
        <?php echo $this->Html->script('Template/IntergroupDispatchNotes/index.js'); ?>
        <?php echo $this->Html->script('Template/JobOrders/index.js'); ?>
        <?php echo $this->Html->script('Template/Vendors/index.js'); ?>
        <?php echo $this->Html->script('Template/StoreComponents/StoreComponents.js'); ?>
        <!-- common custom js -->
		<?php echo $this->Html->script('Template/common.js'); ?>
		<?php echo $this->fetch('script'); ?>
		<?php echo $this->fetch('scriptBottom'); ?>
	</body>
</html>
