$(document).ready(function(){
//initiate select2
    $('#spare_user_id, #spare_product_id, #spare_component_id').select2();

//on product change get all components
    $(document).on('change', '#spare_product_id', function(){
    //empty component stock
        $('.spare-stock').html('');
    //get variables
        var product_id = $(this).find('option:selected').val();
        if(product_id!=""){
        //ajax post
            $.ajax({
                type    : 'POST',
                url     : webroot+'component-spare-inventories/get_product_components.json',
                headers: {
                    'X-CSRF-Token': $('[name="_csrfToken"]').val()
                },
                dataType: 'JSON',
                data    : {'product_id' : product_id},
                beforeSend: function(xhr) {
                //content type
                    xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
                //show ajax loader
                    $('.ajax-loader').show();
                },
                success : function(data){
                //variable declaration
                    var selectOption = "";
                //set empty value
                    selectOption += '<select name="spare_inventory_components[0][component_id]" class="form-control select-2 sltComponentList">';
                    selectOption += '<option value="">Select</option>';
                //loop data
                    $.each(data.data, function(key, rows){
                        selectOption += '<option value='+rows.id+' data-spare-count="'+rows.spare_count+'" data-spare-remaning="'+rows.spare_remaning+'">'+rows.component_name+'</option>';
                    });
                    selectOption += '</select>';
                
                    var html = "";
                //prepare table
                    html += '<table class="table table-bordered table-hover tableComponents" data-value="0">';
                        html += '<thead>';
                            html += '<tr>';
                                html += '<th class="bg-gray-active">Component Name</th>';
                                html += '<th class="bg-gray-active">Quantity</th>';
                                html += '<th class="bg-gray-active">Spare In Hand</th>';
                                html += '<th class="bg-gray-active text-center"><button type="button" class="btn btn-xs btn-default btnComponentAdd">Add</button></th>';
                            html += '</tr>';
                        html += '</thead>';
                        html += '<tbody>';
                            html += '<tr>';
                                html += '<td>'+selectOption+'</td>';
                                html += '<td><input type="text" name="spare_inventory_components[0][quantity]" class="form-control txtQuantity" /></td>';
                                html += '<td class="spareInHand">0</td>';
                                html += '<td></td>';
                            html += '</tr>';
                        html += '</tbody>';
                    html += '</table>';
                //bind data
                    $('.components-list').html(html);
                //select 2 initiate
                    $('.select-2').select2();
                },
                complete: function(data) {
                //hide ajax loader
                    $('.ajax-loader').hide();
                },
            });
        }
        else{
            $('.sltComponentList').html('<option value="">Select</option>');
        }
    });

//add multiple component
    $(document).on('click', '.btnComponentAdd', function(){
        var rowCount = parseInt($('.tableComponents').attr('data-value'));
        rowCount = rowCount + 1;
    //bind
        var sltComponentList = $(this).closest('.tableComponents').find('tbody tr:eq(0)').find('.sltComponentList > option').clone();
    //loop options
        var options = "";
        $.each(sltComponentList, function(key, rows){
            options  += '<option value='+rows.value+' data-spare-count="'+rows.dataset.spareCount+'" data-spare-remaning="'+rows.dataset.spareRemaning+'">'+rows.text+'</option>';
        });

    //prepare data
        var html = "";
        html += '<tr>';
            html += '<td><select name="spare_inventory_components['+rowCount+'][component_id]" class="form-control select-2 sltComponentList">'+options+'</select></td>';
            html += '<td><input type="text" name="spare_inventory_components['+rowCount+'][quantity]" class="form-control txtQuantity" /></td>';
            html += '<td class="spareInHand">0</td>';
            html += '<td class="text-center"><button type="button" class="btn btn-xs btn-default btn-circle btnComponentRemove"><i class="fa fa-remove"></i></button></td>';
        html += '</tr>';
    //bind data
        $('.tableComponents tbody').append(html);
        $('.tableComponents').attr('data-value', rowCount);
    //select 2 initiate
        $('.select-2').select2();
    });
    
//remove multiple component
    $(document).on('click', '.btnComponentRemove', function(){
    //remove
        $(this).closest('tr').remove();
    });

//on channge component to show spare stock
    $(document).on('change', '.sltComponentList', function(){
    //get variables
        var component_id    = $(this).find('option:selected').val();
        var spare_count     = $(this).find('option:selected').attr('data-spare-count');
        var spare_remaning  = $(this).find('option:selected').attr('data-spare-remaning');
    //bind data
        $(this).closest('tr').find('.spareInHand').html(spare_remaning);
    });

//spare inventory submit
    $(document).on('click', '.btnSpareInventorySubmit', function(){
        var isValidate  = true;
        var inArray     = [];
    //add/remove validate class
        $('.txtQuantity').removeClass('custom-required');
        $('.custom-validate').remove();
    //loop data
        $('.sltComponentList').each(function(key, rows){
            var componentId         = parseInt($(rows).find('option:selected').val())
            var txtSpareRemaining   = parseInt($(rows).find('option:selected').attr('data-spare-remaning'));
            var txtQuantity         = parseInt($(rows).closest('tr').find('.txtQuantity').val());
        //check quantity
            if(txtQuantity>0){
                if(txtQuantity>txtSpareRemaining){
                    isValidate = false;
                    $(rows).closest('tr').find('.txtQuantity').addClass('custom-required').after('<span class="custom-validate">Insufficient quantity</span>');
                }
            }
            else{
                $(rows).closest('tr').find('.txtQuantity').addClass('custom-required').after('<span class="custom-validate">This field is required</span>');
                isValidate = false;
            }
        //check inArray
            if(inArray.length==0){
                inArray.push(componentId);
            }
            else if($.inArray(componentId, inArray) !== -1){
                $(rows).addClass('custom-required').after('<span class="custom-validate">Component already selected</span>');
                isValidate = false;
            }
            else{
                inArray.push(componentId);
            }
        });
        return isValidate;
    });
});
