$(document).ready(function(){
//datatable
    $('#tableReceivedNotes, #tableForwardedNotes').DataTable();

//date range picker
    $('.intergroup-date-picker').datepicker({ 
        startDate: new Date()
    });

//product on change
    $(document).on('change', '#intergroup-product-id', function(){
    //get values
        var product_id  = $('#intergroup-product-id').find('option:selected').val();
    //funcation call
        interGroupComponents(product_id);
    });

//component on change
    $(document).on('change', '#intergroup-component-id', function(){
    //get values
        var product_id      = $('#intergroup-product-id').find('option:selected').val();
        var component_id    = $('#intergroup-component-id').find('option:selected').val();
    //funcation call
        interGroupComponentsProcess(product_id, component_id);
    });

//component intergroup status change
    $(document).on('click', '.updateIntergroupStatus', function(){
    //get values
        var id      = $(this).attr('data-id');
        var status  = $(this).attr('data-status');
    //ajax post
        $.ajax({
            type    : 'POST',
            url     : webroot+'intergroup-dispatch-notes/update_inter_group_status.json',
            data    : {'id' : id, 'status' : status},
            headers: {
                'X-CSRF-Token': $('[name="_csrfToken"]').val()
            },
            dataType: 'JSON',
            beforeSend: function(xhr) {
            //show ajax loader
                $('.ajax-loader').show();
            //content type
				xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
			},
            success : function(data){
            //location reload
                document.location.reload(false);
            },
            complete: function() {
            //hide ajax loader
                $('.ajax-loader').hide();
            },
            error   : function(){
                toastr_notify('error', 'toast-top-right', 'error');
            }
        });
    });
});

function interGroupComponents(product_id)
{
    if( product_id != ""){
    //ajax
        $.ajax({
            type    : 'POST',
            url     : webroot+'intergroup-dispatch-notes/get_components_for_inter_group.json',
            headers: {
                'X-CSRF-Token': $('[name="_csrfToken"]').val()
            },
            dataType: 'JSON',
            data    : {'product_id' : product_id},
            beforeSend: function(xhr) {
            //show ajax loader
                $('.ajax-loader').show();
            //content type
                xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
            },
            success : function(data){
            //variable declaration
                var html = '';
            //check length
                if(data.data.length>0){
                //loop data
                    html += '<option value="">Select</option>';
                    $.each(data.data, function(key, rows){
                        html += '<option value="'+rows.id+'">'+rows.component_name+'</option>';
                    });
                }
            //bind data
                $('#intergroup-component-id').html(html);
            },
            complete: function(data) {
            //hide ajax loader
                $('.ajax-loader').hide();
            },
            error   : function(){
                toastr_notify('error', 'toast-top-right', 'error');
            }
        });
    }
    else{
        $('#intergroup-component-id, #intergroup-process-id').html('<option value="">Select</option>');
    }
}

function interGroupComponentsProcess(product_id, component_id)
{
    if( product_id != "" && component_id!="")
    {
    //ajax
        $.ajax({
            type    : 'POST',
            url     : webroot+'intergroup-dispatch-notes/get_process_for_inter_group.json',
            headers: {
                'X-CSRF-Token': $('[name="_csrfToken"]').val()
            },
            dataType: 'JSON',
            data    : {'product_id' : product_id, 'component_id' : component_id},
            beforeSend: function(xhr) {
            //show ajax loader
                $('.ajax-loader').show();
            //content type
                xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
            },
            success : function(data){
            //variable declaration
                var html = '';
            //check length
                if(data.data.length>0){
                //loop data
                    html += '<option value="">Select</option>';
                    $.each(data.data, function(key, rows){
                        html += '<option value="'+rows.id+'">'+rows.process_name+'</option>';
                    });
                }
            //bind data
                $('#intergroup-process-id').html(html);
            },
            complete: function(data) {
            //hide ajax loader
                $('.ajax-loader').hide();
            },
            error   : function(){
                toastr_notify('error', 'toast-top-right', 'error');
            }
        });
    }
    else
    {
        $('#intergroup-process-id').html('<option value="">Select</option>');
    }
}
