<?php
namespace App\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * AnnualPlannedCapacitiesFixture
 *
 */
class AnnualPlannedCapacitiesFixture extends TestFixture
{

    /**
     * Fields
     *
     * @var array
     */
    // @codingStandardsIgnoreStart
    public $fields = [
        'id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'autoIncrement' => true, 'precision' => null],
        'annual_plan_id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'product_id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'component_id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'machine_id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'process_id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'total_components' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => true, 'default' => '0', 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'total_process_time' => ['type' => 'float', 'length' => null, 'precision' => null, 'unsigned' => false, 'null' => true, 'default' => '0', 'comment' => ''],
        'total_batches' => ['type' => 'float', 'length' => null, 'precision' => null, 'unsigned' => false, 'null' => true, 'default' => '0', 'comment' => ''],
        'total_batch_set_time' => ['type' => 'float', 'length' => null, 'precision' => null, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => ''],
        'total_time' => ['type' => 'float', 'length' => null, 'precision' => null, 'unsigned' => false, 'null' => true, 'default' => '0', 'comment' => ''],
        'in_components' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'out_components' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => '0', 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'tag' => ['type' => 'tinyinteger', 'length' => 5, 'unsigned' => false, 'null' => true, 'default' => null, 'comment' => '0 - In house, 1 - Outsource, 2 - In and Out', 'precision' => null],
        'is_active' => ['type' => 'tinyinteger', 'length' => 4, 'unsigned' => false, 'null' => true, 'default' => '1', 'comment' => '0 - In Active, 1 - Active, 2 - Delete', 'precision' => null],
        'created_by' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'created' => ['type' => 'datetime', 'length' => null, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null],
        'modified_by' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null, 'autoIncrement' => null],
        'modified' => ['type' => 'datetime', 'length' => null, 'null' => true, 'default' => null, 'comment' => '', 'precision' => null],
        '_indexes' => [
            'annual_plan_id' => ['type' => 'index', 'columns' => ['annual_plan_id'], 'length' => []],
            'product_id' => ['type' => 'index', 'columns' => ['product_id'], 'length' => []],
            'component_id' => ['type' => 'index', 'columns' => ['component_id'], 'length' => []],
            'process_id' => ['type' => 'index', 'columns' => ['process_id'], 'length' => []],
            'machine_id' => ['type' => 'index', 'columns' => ['machine_id'], 'length' => []],
        ],
        '_constraints' => [
            'primary' => ['type' => 'primary', 'columns' => ['id'], 'length' => []],
            'annual_planned_capacities_ibfk_1' => ['type' => 'foreign', 'columns' => ['annual_plan_id'], 'references' => ['annual_plans', 'id'], 'update' => 'restrict', 'delete' => 'restrict', 'length' => []],
            'annual_planned_capacities_ibfk_2' => ['type' => 'foreign', 'columns' => ['product_id'], 'references' => ['products', 'id'], 'update' => 'restrict', 'delete' => 'restrict', 'length' => []],
            'annual_planned_capacities_ibfk_3' => ['type' => 'foreign', 'columns' => ['component_id'], 'references' => ['components', 'id'], 'update' => 'restrict', 'delete' => 'restrict', 'length' => []],
            'annual_planned_capacities_ibfk_4' => ['type' => 'foreign', 'columns' => ['process_id'], 'references' => ['processes', 'id'], 'update' => 'restrict', 'delete' => 'restrict', 'length' => []],
            'annual_planned_capacities_ibfk_5' => ['type' => 'foreign', 'columns' => ['machine_id'], 'references' => ['machines', 'id'], 'update' => 'restrict', 'delete' => 'restrict', 'length' => []],
        ],
        '_options' => [
            'engine' => 'InnoDB',
            'collation' => 'utf8_general_ci'
        ],
    ];
    // @codingStandardsIgnoreEnd

    /**
     * Init method
     *
     * @return void
     */
    public function init()
    {
        $this->records = [
            [
                'id' => 1,
                'annual_plan_id' => 1,
                'product_id' => 1,
                'component_id' => 1,
                'machine_id' => 1,
                'process_id' => 1,
                'total_components' => 1,
                'total_process_time' => 1,
                'total_batches' => 1,
                'total_batch_set_time' => 1,
                'total_time' => 1,
                'in_components' => 1,
                'out_components' => 1,
                'tag' => 1,
                'is_active' => 1,
                'created_by' => 1,
                'created' => '2019-05-28 09:40:30',
                'modified_by' => 1,
                'modified' => '2019-05-28 09:40:30'
            ],
        ];
        parent::init();
    }
}
