$(document).ready(function(){
//in components
	$(document).on('dblclick', '.inComponents', function(){
		$(this).closest('td').find('label').remove();
		$(this).closest('td').find('.txtInComponent').attr('type', 'text');
	});

//product change event
    $(document).on('change', '#product-id', function(){
        $('#capacity-form-filter').submit();
    });

//group change event
    $(document).on('change', '#group-id', function(){
        $('#capacity-form-filter').submit();
    });

//click component name
    $(document).on('click', '.td-component-name', function(){
    //variable declaration
        var annualPlanId    = $(this).attr('data-annual-plan-id');
        var productId       = $('#product-id').find('option:selected').val();
        var machineId       = $(this).attr('data-machine-id');
        var componentId     = $(this).attr('data-component-id');
    //ajax post
        $.ajax({
            type    : 'POST',
            url     : webroot+'annual-planned-capacities/get_machine_component_process.json',
            headers: {
                'X-CSRF-Token': $('[name="_csrfToken"]').val()
            },
            dataType: 'JSON',
            data    : {'annual_plan_id' : annualPlanId, 'product_id' : productId, 'machine_id' : machineId, 'component_id' : componentId},
            beforeSend: function(xhr) {
            //show ajax loader
                $('.ajax-loader').show();
            //content type
				xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
			},
            success : function(data){
            //check data empty
                if(data.data.length>0){
                //variable declaration
                    var html = "";
                //loop result
                    $.each(data.data, function(key, rows){
                        html += '<tr>';
                            html += '<td class="text-center">'+rows.process_name+'</td>';
                            html += '<td class="text-center">'+rows.batch_quantity+'</td>';
                            html += '<td class="text-center">'+rows.average_time_taken+'</td>';
                            html += '<td class="text-center">'+rows.set_time_for_batch+'</td>';
                        html += '</tr>';
                    });
                //bind data
                    $("#process-info-table tbody").html(html);
                }
            //open reject modal
                $('#processInfoModal--empty').modal('show');
            },
            complete: function(data) {
            //hide ajax loader
                $('.ajax-loader').hide();
            },
            error   : function(){
                toastr_notify('error', 'toast-top-right', 'error');
            }
        });
    });

//in-component textbox
    $(document).on('keyup', '.in-components', function(){
    //remove class
        $(this).removeClass('custom-rquired');
    //get values
        var batchQuantity       = parseInt($(this).closest('tr').find('.batch-quantity').val());
        var totalComponents     = parseInt($(this).closest('tr').find('.total-components').val());
        var inComponent         = parseInt($(this).val());
        var remainingComponents = 0;
    //check quanity
        if(inComponent!="" && !isNaN(inComponent) ){
            if(inComponent<=totalComponents){
                var remaining           = inComponent%batchQuantity;
            //check remaining value 0
                if(remaining==0){
                    remainingComponents = totalComponents-inComponent;
                }
                else{
                    $(this).addClass('custom-rquired');
                }        
            }
            else if(inComponent>totalComponents){
                remainingComponents = 0;
                $(this).addClass('custom-rquired');
            }
            else{
                $(this).addClass('custom-rquired');
                remainingComponents = totalComponents;
            }
        }
        else{
            remainingComponents = totalComponents;
        }
    //set remaining quantity
        $(this).closest('tr').find('.out-components').val(remainingComponents);
    });
    
    $(document).on('blur', '.in-components', function(){
        if($(this).val()=="" || isNaN($(this).val())){
            $(this).removeClass('custom-rquired');
            $(this).val(0);
        }
    });

//out-component textbox
    $(document).on('keyup', '.out-components', function(){
    //remove class
        $(this).removeClass('custom-rquired');
    //get values
        var batchQuantity       = parseInt($(this).closest('tr').find('.batch-quantity').val());
        var totalComponents     = parseInt($(this).closest('tr').find('.total-components').val());
        var outComponent        = parseInt($(this).val());
        var remainingComponents = 0;
    //check quanity
        if(outComponent!="" && !isNaN(outComponent) ){
            if(outComponent<=totalComponents){
                var remaining           = outComponent%batchQuantity;
            //check remaining value 0
                if(remaining==0){
                    remainingComponents = totalComponents-outComponent;
                }
                else{
                    $(this).addClass('custom-rquired');
                }        
            }
            else if(outComponent>totalComponents){
                remainingComponents = 0;
                $(this).addClass('custom-rquired');
            }
            else{
                $(this).addClass('custom-rquired');
                remainingComponents = totalComponents;
            }
        }
        else{
            remainingComponents = totalComponents;
        }
    //set remaining quantity
        $(this).closest('tr').find('.in-components').val(remainingComponents);
    });
    
    $(document).on('blur', '.out-components', function(){
        if($(this).val()=="" || isNaN($(this).val())){
            $(this).removeClass('custom-rquired');
            $(this).val(0);
        }
    });

});
