// Price Change Based on Vendor 
$(document).ready(function() {

//document on change
    $(document).on('change', '.vendor_store_components', function() {
    //customer id
        var vendor_id           = $(this).find('option:selected').val();
        var store_component_id  = $(this).closest('tr').find('.store_component_id').val();
        var thisClass           = this;
        var order_quantity      = parseInt($(this).closest('tr').find('.create_store_order_quantity').val());
    //ajax call
        if (vendor_id) {
            $.ajax({
                type: "POST",
                url: webroot + "PurchaseOrders/getVendorStoreComponentPrice/" + vendor_id + "/" + store_component_id,
                headers: {
                    'X-CSRF-Token': $('[name="_csrfToken"]').val()
                },
                beforeSend: function(xhr) {
                //show ajax loader
                    $('.ajax-loader').show();
                //content type
                    xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
                },
                success: function(data) {
                    data = JSON.parse(data);
                    if (data.data) {
                        var price = parseFloat(data.data.price);
                        var gst = parseFloat(data.data.gst);
                        var orders = price * order_quantity
                        var order_price = orders + (orders * (gst / 100));
                        $(thisClass).closest('tr').find('.vendor_component_price').val(price);
                        $(thisClass).closest('tr').find('.vendor_component_gst').val(gst);
                        $(thisClass).closest('tr').find('.store_order_price').val(order_price);
                    }else{
                        $(thisClass).closest('tr').find('.vendor_component_price').val(0);
                        $(thisClass).closest('tr').find('.vendor_component_gst').val(0);
                        $(thisClass).closest('tr').find('.store_order_price').val(0);
                    }
                },
                complete: function(data) {
                //hide ajax loader
                    $('.ajax-loader').hide();
                },
            });
        }else{
            $(thisClass).closest('tr').find('.vendor_component_price').val(0);
            $(thisClass).closest('tr').find('.vendor_component_gst').val(0);
            $(thisClass).closest('tr').find('.store_order_price').val(0);
        }
    });

//on keyup event
    $(document).on('keyup', '.create_store_order_quantity', function(){
    //customer id
        var vendor_id           = $(this).closest('tr').find('.vendor_store_components').find('option:selected').val();
        var store_component_id  = $(this).closest('tr').find('.store_component_id').val();
        var thisClass           = this;
        var order_quantity      = parseInt($(this).val());
    //ajax call
        if (vendor_id) {
            $.ajax({
                type: "POST",
                url: webroot + "PurchaseOrders/getVendorStoreComponentPrice/" + vendor_id + "/" + store_component_id,
                headers: {
                    'X-CSRF-Token': $('[name="_csrfToken"]').val()
                },
                beforeSend: function(xhr) {
                //show ajax loader
                    $('.ajax-loader').show();
                //content type
                    xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
                },
                success: function(data) {
                    data = JSON.parse(data);
                    if (data.data) {
                        var price = parseFloat(data.data.price);
                        var gst = parseFloat(data.data.gst);
                        var orders = price * order_quantity
                        var order_price = orders + (orders * (gst / 100));
                        $(thisClass).closest('tr').find('.vendor_component_price').val(price);
                        $(thisClass).closest('tr').find('.vendor_component_gst').val(gst);
                        $(thisClass).closest('tr').find('.store_order_price').val(order_price);
                    }else{
                        $(thisClass).closest('tr').find('.vendor_component_price').val(0);
                        $(thisClass).closest('tr').find('.vendor_component_gst').val(0);
                        $(thisClass).closest('tr').find('.store_order_price').val(0);
                    }
                },
                complete: function(data) {
                //hide ajax loader
                    $('.ajax-loader').hide();
                },
            });
        }else{
            $(thisClass).closest('tr').find('.vendor_component_price').val(0);
            $(thisClass).closest('tr').find('.vendor_component_gst').val(0);
            $(thisClass).closest('tr').find('.store_order_price').val(0);
        }
    });

//Purchase Order Edit price update
    $(document).on('keyup', '.edit_order_quantitys', function() {
        var order_quantity = $(this).val();
        var price = parseFloat($(this).closest('tr').find('.edit_component_price').val());
        var gst = parseFloat($(this).closest('tr').find('.edit_component_gst').val());
        var orders = price * order_quantity;
        var order_gst = orders * (gst / 100);

        order_gst=order_gst.toFixed(2);
        order_gst=parseFloat(order_gst);

        $('.create_po_button').attr('disabled', false);
        //Update individual price
        if (!isNaN(price) && !isNaN(order_quantity)) {
            if (!isNaN(orders)) {
                $(this).closest('tr').find('.edit_order_price').val(orders);
            }
            //Update individual gst
            $(this).closest('tr').find('.edit-component-gst-value').html(order_gst);
            $(this).closest('tr').find('.edit-component-gst-values').val(order_gst);
            $(this).closest('tr').find('.edit-po-gst-value').val(order_gst);
            calSubTotalEdit();
        }
    });

//get length
    if( $('.vendor_store_components').length>0 ){
    //show ajax loader
       $('.ajax-loader').show();
    //loop data
        $('.vendor_store_components').each(function(key, rows){
            if( $(rows).find('option:selected').val()!="" ){
            //customer id
                var vendor_id           = $(rows).find('option:selected').val();
                var store_component_id  = $(rows).closest('tr').find('.store_component_id').val();
                var thisClass           = rows;
                var order_quantity      = parseInt($(rows).closest('tr').find('.create_store_order_quantity').val());
            //ajax call
                if (vendor_id) {
                    $.ajax({
                        type: "POST",
                        url: webroot + "PurchaseOrders/getVendorStoreComponentPrice/" + vendor_id + "/" + store_component_id,
                        headers: {
                            'X-CSRF-Token': $('[name="_csrfToken"]').val()
                        },
                        beforeSend: function(xhr) {
                        //content type
                            xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
                        },
                        success: function(data) {
                            data = JSON.parse(data);
                            if (data.data) {
                                var price = parseFloat(data.data.price);
                                var gst = parseFloat(data.data.gst);
                                var orders = price * order_quantity
                                var order_price = orders + (orders * (gst / 100));
                                $(thisClass).closest('tr').find('.vendor_component_price').val(price);
                                $(thisClass).closest('tr').find('.vendor_component_gst').val(gst);
                                $(thisClass).closest('tr').find('.store_order_price').val(order_price);
                            }else{
                                $(thisClass).closest('tr').find('.vendor_component_price').val(0);
                                $(thisClass).closest('tr').find('.vendor_component_gst').val(0);
                                $(thisClass).closest('tr').find('.store_order_price').val(0);
                            }
                        },
                        complete: function(data) {
                            if($('.vendor_store_components').length==(key+1)){
                            //hide ajax loader
                                $('.ajax-loader').hide();
                            }
                        },
                    });
                }else{
                    $(thisClass).closest('tr').find('.vendor_component_price').val(0);
                    $(thisClass).closest('tr').find('.vendor_component_gst').val(0);
                    $(thisClass).closest('tr').find('.store_order_price').val(0);
                }
            }
        });
    }
});
